/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 143);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 143:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "BarComponent", function() { return /* binding */ Bar_BarComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/dataUtils"
var dataUtils_ = __webpack_require__(27);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/react-visualizations/Bar"
var Bar_ = __webpack_require__(96);
var Bar_default = /*#__PURE__*/__webpack_require__.n(Bar_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/BarParser"
var BarParser_ = __webpack_require__(85);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/VisualizationEvent"
var VisualizationEvent_ = __webpack_require__(18);
var VisualizationEvent_default = /*#__PURE__*/__webpack_require__.n(VisualizationEvent_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/simpleXMLOptions"
var simpleXMLOptions_ = __webpack_require__(38);

// EXTERNAL MODULE: ./src/utils/themeUtils.js
var themeUtils = __webpack_require__(39);

// EXTERNAL MODULE: ./src/utils/eventUtils.js
var eventUtils = __webpack_require__(29);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Bar/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  'axisLabelsX.maxLabelParts': {
    default: 3,
    minimum: 1,
    description: 'Specify the maximum number of time-parts that a tick label will have (the 3 possible parts are year, month, time).',
    type: 'number'
  },
  'axisLabelsX.axisVisibility': {
    default: 'hide',
    description: 'Specify whether to show the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the y-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsY2.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the y2-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.extendsAxisRange': {
    default: true,
    description: 'Specify whether the y-axis should be extended to include whole major tick marks.',
    type: 'boolean'
  },
  'axisLabelsY.integerUnits': {
    default: false,
    description: 'Specify whether the major unit of the y-axis is rounded to the nearest integer.',
    type: 'boolean'
  },
  'axisLabelsY2.integerUnits': {
    default: false,
    description: 'Specify whether the major unit of the y2-axis is rounded to the nearest integer.',
    type: 'boolean'
  },
  'axisLabelsX.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether labels for major tick marks are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether labels for major tick marks are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY2.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether labels for major tick marks are visible on the y2-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.majorTickSize': {
    default: 6,
    description: 'Specify the size, in pixels, of major tick marks on the x-axis.',
    type: 'number'
  },
  'axisLabelsY.majorTickSize': {
    default: 6,
    description: 'Specify the size, in pixels, of major tick marks on the y-axis.',
    type: 'number'
  },
  'axisLabelsY2.majorTickSize': {
    default: 6,
    description: 'Specify the size, in pixels, of major tick marks on the y2-axis.',
    type: 'number'
  },
  'axisLabelsY.minorTickSize': {
    default: 6,
    description: 'Specify the size, in pixels, of minor tick marks on the y-axis.',
    type: 'number'
  },
  'axisLabelsY2.minorTickSize': {
    default: 6,
    description: 'Specify the size, in pixels, of minor tick marks on the y2-axis.',
    type: 'number'
  },
  'axisLabelsX.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks on the x-axis are visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks on the y-axis are visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY2.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks on the y2-axis are visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit between major tick marks along the numeric y-axis.',
    type: ['number', 'string']
  },
  'axisLabelsY2.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit between major tick marks along the numeric y2-axis.',
    type: ['number', 'string']
  },
  'axisLabelsY.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks on the y-axis are visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY2.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks on the y2-axis are visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisY.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbreviate large y-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisY2.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbreviate large y2-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisY.includeZero': {
    default: false,
    description: 'Specify whether the y-axis range includes zero.',
    type: 'boolean'
  },
  'axisY2.includeZero': {
    default: false,
    description: 'Specify whether the y2-axis range includes zero.',
    type: 'boolean'
  },
  'axisY.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible y-axis range.',
    type: ['number', 'string']
  },
  'axisY2.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible y2-axis range.',
    type: ['number', 'string']
  },
  'axisY.minimumNumber': {
    default: 'auto',
    description: 'Specify the minimum number for the visible y-axis range.',
    type: ['number', 'string']
  },
  'axisY2.minimumNumber': {
    default: 'auto',
    description: 'Specify the minimum number for the visible y2-axis range.',
    type: ['number', 'string']
  },
  'axisY.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisY2.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical y2-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisTitleX.text': {
    description: 'Specify the title of the x-axis.',
    type: 'string'
  },
  'axisTitleY.text': {
    description: 'Specify the title of the y-axis.',
    type: 'string'
  },
  'axisTitleY2.text': {
    description: 'Specify the title of the y2-axis.',
    type: 'string'
  },
  'axisTitleX.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  'axisTitleY.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  'axisTitleY2.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the y2-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  'chart.resultTruncationLimit': {
    default: 50000,
    description: 'Specify the number of data points rendered in a chart.',
    type: 'number'
  },
  backgroundColor: {
    description: 'Specify the Hex code for color used for a background. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fontColor: {
    description: 'Specify the Hex code for color used for fonts (axis labels, legends). For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  foregroundColor: {
    description: 'Specify the Hex code for color used for a foreground. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  seriesColors: {
    description: "Specify the Hex code for colors used for a series. For example, ['#FF0000', '#0000FF', '#008000']'.\n            The default for light and dark mode is ['#1E93C6', '#F2B827', '#D6563C', '#6A5C9E', '#31A35F'].\n            The default for SCP mode is ['#A9F5E7', '#A870EF',  '#1E6271', '#45D4BA', '#602CA1',  '#9AE6F7', '#6CD0F0', '#2F8AA7',  '#422879', '#F29BAC', '#E85B79', '#C6335F',  '#FDAF93', '#FB865C', '#E9643A',  '#7EEFDA', '#26AA92', '#207865', '#C093F9', '#8747DA',  '#4EB2D2', '#912344',  '#AD3F20', '#D44C20', '#FFC34E',  '#95651D',  '#C0891E', '#ECAE11', '#FCD9A4', '#78062A'].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  fieldColors: {
    description: "Specify the Hex code for color used for a field. For example: {'count': '#008000', 'percent': '#FFA500'}. Note: Option type 'string' has been deprecated.",
    type: ['object', 'string']
  },
  'chart.showDataLabels': {
    default: 'none',
    description: 'Specify whether bar, line, area, or column charts should display no labels, all labels, or only the min and max labels.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'all', 'minmax']),
    type: 'string'
  },
  'data.fieldListMode': {
    default: 'hide_show',
    description: 'Specify the order in which to apply the fieldShowList and fieldHideList filters.',
    pattern: Object(visualization_schemas_["getPattern"])(['show_hide', 'hide_show']),
    type: 'string'
  },
  'data.fieldShowList': {
    description: "Specify a list of fields to show in the results. For example: ['percent', 'count']. Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'data.fieldHideList': {
    description: "Specify a list of fields to hide in the results. For example: ['percent', 'count']. Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'gridLinesX.showMajorLines': {
    default: false,
    description: 'Specify whether major grid lines are visible on the x-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMajorLines': {
    default: true,
    description: 'Specify whether major grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesY2.showMajorLines': {
    default: true,
    description: 'Specify whether major grid lines are visible on the y2-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesY2.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on y2-axis.',
    type: 'boolean'
  },
  'layout.splitSeries': {
    default: false,
    description: 'Set to "true" to split a multi-series chart into separate charts that are stacked from top to bottom; one for each series.',
    type: 'boolean'
  },
  'layout.splitSeries.allowIndependentYRanges': {
    default: false,
    description: 'Specify whether split series charts have independent y-ranges.',
    type: 'boolean'
  },
  'legend.labels': {
    description: "Specify a list of labels to pre-populate the legend. For example: ['percent', 'count']. Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'legend.labelStyle.overflowMode': {
    default: 'ellipsisMiddle',
    description: 'Specify how to display legend labels when they overflow the layout boundaries by replacing overflow text with an ellipsis.',
    pattern: Object(visualization_schemas_["getPattern"])(['ellipsisEnd', 'ellipsisMiddle', 'ellipsisStart', 'ellipsisNone']),
    type: 'string'
  },
  'legend.placement': {
    default: 'right',
    description: 'Specify the location of the legend on the panel.',
    pattern: Object(visualization_schemas_["getPattern"])(['right', 'left', 'top', 'bottom', 'none']),
    type: 'string'
  },
  'axisY2.enabled': {
    default: false,
    description: 'Enable a y2-axis for chart overlays.',
    type: 'boolean'
  },
  'axisY2.fields': {
    description: 'Specify a field that should be mapped to a second y-axis for chart overlays.',
    type: 'string'
  },
  'chart.overlayFields': {
    description: 'Specify a field or a space/comma-delimited list of fields that should be mapped to the y2-axis.',
    type: 'string'
  },
  'chart.stackMode': {
    default: 'default',
    description: 'Specify stacking options for area, bar, and column charts.',
    pattern: Object(visualization_schemas_["getPattern"])(['default', 'stacked', 'stacked100']),
    type: 'string'
  },
  'chart.barSpacing': {
    description: 'Specify, in pixels, the spacing between columns in a bar chart.',
    type: 'number'
  },
  'chart.seriesSpacing': {
    description: 'Specify, in pixels, the spacing between clustered series in column and bar charts.',
    type: 'number'
  },
  lineWidth: {
    default: 2,
    description: 'Specify the line width, in pixels, for chart overlay.',
    type: 'number'
  },
  pageable: {
    default: false,
    description: 'Specify whether a paginator should be rendered to page through the data from the data source.',
    type: 'boolean'
  },
  count: {
    default: 1000,
    description: 'Specify the maximum number of data points to display.',
    type: 'number'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/BarBeside"
var BarBeside_ = __webpack_require__(63);
var BarBeside_default = /*#__PURE__*/__webpack_require__.n(BarBeside_);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/BarStacked"
var BarStacked_ = __webpack_require__(64);
var BarStacked_default = /*#__PURE__*/__webpack_require__.n(BarStacked_);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/BarStacked100"
var BarStacked100_ = __webpack_require__(65);
var BarStacked100_default = /*#__PURE__*/__webpack_require__.n(BarStacked100_);

// EXTERNAL MODULE: ./src/common/editorConfig/Axes.js
var Axes = __webpack_require__(40);

// EXTERNAL MODULE: ./src/common/editorConfig/Legend.js
var Legend = __webpack_require__(41);

// CONCATENATED MODULE: ./src/visualizations/Bar/editorConfig.js






var editorConfig = [{
  label: Object(i18n_["_"])('General'),
  layout: [[{
    label: Object(i18n_["_"])('Stack Mode'),
    option: 'chart.stackMode',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        icon: BarBeside_default.a,
        label: Object(i18n_["_"])('Not stacked'),
        value: 'default'
      }, {
        icon: BarStacked_default.a,
        label: Object(i18n_["_"])('Stacked'),
        value: 'stacked'
      }, {
        icon: BarStacked100_default.a,
        label: Object(i18n_["_"])('Stacked 100%'),
        value: 'stacked100'
      }]
    }
  }], [{
    label: Object(i18n_["_"])('Show Data Values'),
    option: 'chart.showDataLabels',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Off'),
        value: 'none'
      }, {
        label: Object(i18n_["_"])('On'),
        value: 'all'
      }, {
        label: Object(i18n_["_"])('Min/Max'),
        value: 'minmax'
      }]
    }
  }]]
}, Axes["a" /* default */], Legend["a" /* default */]];
/* harmony default export */ var Bar_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Bar/Bar.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}
















var BAR_CHART_PAGINATION_HEIGHT_OFFSET = 30;
var Bar_BarComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(BarComponent, _Component);

  var _super = _createSuper(BarComponent);

  function BarComponent() {
    classCallCheck_default()(this, BarComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(BarComponent, [{
    key: "render",
    value: function render() {
      var _this = this;

      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          options = _this$props.options,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          hasEventHandlers = _this$props.hasEventHandlers,
          theme = _this$props.theme,
          mode = _this$props.mode;
      var themeKey = Object(themeUtils["a" /* getChartingThemeKey */])(theme);
      var barProps = Object(BarParser_["parse"])(dataSources, encoding); // todo: may need merge the truncateParsedData function with parse

      var truncationLimit = options && options['chart.resultTruncationLimit'];
      barProps = Object(dataUtils_["truncateParsedData"])(barProps, truncationLimit);

      var onPointClick = function onPointClick(evt) {
        if (Object(eventUtils["enableClickHandler"])(hasEventHandlers, mode)) {
          _this.props.onEventTrigger(new VisualizationEvent_default.a({
            originalEvent: evt.originalEvent,
            payload: evt.payload,
            type: 'point.click'
          }));
        }
      };

      var onLegendClick = function onLegendClick(evt) {
        if (Object(eventUtils["enableClickHandler"])(hasEventHandlers, mode)) {
          _this.props.onEventTrigger(new VisualizationEvent_default.a({
            originalEvent: evt.originalEvent,
            payload: evt.payload,
            type: 'legend.click'
          }));
        }
      };

      return /*#__PURE__*/external_react_default.a.createElement(Bar_default.a, extends_default()({
        width: width,
        height: height,
        style: style,
        themeKey: themeKey,
        x: barProps.x,
        y: barProps.y,
        y2: barProps.y2,
        xFieldName: barProps.xFieldName,
        yFieldName: barProps.yFieldName,
        y2FieldName: barProps.y2FieldName,
        onPointClick: onPointClick,
        onLegendClick: onLegendClick
      }, Object(simpleXMLOptions_["getPropsForSimpleXMLOptions"])(options)));
    }
  }]);

  return BarComponent;
}(external_react_["Component"]);

defineProperty_default()(Bar_BarComponent, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(Bar_BarComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(Bar_BarComponent, "dataContract", BarParser_["dataContract"]);

defineProperty_default()(Bar_BarComponent, "vizContract", {
  initialDimension: {
    width: 300,
    height: 300
  }
});

defineProperty_default()(Bar_BarComponent, "schema", optionsSchema);

defineProperty_default()(Bar_BarComponent, "editor", Bar_editorConfig);

/* harmony default export */ var Bar = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["Bar"], null)
  })
})(Object(enhancer_["withPaginator"])({
  VizHeightOffset: BAR_CHART_PAGINATION_HEIGHT_OFFSET
})(Bar_BarComponent)));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/VisualizationEvent");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/dataUtils");

/***/ }),

/***/ 29:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getClickHandler", function() { return getClickHandler; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "enableClickHandler", function() { return enableClickHandler; });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__);


function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}


var getClickHandler = function getClickHandler(onEventTrigger, data) {
  var eventName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'value.click';
  return typeof onEventTrigger === 'function' && function (e) {
    return onEventTrigger(new _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default.a({
      originalEvent: e,
      payload: _objectSpread({}, data),
      type: eventName
    }));
  };
};
var enableClickHandler = function enableClickHandler(hasEventHandlers, mode) {
  return !!hasEventHandlers && mode === 'view';
};

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/themeUtils");

/***/ }),

/***/ 38:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/simpleXMLOptions");

/***/ }),

/***/ 39:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(37);
/* harmony import */ var _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "a", function() { return _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__["getChartingThemeKey"]; });



/***/ }),

/***/ 40:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var axes = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Axes'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('X Axis title'),
    option: 'axisTitleX.text',
    editor: 'editor.text'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Y Axis title'),
    option: 'axisTitleY.text',
    editor: 'editor.text'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (axes);

/***/ }),

/***/ 41:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var legend = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Legend'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Position'),
    option: 'legend.placement',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Right'),
        value: 'right'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Left'),
        value: 'left'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Top'),
        value: 'top'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Bottom'),
        value: 'bottom'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('None'),
        value: 'none'
      }]
    }
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Truncation'),
    option: 'legend.labelStyle.overflowMode',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('A...'),
        value: 'ellipsisEnd'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('A...Z'),
        value: 'ellipsisMiddle'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('...Z'),
        value: 'ellipsisStart'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Off'),
        value: 'ellipsisNone'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (legend);

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 63:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/BarBeside");

/***/ }),

/***/ 64:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/BarStacked");

/***/ }),

/***/ 65:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/BarStacked100");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 85:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/BarParser");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),

/***/ 96:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/Bar");

/***/ })

/******/ });
//# sourceMappingURL=Bar.js.map