/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 124);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),
/* 4 */,
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),
/* 9 */,
/* 10 */
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),
/* 12 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/style");

/***/ }),
/* 16 */,
/* 17 */,
/* 18 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/VisualizationEvent");

/***/ }),
/* 19 */,
/* 20 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),
/* 21 */,
/* 22 */
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),
/* 23 */,
/* 24 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 25 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),
/* 26 */,
/* 27 */,
/* 28 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),
/* 29 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getClickHandler", function() { return getClickHandler; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "enableClickHandler", function() { return enableClickHandler; });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__);


function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}


var getClickHandler = function getClickHandler(onEventTrigger, data) {
  var eventName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'value.click';
  return typeof onEventTrigger === 'function' && function (e) {
    return onEventTrigger(new _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default.a({
      originalEvent: e,
      payload: _objectSpread({}, data),
      type: eventName
    }));
  };
};
var enableClickHandler = function enableClickHandler(hasEventHandlers, mode) {
  return !!hasEventHandlers && mode === 'view';
};

/***/ }),
/* 30 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),
/* 31 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/paginationUtils");

/***/ }),
/* 32 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),
/* 33 */,
/* 34 */,
/* 35 */
/***/ (function(module, exports) {

module.exports = require("lodash/pick");

/***/ }),
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getTheme");

/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = require("lodash/each");

/***/ }),
/* 44 */,
/* 45 */,
/* 46 */,
/* 47 */,
/* 48 */,
/* 49 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "defaultShowPlaceholder", function() { return defaultShowPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPlaceholder", function() { return withPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPaginator", function() { return withPaginator; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withBackgroundColor", function() { return withBackgroundColor; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withEventBlocker", function() { return withEventBlocker; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationHOCs", function() { return withVisualizationHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationAndThemeHOCs", function() { return withVisualizationAndThemeHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withSanitizedOptions", function() { return withSanitizedOptions; });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14);
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(11);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(10);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(styled_components__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(22);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash_get__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(35);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(lodash_pick__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(43);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(lodash_each__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(51);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(28);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(30);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(32);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(15);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(52);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(31);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(53);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(25);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(42);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(54);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__);





var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}
/* eslint-disable react/prop-types */




















var Item = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref) {
  var width = _ref.width;
  return {
    style: {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }
  };
})(_templateObject || (_templateObject = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
}); // Use `.attrs()` for highly dynamic styles. Ref: https://github.com/styled-components/styled-components/issues/134#issuecomment-312415291

var FixSizeItem = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref2) {
  var width = _ref2.width,
      height = _ref2.height;
  return {
    style: _objectSpread(_objectSpread({}, width && {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }), height && {
      height: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(height)
    })
  };
})(_templateObject2 || (_templateObject2 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    flex-direction: column;\n    flex: 1;\n    display: flex;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
});
var ItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject3 || (_templateObject3 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    min-height: 100px;\n    width: 100%;\n"])));
var FixSizeItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject4 || (_templateObject4 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    min-height: 0px;\n    flex: 1;\n    position: relative;\n"])));
var Blocker = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject5 || (_templateObject5 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    width: 100%;\n    height: 100%;\n"])));
var Cover = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject6 || (_templateObject6 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n"])));
/**
 * Todo: Need remove this function when we refactor `fill` encoding of Single Value not for background color.
 * Helper function. Necessary since not all Viz will have a background color derived from encoding.
 *
 * @param {*} dataSources
 * @param {*} encoding
 * @param {String} type Viz type
 * @returns {String} color
 */

var getEncodingBackgroundColor = function getEncodingBackgroundColor(dataSources, encoding, type) {
  var isTypeOfSingleValue = function isTypeOfSingleValue(vizType) {
    return ['viz.singlevalue', 'viz.singlevalueradial'].includes(vizType);
  };

  if (isTypeOfSingleValue(type) && !lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default()(dataSources) && encoding) {
    var parsed = Object(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__["parse"])(dataSources, encoding);
    return parsed.backgroundColor || '';
  }

  return '';
};
/**
 * Internal helper to get the default themed background color for enhancer
 * enterprise.dark is using black; however enterprise.light and prisma use backgroundColorSidebar as per design
 * @param {Object} params.theme - theme context object containing the theme family, colorScheme, and density
 * @param {Object} params.themeVariables - all variables available to use for the given theme
 */


var getDefaultThemedBackgroundColor = function getDefaultThemedBackgroundColor(_ref3) {
  var theme = _ref3.theme,
      themeVariables = _ref3.themeVariables;

  var _getSettingsFromTheme = _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default()({
    theme: theme
  }),
      family = _getSettingsFromTheme.family,
      colorScheme = _getSettingsFromTheme.colorScheme;

  return family === 'enterprise' && colorScheme === 'dark' ? themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.black : themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.backgroundColorSidebar;
};
/**
 * default empty datasource placeholder
 * @param {Number} width
 * @param {Number} height
 */


var DefaultPlaceHolder = function DefaultPlaceHolder(_ref4) {
  var width = _ref4.width,
      height = _ref4.height;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default.a, {
    width: width,
    height: height,
    level: "warning",
    message: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__["_"])('No DataSource Connected')
  });
};

DefaultPlaceHolder.propTypes = {
  /**
   * width in pixel or string, defaults to 100%
   */
  width: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number]),

  /**
   * height in pixel or string
   */
  height: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number])
};
/**
 * pass static props to new viz
 * @param {ReactElement} Base
 * @param {ReactElement} Viz
 */

var extendViz = function extendViz(Base, Viz) {
  var extendProperties = ['dataContract', 'vizContract', 'propTypes', 'defaultProps', 'schema', 'editor'];
  lodash_each__WEBPACK_IMPORTED_MODULE_9___default()(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(Base, extendProperties), function (v, k) {
    if (v) {
      Viz[k] = v; // eslint-disable-line no-param-reassign
    }
  });
};
/**
 * display placeholder if no primary datasource is connected or
 * primary datasource does not have any search data
 * @param {Object} props
 */


var defaultShowPlaceholder = function defaultShowPlaceholder(props) {
  var dataSources = props.dataSources,
      loading = props.loading;

  if (loading || !dataSources || !dataSources.primary) {
    return true;
  }

  var data = lodash_get__WEBPACK_IMPORTED_MODULE_7___default()(dataSources, 'primary.data');
  return !data || !data.columns || !data.columns.length;
};
/**
 * HOC that renders a placeholder if viz does not connect to datasource
 * or datasource does not have any data
 * @param {ReactElement} placeholder placeholder react element
 * @param {Function} shouldShowPlaceholder a function return true/false to indicate if a placeholder should be rendered
 */

var withPlaceholder = function withPlaceholder(_ref5) {
  var _ref5$placeholder = _ref5.placeholder,
      placeholder = _ref5$placeholder === void 0 ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(DefaultPlaceHolder, null) : _ref5$placeholder,
      _ref5$shouldShowPlace = _ref5.shouldShowPlaceholder,
      shouldShowPlaceholder = _ref5$shouldShowPlace === void 0 ? defaultShowPlaceholder : _ref5$shouldShowPlace;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var show = shouldShowPlaceholder(props);

      if (show) {
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.cloneElement(placeholder, {
          width: props.width,
          height: props.height
        });
      }

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props);
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders the visualization with a Paginator component
 * @param {ReactElement} Visualization Visualization Element
 * @param {Number} VizHeightOffset Visualization specific value to reduce height by in order to make room for the Paginator
 * @param {Boolean} defaultPageable Visualization specific default value for whether pagination should be enabled
 */

var withPaginator = function withPaginator(_ref6) {
  var _ref6$VizHeightOffset = _ref6.VizHeightOffset,
      VizHeightOffset = _ref6$VizHeightOffset === void 0 ? 0 : _ref6$VizHeightOffset,
      _ref6$defaultPageable = _ref6.defaultPageable,
      defaultPageable = _ref6$defaultPageable === void 0 ? false : _ref6$defaultPageable;
  return function (Visualization) {
    var Container = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject7 || (_templateObject7 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n        overflow: hidden;\n        position: relative;\n        ", ";\n    "])), function (props) {
      return Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toDimension"])(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(props, ['width', 'height']));
    });

    var Wrapper = function Wrapper(props) {
      var _getPaginationInforma = Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["getPaginationInformation"])(props),
          totalPages = _getPaginationInforma.totalPages,
          currentPage = _getPaginationInforma.currentPage,
          isPaging = _getPaginationInforma.isPaging,
          requestParams = _getPaginationInforma.requestParams;

      var pageable = props.options && !lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default()(props.options.pageable) ? props.options.pageable : defaultPageable;
      var height = props.height,
          width = props.width,
          onRequestParamsChange = props.onRequestParamsChange;
      var fixedHeight = height != null;
      var PaginatorContainer = fixedHeight ? _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["FixedHeightPaginatorContainer"] : null;
      var vizHeight = isPaging && pageable && VizHeightOffset ? height - VizHeightOffset : height;

      var vizProps = _objectSpread(_objectSpread({}, props), {}, {
        height: vizHeight
      });

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Container, {
        "data-test": "paginator-wrapper",
        width: width,
        height: height
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, vizProps), pageable && Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["renderPaginator"])(_objectSpread({
        totalPages: totalPages,
        currentPage: currentPage,
        isPaging: isPaging,
        requestParams: requestParams,
        theme: props.theme,
        onRequestParamsChange: onRequestParamsChange
      }, fixedHeight && {
        PaginatorContainer: PaginatorContainer
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a container that provides a background color and size
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present
 * @param {ReactElement} Visualization
 */

var withBackgroundColor = function withBackgroundColor(_ref7) {
  var defaultBackgroundColor = _ref7.defaultBackgroundColor,
      enableBackgroundColorOption = _ref7.enableBackgroundColorOption;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var dataSources = props.dataSources,
          encoding = props.encoding,
          _props$options = props.options,
          options = _props$options === void 0 ? {} : _props$options,
          width = props.width,
          height = props.height,
          theme = props.theme,
          type = props.type; // due to the computational nature of backgroundColor,
      // we use getTheme and inspect the hardcoded internal to unconditionally pass dark prisma themes variables if no SplunkThemeProvider is present
      // in this case, we default to transparent if no theme is present
      // TODO: move away from hardcoded internal that may change

      var themeVariables = theme !== null && theme !== void 0 && theme.splunkThemeV1 ? _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default()(theme === null || theme === void 0 ? void 0 : theme.splunkThemeV1) : {};
      var defaultThemedBackgroundColor = getDefaultThemedBackgroundColor({
        theme: theme,
        themeVariables: themeVariables
      });
      var encodingBackgroundColor = getEncodingBackgroundColor(dataSources, encoding, type);
      var backgroundColor = Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || enableBackgroundColorOption && Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(options.backgroundColor) && options.backgroundColor || defaultThemedBackgroundColor || defaultBackgroundColor || 'transparent';
      return !height ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Item, {
        "data-test": "item",
        width: width,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(ItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props))) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItem, {
        "data-test": "fix-size-item",
        width: width,
        height: height,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default.a, null, function (containerDimension) {
        var overrideProps = _objectSpread(_objectSpread({}, props), {}, {
          width: containerDimension.width,
          height: containerDimension.height
        });

        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, overrideProps);
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a cover layer in edit mode
 * @param {ReactElement} Visualization
 */

var withEventBlocker = function withEventBlocker(Visualization) {
  var Wrapper = function Wrapper(props) {
    var mode = props.mode;
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Blocker, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props), mode === 'edit' && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Cover, null));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};
/**
 * HOC combination for a generic viz
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {ReactElement} placeholder
 */

var withVisualizationHOCs = function withVisualizationHOCs(_ref8) {
  var defaultBackgroundColor = _ref8.defaultBackgroundColor,
      _ref8$enableBackgroun = _ref8.enableBackgroundColorOption,
      enableBackgroundColorOption = _ref8$enableBackgroun === void 0 ? true : _ref8$enableBackgroun,
      placeholder = _ref8.placeholder;
  return function (Viz) {
    return withBackgroundColor({
      defaultBackgroundColor: defaultBackgroundColor,
      enableBackgroundColorOption: enableBackgroundColorOption
    })(withPlaceholder({
      placeholder: placeholder
    })(withEventBlocker(Viz)));
  };
};
/**
 * HOC combination for viz with theme information
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {ReactElement} placeholder
 */

var withVisualizationAndThemeHOCs = function withVisualizationAndThemeHOCs(_ref9) {
  var enableBackgroundColorOption = _ref9.enableBackgroundColorOption,
      defaultBackgroundColor = _ref9.defaultBackgroundColor,
      placeholder = _ref9.placeholder;
  return function (Viz) {
    return (// splunk-charting need to access theme prop, so we use additional withTheme hoc.
      Object(styled_components__WEBPACK_IMPORTED_MODULE_6__["withTheme"])(withVisualizationHOCs({
        enableBackgroundColorOption: enableBackgroundColorOption,
        defaultBackgroundColor: defaultBackgroundColor,
        placeholder: placeholder
      })(Viz))
    );
  };
};
/**
 * HOC that sanitizes options.
 * @param {ReactElement} Visualization
 */

var withSanitizedOptions = function withSanitizedOptions(Visualization) {
  var Wrapper = function Wrapper(props) {
    var options = props.options,
        rest = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default()(props, ["options"]);

    var sanitizedOptions = Object(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__["sanitize"])(options);
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default()({
      options: sanitizedOptions
    }, rest));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};

/***/ }),
/* 50 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/objectWithoutProperties");

/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = require("lodash/isUndefined");

/***/ }),
/* 52 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SizeAwareWrapperDeprecated");

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SanitizeProps");

/***/ }),
/* 54 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getSettingsFromThemedProps");

/***/ }),
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/ChoroplethParser");

/***/ }),
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _classCallCheck = __webpack_require__(7);

var _createClass = __webpack_require__(8);

var _inherits = __webpack_require__(12);

var _possibleConstructorReturn = __webpack_require__(13);

var _getPrototypeOf = __webpack_require__(5);

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChoroplethComponent = void 0;

var React = __webpack_require__(2);

var i18n_1 = __webpack_require__(0);

var lodash_1 = __webpack_require__(24);

var GeoContext_1 = __webpack_require__(125);

var Message_1 = __webpack_require__(32);

var ChoroplethParser_1 = __webpack_require__(83);

var variables_1 = __webpack_require__(20);

var GeoJsonChoropleth_1 = __webpack_require__(126);

var enhancer_1 = __webpack_require__(49);

var optionsSchema_1 = __webpack_require__(127);

var editorConfig_1 = __webpack_require__(128);

var eventUtils_1 = __webpack_require__(29);

var ChoroplethComponent = /*#__PURE__*/function (_React$Component) {
  _inherits(ChoroplethComponent, _React$Component);

  var _super = _createSuper(ChoroplethComponent);

  function ChoroplethComponent(props) {
    var _this;

    _classCallCheck(this, ChoroplethComponent);

    _this = _super.call(this, props);

    _this.handleMapClick = function (clickedCoords, featureId) {
      var _this$props = _this.props,
          hasEventHandlers = _this$props.hasEventHandlers,
          mode = _this$props.mode,
          onEventTrigger = _this$props.onEventTrigger;

      if ((0, eventUtils_1.enableClickHandler)(hasEventHandlers, mode)) {
        onEventTrigger({
          originalEvent: null,
          payload: {
            featureId: featureId,
            clickedCoords: clickedCoords
          },
          type: 'map.click'
        });
      }
    };

    _this.handleFeatureHover = function ()
    /* featureId: string */
    {// @TODO: implement
      // if (featureId) {
      //  this.props.onEventTrigger(new VisualizationEvent('map.hover', null, { featureId }));
      // }
    };

    _this.state = {
      geoJson: null // eslint-disable-line react/no-unused-state

    };
    return _this;
  }

  _createClass(ChoroplethComponent, [{
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          encoding = _this$props2.encoding,
          dataSources = _this$props2.dataSources,
          options = _this$props2.options,
          width = _this$props2.width,
          height = _this$props2.height;
      var source = options.source;
      var data = {
        featureIDs: [],
        values: [],
        fill: []
      };
      var geoJson;
      var geoFeatureGroups;
      var geoRegistry = this.context;

      if (!geoRegistry) {
        return React.createElement(Message_1.default, {
          "data-test": "choropleth-message",
          width: width,
          height: height,
          message: (0, i18n_1._)('No GeoRegistry provided in context')
        });
      }

      try {
        geoJson = geoRegistry.getByURL(source);
      } catch (e) {
        return React.createElement(Message_1.default, {
          "data-test": "choropleth-message",
          width: width,
          height: height,
          level: e.level,
          message: (0, i18n_1._)(e.message)
        });
      } // @TODO / @Note
      // can we get rid of logicalBounds option and use
      // width/height that is passed down from layout?
      // insets might need to be configured differently


      var xScaleFactor = width / options.logicalBounds.x.max;
      var yScaleFactor = height / options.logicalBounds.y.max;
      var logicalBounds = {
        x: {
          min: 0,
          max: width
        },
        y: {
          min: 0,
          max: height
        }
      }; // scale the feature groups logicalBounds
      // based on ratio of configured options to layout item dimensions

      if (options.geoFeatureGroups) {
        geoFeatureGroups = options.geoFeatureGroups.map(function (group) {
          if (!group.logicalBounds) return group;
          return Object.assign(Object.assign({}, group), {
            logicalBounds: {
              x: {
                min: group.logicalBounds.x.min * xScaleFactor,
                max: group.logicalBounds.x.max * xScaleFactor
              },
              y: {
                min: group.logicalBounds.y.min * yScaleFactor,
                max: group.logicalBounds.y.max * yScaleFactor
              }
            }
          });
        });
      }

      if (dataSources && (0, lodash_1.get)(dataSources, ['primary', 'data'])) {
        var dataFromEncoding = (0, lodash_1.omit)((0, ChoroplethParser_1.parse)(dataSources, encoding), '_meta');
        data = {
          featureIDs: dataFromEncoding.featureId || [],
          values: dataFromEncoding.value || [],
          fill: dataFromEncoding.fill || []
        };
      }

      var choroplethProps = Object.assign(Object.assign({}, options), {
        data: data,
        geoJson: geoJson,
        geoFeatureGroups: geoFeatureGroups,
        logicalBounds: logicalBounds,
        onFeatureHover: this.handleFeatureHover,
        onClick: this.handleMapClick
      });
      return React.createElement(GeoJsonChoropleth_1.default, Object.assign({
        "data-test": "react-geo-json-choropleth"
      }, choroplethProps));
    }
  }]);

  return ChoroplethComponent;
}(React.Component);

exports.ChoroplethComponent = ChoroplethComponent;
ChoroplethComponent.contextType = GeoContext_1.default;
ChoroplethComponent.dataContract = ChoroplethParser_1.dataContract;
ChoroplethComponent.schema = optionsSchema_1.default;
ChoroplethComponent.editor = editorConfig_1.default;
exports.default = (0, enhancer_1.withBackgroundColor)({
  enableBackgroundColorOption: true,
  defaultBackgroundColor: variables_1.enterprise.defaultBackgroundColor
})(ChoroplethComponent);

/***/ }),
/* 125 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/GeoContext");

/***/ }),
/* 126 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/GeoJsonChoropleth");

/***/ }),
/* 127 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);
/* harmony import */ var _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__);

/* harmony default export */ __webpack_exports__["default"] = ({
  source: {
    description: 'Source for the geo data.',
    pattern: Object(_splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["getPattern"])(['geo://default/us', 'geo://default/world']),
    type: 'string'
  },
  projection: {
    description: 'Specifies the map projection.',
    pattern: Object(_splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["getPattern"])(['mercator', 'equirectangular']),
    type: 'string'
  },
  selector: {
    default: '.feature',
    description: 'Selector to get all features',
    type: 'string'
  },
  fillColor: {
    description: 'Specify the Hex code for fill color of features with no data. For example: "#0000FF".',
    pattern: _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  strokeColor: {
    description: 'Specify the Hex code for stroke color for all features that are not selected. For example: "#0000FF".',
    pattern: _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  strokeHighlightColor: {
    description: 'Specify the Hex code for stroke highlight color for all features that are selected. For example: "#0000FF".',
    pattern: _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  backgroundColor: {
    description: 'Specify the Hex code for the color used for the Choropleth background. For example: "#0000FF".',
    pattern: _splunk_visualization_schemas__WEBPACK_IMPORTED_MODULE_0__["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  name: {
    description: 'Name of the Visualization',
    type: 'string'
  },
  sourceBounds: {
    description: 'Specify the bounds of the geographic area as lat:{min:..., max:...}, long:{min:..., max:..}.',
    type: 'object'
  },
  logicalBounds: {
    description: 'Specify the logical bounds of the projected map as x:{min:..., max:...}, y:{min:..., max:..}.',
    type: 'object'
  },
  geoFeatureGroups: {
    type: 'array',
    items: {
      type: 'object'
    },
    description: 'A geo feature group consists of a name, logical bounds, sourcebounds and a featureMatcher, which consists of a property name and a regex to check against that property.'
  }
});

/***/ }),
/* 128 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
var editorConfig = [];
/* harmony default export */ __webpack_exports__["default"] = (editorConfig);

/***/ })
/******/ ]);
//# sourceMappingURL=Choropleth.js.map