/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 146);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 146:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/taggedTemplateLiteral"
var taggedTemplateLiteral_ = __webpack_require__(11);
var taggedTemplateLiteral_default = /*#__PURE__*/__webpack_require__.n(taggedTemplateLiteral_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(10);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);

// EXTERNAL MODULE: external "lodash/isEmpty"
var isEmpty_ = __webpack_require__(28);
var isEmpty_default = /*#__PURE__*/__webpack_require__.n(isEmpty_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/visualizations/common/shapeUtils"
var shapeUtils_ = __webpack_require__(75);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/ShapeParser"
var ShapeParser_ = __webpack_require__(69);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Ellipse/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  stroke: {
    description: "Specify the color of the stroke using a Hex code such as \"#FF0000\". The default for enterprise light mode is \"#3C444D\". The default for enterprise dark mode is \"#C3CBD4\". The default for prisma dark mode is \"#ACACAD\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  strokeOpacity: {
    default: 1,
    description: 'Specify the opacity of the stroke. Choose a number in the range of 0 - 1 (inclusive). You can also express the value as a percentage. For example, "0.80" in source or "80%" in UI.',
    type: 'number'
  },
  strokeWidth: {
    default: 1,
    description: 'Specify the width of the stroke, in pixels, in the range of 1 - 25 (inclusive).',
    type: 'number'
  },
  fill: {
    description: "Specify the color fill using a Hex code such as \"#FF0000\". The default for enterprise light mode is \"#C3CBD4\". The default for enterprise dark mode is \"#31373E\". The default for prisma dark mode is \"#0B0C0E\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fillOpacity: {
    default: 1,
    description: 'Specify the opacity of the fill. Choose a number in the range of 0 - 1 (inclusive). You can also express the value as a percentage. For example, "0.80" in source or "80%" in UI.',
    type: 'number'
  },
  strokeDasharray: {
    default: 0,
    description: 'Specify the size, in pixels, of dashes and spaces used to create a custom, stitched outline. The value you specify applies to both the dashes and the spaces.',
    type: 'number'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: ./src/common/editorConfig/Threshold.js
var Threshold = __webpack_require__(44);

// CONCATENATED MODULE: ./src/visualizations/Ellipse/editorConfig.js




var editorConfig = [{
  label: Object(i18n_["_"])('Fill'),
  layout: [[{
    label: Object(i18n_["_"])('Color'),
    option: 'fill',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            light: variables_default.a.gray80,
            dark: variables_default.a.gray25
          },
          prisma: variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }, {
    label: Object(i18n_["_"])('Opacity (%)'),
    option: 'fillOpacity',
    editor: 'editor.percent',
    editorProps: {
      min: 0
    }
  }]]
}, {
  label: Object(i18n_["_"])('Border'),
  layout: [[{
    label: Object(i18n_["_"])('Color'),
    option: 'stroke',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.gray80,
            light: variables_default.a.textColor
          },
          prisma: variables_default.a.neutral500
        })({
          theme: theme
        });
      }
    }
  }, {
    label: Object(i18n_["_"])('Opacity (%)'),
    option: 'strokeOpacity',
    editor: 'editor.percent',
    editorProps: {
      min: 0
    }
  }], [{
    label: Object(i18n_["_"])('Thickness (px)'),
    option: 'strokeWidth',
    editor: 'editor.number',
    editorProps: {
      min: 0
    }
  }], [{
    label: Object(i18n_["_"])('Dash Style'),
    option: 'strokeDasharray',
    editor: 'editor.number',
    editorProps: {
      min: 0
    }
  }]]
}, Threshold["a" /* default */]];
/* harmony default export */ var Ellipse_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Ellipse/Ellipse.jsx









var _templateObject;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}










var defaultOptions = {
  strokeWidth: 1
};
var SVGContainer = external_styled_components_default.a.svg(_templateObject || (_templateObject = taggedTemplateLiteral_default()(["\n    width: ", "px;\n    height: ", "px;\n"])), function (props) {
  return props.width;
}, function (props) {
  return props.height;
});
var EllipseShape = Object(shapeUtils_["getStyledShape"])('ellipse');

var Ellipse_Ellipse = /*#__PURE__*/function (_Component) {
  inherits_default()(Ellipse, _Component);

  var _super = _createSuper(Ellipse);

  function Ellipse() {
    classCallCheck_default()(this, Ellipse);

    return _super.apply(this, arguments);
  }

  createClass_default()(Ellipse, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height,
          mode = _this$props.mode,
          onEventTrigger = _this$props.onEventTrigger,
          hasEventHandlers = _this$props.hasEventHandlers;

      var options = _objectSpread(_objectSpread({}, defaultOptions), this.props.options);

      var encodingProps = !isEmpty_default()(dataSources) ? Object(ShapeParser_["parse"])(dataSources, encoding) : {};
      var onClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, _objectSpread({}, encodingProps), 'ellipse.click') : null; // TODO StrokeWidth validation

      return /*#__PURE__*/external_react_default.a.createElement(SVGContainer, {
        width: width,
        height: height
      }, /*#__PURE__*/external_react_default.a.createElement(EllipseShape, extends_default()({
        cx: "50%",
        cy: "50%",
        rx: "".concat(width / 2 - options.strokeWidth / 2, "px"),
        ry: "".concat(height / 2 - options.strokeWidth / 2, "px")
      }, encodingProps, options, {
        vectorEffect: "non-scaling-stroke",
        onClick: onClick
      })));
    }
  }]);

  return Ellipse;
}(external_react_["Component"]);

defineProperty_default()(Ellipse_Ellipse, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(Ellipse_Ellipse, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250,
  width: 350
}));

defineProperty_default()(Ellipse_Ellipse, "dataContract", ShapeParser_["dataContract"]);

defineProperty_default()(Ellipse_Ellipse, "vizContract", {
  initialDimension: {
    width: 150,
    height: 150
  }
});

defineProperty_default()(Ellipse_Ellipse, "initialRequestParams", {
  offset: 0,
  count: 10000
});

defineProperty_default()(Ellipse_Ellipse, "supportedDataSources", ['primary']);

defineProperty_default()(Ellipse_Ellipse, "schema", optionsSchema);

defineProperty_default()(Ellipse_Ellipse, "editor", Ellipse_editorConfig);

/* harmony default export */ var visualizations_Ellipse_Ellipse = __webpack_exports__["default"] = (Ellipse_Ellipse);

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),

/***/ 28:
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 44:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var Threshold = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Threshold Settings'),
  open: true,
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Fill'),
    encoding: 'fill',
    // encoding name
    formatKey: 'ranges',
    // key for value in encoding config (fill.format.ranges)
    editor: 'editor.threshold'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (Threshold);

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 69:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/ShapeParser");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 75:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations/common/shapeUtils");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ })

/******/ });
//# sourceMappingURL=Ellipse.js.map