/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 147);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 100:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/FillerGauge");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 147:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "FillerGaugeComponent", function() { return /* binding */ FillerGauge_FillerGaugeComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/FillerGaugeParser"
var FillerGaugeParser_ = __webpack_require__(71);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/GaugeFiller"
var GaugeFiller_ = __webpack_require__(99);
var GaugeFiller_default = /*#__PURE__*/__webpack_require__.n(GaugeFiller_);

// EXTERNAL MODULE: external "@splunk/react-visualizations/FillerGauge"
var FillerGauge_ = __webpack_require__(100);
var FillerGauge_default = /*#__PURE__*/__webpack_require__.n(FillerGauge_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/Message"
var Message_ = __webpack_require__(32);
var Message_default = /*#__PURE__*/__webpack_require__.n(Message_);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/FillerGauge/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  backgroundColor: {
    description: 'Specify the color used for the background using a Hex Code. The default for enterprise light mode is "#FFFFFF". The default for enterprise dark mode is "#000000". The default for prisma dark mode is "#0B0C0E".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  majorUnit: {
    default: 'auto',
    description: 'Specify, in pixels, the spacing between major tick marks.',
    type: ['number', 'string']
  },
  orientation: {
    default: 'vertical',
    description: 'Specify the axis orientation of the gauge.',
    pattern: Object(visualization_schemas_["getPattern"])(['horizontal', 'vertical']),
    type: 'string'
  },
  showLabels: {
    default: true,
    description: 'Specify whether to display labels.',
    type: 'boolean'
  },
  showValue: {
    default: true,
    description: 'Specify whether the gauge value is displayed.',
    type: 'boolean'
  },
  usePercentageRange: {
    default: false,
    description: 'Specify whether to format gauge ranges as percentages.',
    type: 'boolean'
  },
  usePercentageValue: {
    default: false,
    description: 'Specify whether to format the gauge values as percentages.',
    type: 'boolean'
  }
});
// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: ./src/common/editorConfig/Gauge.js
var Gauge = __webpack_require__(76);

// CONCATENATED MODULE: ./src/visualizations/FillerGauge/editorConfig.js




var editorConfig = [Gauge["a" /* default */], {
  label: Object(i18n_["_"])('Threshold Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Gauge Color'),
    encoding: 'gaugeColor',
    // encoding name
    formatKey: 'ranges',
    // key for value in encoding config (gaugeColor.format.ranges)
    editor: 'editor.threshold',
    editorProps: {
      openRanges: false,
      // Use closed ranges
      isTogglable: false // Can not disable thresholds

    }
  }]]
}, {
  label: Object(i18n_["_"])('Background Color'),
  layout: [[{
    label: '',
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.black,
            light: variables_default.a.backgroundColor
          },
          prisma: variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }]]
}];
/* harmony default export */ var FillerGauge_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/FillerGauge/FillerGauge.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}












var FillerGauge_FillerGaugeComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(FillerGaugeComponent, _Component);

  var _super = _createSuper(FillerGaugeComponent);

  function FillerGaugeComponent() {
    classCallCheck_default()(this, FillerGaugeComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(FillerGaugeComponent, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          options = _this$props.options,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height;
      var propsFromEncoding = Object(FillerGaugeParser_["parse"])(dataSources, encoding);
      var propInWrongType;
      var receivedType;
      var expectedType;

      if (propsFromEncoding.valueType !== FillerGaugeParser_["dataContract"].encoding.value.type) {
        propInWrongType = 'value';
        receivedType = propsFromEncoding.valueType;
        expectedType = FillerGaugeParser_["dataContract"].encoding.value.type;
      } else if (propsFromEncoding.gaugeColorType !== FillerGaugeParser_["dataContract"].encoding.gaugeColor.type) {
        propInWrongType = 'gaugeColor';
        receivedType = propsFromEncoding.gaugeColorType;
        expectedType = FillerGaugeParser_["dataContract"].encoding.gaugeColor.type;
      }

      if (propInWrongType) {
        return /*#__PURE__*/external_react_default.a.createElement(Message_default.a, {
          "data-test": "message",
          width: width,
          height: height,
          message: Object(i18n_["_"])("Data type for \"".concat(propInWrongType, "\" encoding is incorrect. Expected: \"").concat(expectedType, "\", Received: \"").concat(receivedType, "\"")),
          level: "info"
        });
      }

      return /*#__PURE__*/external_react_default.a.createElement(FillerGauge_default.a, extends_default()({
        width: width,
        height: height
      }, propsFromEncoding, options));
    }
  }]);

  return FillerGaugeComponent;
}(external_react_["Component"]);

defineProperty_default()(FillerGauge_FillerGaugeComponent, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(FillerGauge_FillerGaugeComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(FillerGauge_FillerGaugeComponent, "dataContract", FillerGaugeParser_["dataContract"]);

defineProperty_default()(FillerGauge_FillerGaugeComponent, "vizContract", {
  initialDimension: {
    width: 300,
    height: 150
  }
});

defineProperty_default()(FillerGauge_FillerGaugeComponent, "initialRequestParams", {
  offset: 0,
  count: 10000
});

defineProperty_default()(FillerGauge_FillerGaugeComponent, "supportedDataSources", ['primary']);

defineProperty_default()(FillerGauge_FillerGaugeComponent, "schema", optionsSchema);

defineProperty_default()(FillerGauge_FillerGaugeComponent, "editor", FillerGauge_editorConfig);

/* harmony default export */ var FillerGauge = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(GaugeFiller_default.a, null)
  })
})(FillerGauge_FillerGaugeComponent));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 71:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/FillerGaugeParser");

/***/ }),

/***/ 76:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var gauge = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Visualization Settings'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Show Value'),
    option: 'showValue',
    editor: 'editor.toggle'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Show Labels'),
    option: 'showLabels',
    editor: 'editor.toggle'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Orientation'),
    option: 'orientation',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Vertical'),
        value: 'vertical'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Horizontal'),
        value: 'horizontal'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (gauge);

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),

/***/ 99:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/GaugeFiller");

/***/ })

/******/ });
//# sourceMappingURL=FillerGauge.js.map