/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 139);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),

/***/ 11:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 139:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "shouldShowPlaceholder", function() { return /* binding */ shouldShowPlaceholder; });
__webpack_require__.d(__webpack_exports__, "toImageDimensions", function() { return /* binding */ Image_toImageDimensions; });
__webpack_require__.d(__webpack_exports__, "ImageComponent", function() { return /* binding */ Image_ImageComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/assertThisInitialized"
var assertThisInitialized_ = __webpack_require__(33);
var assertThisInitialized_default = /*#__PURE__*/__webpack_require__.n(assertThisInitialized_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/taggedTemplateLiteral"
var taggedTemplateLiteral_ = __webpack_require__(11);
var taggedTemplateLiteral_default = /*#__PURE__*/__webpack_require__.n(taggedTemplateLiteral_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(24);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(10);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/style"
var style_ = __webpack_require__(15);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/RemoteImage"
var RemoteImage_ = __webpack_require__(78);
var RemoteImage_default = /*#__PURE__*/__webpack_require__.n(RemoteImage_);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "lodash/get"
var get_ = __webpack_require__(22);
var get_default = /*#__PURE__*/__webpack_require__.n(get_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualizationApi"
var BaseVisualizationApi_ = __webpack_require__(66);
var BaseVisualizationApi_default = /*#__PURE__*/__webpack_require__.n(BaseVisualizationApi_);

// CONCATENATED MODULE: ./src/visualizations/Image/ImageApi.js







function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}




/**
 * Image Api
 */

var ImageApi_ImageApi = /*#__PURE__*/function (_BaseApi) {
  inherits_default()(ImageApi, _BaseApi);

  var _super = _createSuper(ImageApi);

  function ImageApi(viz) {
    var _this;

    classCallCheck_default()(this, ImageApi);

    _this = _super.call(this);
    _this.viz = viz;
    return _this;
  }
  /**
   * return snapshot of that includes inlined image
   */


  createClass_default()(ImageApi, [{
    key: "snapshot",
    value: function snapshot() {
      var srcFromOptions = get_default()(this.viz.props, ['options', 'src'], '');
      var isRemote = Object(RemoteImage_["isRemoteImage"])(srcFromOptions);
      return {
        options: _objectSpread(_objectSpread({}, this.viz.props.options), {}, {
          src: isRemote && this.viz.remoteImage ? get_default()(this.viz.remoteImage, ['state', 'imageDataURI'], '') : srcFromOptions
        })
      };
    }
  }]);

  return ImageApi;
}(BaseVisualizationApi_default.a);

/* harmony default export */ var Image_ImageApi = (ImageApi_ImageApi);
// CONCATENATED MODULE: ./src/visualizations/Image/optionsSchema.js
/* harmony default export */ var optionsSchema = ({
  src: {
    description: 'URL of an image file. All browser-supported image formats are acceptable.',
    type: 'string'
  },
  preserveAspectRatio: {
    default: false,
    description: 'Set to true to maintain the aspect ratio of an image when the screen is resized',
    type: 'boolean'
  }
});
// CONCATENATED MODULE: ./src/visualizations/Image/editorConfig.js

var editorConfig = [{
  label: Object(i18n_["_"])('Image'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])(''),
    option: 'src',
    editor: 'editor.image'
  }], [{
    label: Object(i18n_["_"])('Preserve Aspect Ratio'),
    option: 'preserveAspectRatio',
    editor: 'editor.checkbox',
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return !!options.src;
    }
  }]]
}];
/* harmony default export */ var Image_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Image/Image.jsx









var _templateObject, _templateObject2;

function Image_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function Image_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      Image_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      Image_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function Image_createSuper(Derived) {
  var hasNativeReflectConstruct = Image_isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function Image_isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}















var Container = external_styled_components_default.a.div.attrs(function () {
  return {
    'data-test': 'image-container'
  };
})(_templateObject || (_templateObject = taggedTemplateLiteral_default()(["\n    position: relative;\n    box-sizing: border-box;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n    cursor: ", ";\n    ", ";\n"])), function (props) {
  return props.onClick ? 'pointer' : 'inherit';
}, function (props) {
  return Object(style_["toDimension"])(Object(external_lodash_["pick"])(props, ['width', 'height']));
});
var shouldShowPlaceholder = function shouldShowPlaceholder(props) {
  if (props.options.src) {
    return false;
  }

  return true;
};
var Image_toImageDimensions = function toImageDimensions(props) {
  if (props.shouldPreserveAspectRatio) {
    return "\n            max-width: 100%;\n            max-height: 100%;\n            width: auto;\n            height: auto;\n        ";
  }

  return Object(style_["toDimension"])(Object(external_lodash_["pick"])(props, ['width', 'height']));
};
var Image = external_styled_components_default.a.img(_templateObject2 || (_templateObject2 = taggedTemplateLiteral_default()(["\n    display: block;\n    ", ";\n"])), function (props) {
  return Image_toImageDimensions(props);
});
var Image_ImageComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(ImageComponent, _Component);

  var _super = Image_createSuper(ImageComponent);

  function ImageComponent(props, context) {
    var _this;

    classCallCheck_default()(this, ImageComponent);

    _this = _super.call(this, props, context);
    _this.api = new Image_ImageApi(assertThisInitialized_default()(_this));
    return _this;
  }

  createClass_default()(ImageComponent, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // send back the viz api
      this.props.visualizationApiRef(this.api);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.props.visualizationApiRef(null);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          options = _this$props.options,
          height = _this$props.height,
          width = _this$props.width,
          _this$props$title = _this$props.title,
          title = _this$props$title === void 0 ? '' : _this$props$title,
          mode = _this$props.mode,
          onEventTrigger = _this$props.onEventTrigger,
          hasEventHandlers = _this$props.hasEventHandlers;
      var src = options.src,
          preserveAspectRatio = options.preserveAspectRatio;
      var isRemote = Object(RemoteImage_["isRemoteImage"])(src);
      var onClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {}, 'image.click') : function () {};
      return /*#__PURE__*/external_react_default.a.createElement(Container, {
        width: width,
        height: height,
        onClick: onClick
      }, isRemote ? /*#__PURE__*/external_react_default.a.createElement(RemoteImage_default.a, {
        imageURL: src,
        title: title,
        preserveAspectRatio: preserveAspectRatio,
        width: width,
        height: height,
        ref: function ref(_ref) {
          _this2.remoteImage = _ref;
        }
      }) : /*#__PURE__*/external_react_default.a.createElement(Image, {
        "data-test": "image",
        src: src,
        shouldPreserveAspectRatio: preserveAspectRatio,
        width: width,
        height: height,
        alt: Object(i18n_["_"])(title),
        onError: function onError(e) {
          e.target.alt = Object(i18n_["_"])('Image not found');
        },
        referrerPolicy: "no-referrer"
      }));
    }
  }]);

  return ImageComponent;
}(external_react_["Component"]);

defineProperty_default()(Image_ImageComponent, "propTypes", Image_objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(Image_ImageComponent, "defaultProps", Image_objectSpread({}, BaseVisualization_default.a.defaultProps));

defineProperty_default()(Image_ImageComponent, "dataContract", {
  requiredDataSources: []
});

defineProperty_default()(Image_ImageComponent, "vizContract", {
  initialDimension: {
    width: 150,
    height: 150
  }
});

defineProperty_default()(Image_ImageComponent, "editor", Image_editorConfig);

defineProperty_default()(Image_ImageComponent, "schema", optionsSchema);

/* harmony default export */ var Image_Image = __webpack_exports__["default"] = (Object(enhancer_["withPlaceholder"])({
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["Image"], null)
  }),
  shouldShowPlaceholder: shouldShowPlaceholder
})(Image_ImageComponent));

/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/style");

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),

/***/ 24:
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/assertThisInitialized");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 66:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualizationApi");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 78:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/RemoteImage");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ })

/******/ });
//# sourceMappingURL=Image.js.map