/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 138);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),
/* 4 */,
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),
/* 9 */,
/* 10 */
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),
/* 12 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/style");

/***/ }),
/* 16 */,
/* 17 */,
/* 18 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/VisualizationEvent");

/***/ }),
/* 19 */,
/* 20 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),
/* 21 */,
/* 22 */
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),
/* 23 */,
/* 24 */,
/* 25 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/toConsumableArray");

/***/ }),
/* 27 */,
/* 28 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),
/* 29 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getClickHandler", function() { return getClickHandler; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "enableClickHandler", function() { return enableClickHandler; });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18);
/* harmony import */ var _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1__);


function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}


var getClickHandler = function getClickHandler(onEventTrigger, data) {
  var eventName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'value.click';
  return typeof onEventTrigger === 'function' && function (e) {
    return onEventTrigger(new _splunk_dashboard_visualizations_common_VisualizationEvent__WEBPACK_IMPORTED_MODULE_1___default.a({
      originalEvent: e,
      payload: _objectSpread({}, data),
      type: eventName
    }));
  };
};
var enableClickHandler = function enableClickHandler(hasEventHandlers, mode) {
  return !!hasEventHandlers && mode === 'view';
};

/***/ }),
/* 30 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),
/* 31 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/paginationUtils");

/***/ }),
/* 32 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),
/* 33 */,
/* 34 */,
/* 35 */
/***/ (function(module, exports) {

module.exports = require("lodash/pick");

/***/ }),
/* 36 */
/***/ (function(module, exports) {

module.exports = require("lodash/zip");

/***/ }),
/* 37 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/themeUtils");

/***/ }),
/* 38 */,
/* 39 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(37);
/* harmony import */ var _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "a", function() { return _splunk_visualizations_shared_themeUtils__WEBPACK_IMPORTED_MODULE_0__["getChartingThemeKey"]; });



/***/ }),
/* 40 */,
/* 41 */,
/* 42 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getTheme");

/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = require("lodash/each");

/***/ }),
/* 44 */,
/* 45 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/utils/numberUtils");

/***/ }),
/* 46 */,
/* 47 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEqual");

/***/ }),
/* 48 */
/***/ (function(module, exports) {

module.exports = require("lodash/findIndex");

/***/ }),
/* 49 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "defaultShowPlaceholder", function() { return defaultShowPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPlaceholder", function() { return withPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPaginator", function() { return withPaginator; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withBackgroundColor", function() { return withBackgroundColor; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withEventBlocker", function() { return withEventBlocker; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationHOCs", function() { return withVisualizationHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationAndThemeHOCs", function() { return withVisualizationAndThemeHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withSanitizedOptions", function() { return withSanitizedOptions; });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14);
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(11);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(10);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(styled_components__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(22);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash_get__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(35);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(lodash_pick__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(43);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(lodash_each__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(51);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(28);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(30);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(32);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(15);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(52);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(31);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(53);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(25);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(42);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(54);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__);





var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}
/* eslint-disable react/prop-types */




















var Item = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref) {
  var width = _ref.width;
  return {
    style: {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }
  };
})(_templateObject || (_templateObject = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
}); // Use `.attrs()` for highly dynamic styles. Ref: https://github.com/styled-components/styled-components/issues/134#issuecomment-312415291

var FixSizeItem = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref2) {
  var width = _ref2.width,
      height = _ref2.height;
  return {
    style: _objectSpread(_objectSpread({}, width && {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }), height && {
      height: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(height)
    })
  };
})(_templateObject2 || (_templateObject2 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    flex-direction: column;\n    flex: 1;\n    display: flex;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
});
var ItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject3 || (_templateObject3 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    min-height: 100px;\n    width: 100%;\n"])));
var FixSizeItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject4 || (_templateObject4 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    min-height: 0px;\n    flex: 1;\n    position: relative;\n"])));
var Blocker = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject5 || (_templateObject5 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    width: 100%;\n    height: 100%;\n"])));
var Cover = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject6 || (_templateObject6 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n"])));
/**
 * Todo: Need remove this function when we refactor `fill` encoding of Single Value not for background color.
 * Helper function. Necessary since not all Viz will have a background color derived from encoding.
 *
 * @param {*} dataSources
 * @param {*} encoding
 * @param {String} type Viz type
 * @returns {String} color
 */

var getEncodingBackgroundColor = function getEncodingBackgroundColor(dataSources, encoding, type) {
  var isTypeOfSingleValue = function isTypeOfSingleValue(vizType) {
    return ['viz.singlevalue', 'viz.singlevalueradial'].includes(vizType);
  };

  if (isTypeOfSingleValue(type) && !lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default()(dataSources) && encoding) {
    var parsed = Object(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__["parse"])(dataSources, encoding);
    return parsed.backgroundColor || '';
  }

  return '';
};
/**
 * Internal helper to get the default themed background color for enhancer
 * enterprise.dark is using black; however enterprise.light and prisma use backgroundColorSidebar as per design
 * @param {Object} params.theme - theme context object containing the theme family, colorScheme, and density
 * @param {Object} params.themeVariables - all variables available to use for the given theme
 */


var getDefaultThemedBackgroundColor = function getDefaultThemedBackgroundColor(_ref3) {
  var theme = _ref3.theme,
      themeVariables = _ref3.themeVariables;

  var _getSettingsFromTheme = _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default()({
    theme: theme
  }),
      family = _getSettingsFromTheme.family,
      colorScheme = _getSettingsFromTheme.colorScheme;

  return family === 'enterprise' && colorScheme === 'dark' ? themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.black : themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.backgroundColorSidebar;
};
/**
 * default empty datasource placeholder
 * @param {Number} width
 * @param {Number} height
 */


var DefaultPlaceHolder = function DefaultPlaceHolder(_ref4) {
  var width = _ref4.width,
      height = _ref4.height;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default.a, {
    width: width,
    height: height,
    level: "warning",
    message: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__["_"])('No DataSource Connected')
  });
};

DefaultPlaceHolder.propTypes = {
  /**
   * width in pixel or string, defaults to 100%
   */
  width: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number]),

  /**
   * height in pixel or string
   */
  height: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number])
};
/**
 * pass static props to new viz
 * @param {ReactElement} Base
 * @param {ReactElement} Viz
 */

var extendViz = function extendViz(Base, Viz) {
  var extendProperties = ['dataContract', 'vizContract', 'propTypes', 'defaultProps', 'schema', 'editor'];
  lodash_each__WEBPACK_IMPORTED_MODULE_9___default()(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(Base, extendProperties), function (v, k) {
    if (v) {
      Viz[k] = v; // eslint-disable-line no-param-reassign
    }
  });
};
/**
 * display placeholder if no primary datasource is connected or
 * primary datasource does not have any search data
 * @param {Object} props
 */


var defaultShowPlaceholder = function defaultShowPlaceholder(props) {
  var dataSources = props.dataSources,
      loading = props.loading;

  if (loading || !dataSources || !dataSources.primary) {
    return true;
  }

  var data = lodash_get__WEBPACK_IMPORTED_MODULE_7___default()(dataSources, 'primary.data');
  return !data || !data.columns || !data.columns.length;
};
/**
 * HOC that renders a placeholder if viz does not connect to datasource
 * or datasource does not have any data
 * @param {ReactElement} placeholder placeholder react element
 * @param {Function} shouldShowPlaceholder a function return true/false to indicate if a placeholder should be rendered
 */

var withPlaceholder = function withPlaceholder(_ref5) {
  var _ref5$placeholder = _ref5.placeholder,
      placeholder = _ref5$placeholder === void 0 ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(DefaultPlaceHolder, null) : _ref5$placeholder,
      _ref5$shouldShowPlace = _ref5.shouldShowPlaceholder,
      shouldShowPlaceholder = _ref5$shouldShowPlace === void 0 ? defaultShowPlaceholder : _ref5$shouldShowPlace;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var show = shouldShowPlaceholder(props);

      if (show) {
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.cloneElement(placeholder, {
          width: props.width,
          height: props.height
        });
      }

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props);
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders the visualization with a Paginator component
 * @param {ReactElement} Visualization Visualization Element
 * @param {Number} VizHeightOffset Visualization specific value to reduce height by in order to make room for the Paginator
 * @param {Boolean} defaultPageable Visualization specific default value for whether pagination should be enabled
 */

var withPaginator = function withPaginator(_ref6) {
  var _ref6$VizHeightOffset = _ref6.VizHeightOffset,
      VizHeightOffset = _ref6$VizHeightOffset === void 0 ? 0 : _ref6$VizHeightOffset,
      _ref6$defaultPageable = _ref6.defaultPageable,
      defaultPageable = _ref6$defaultPageable === void 0 ? false : _ref6$defaultPageable;
  return function (Visualization) {
    var Container = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject7 || (_templateObject7 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n        overflow: hidden;\n        position: relative;\n        ", ";\n    "])), function (props) {
      return Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toDimension"])(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(props, ['width', 'height']));
    });

    var Wrapper = function Wrapper(props) {
      var _getPaginationInforma = Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["getPaginationInformation"])(props),
          totalPages = _getPaginationInforma.totalPages,
          currentPage = _getPaginationInforma.currentPage,
          isPaging = _getPaginationInforma.isPaging,
          requestParams = _getPaginationInforma.requestParams;

      var pageable = props.options && !lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default()(props.options.pageable) ? props.options.pageable : defaultPageable;
      var height = props.height,
          width = props.width,
          onRequestParamsChange = props.onRequestParamsChange;
      var fixedHeight = height != null;
      var PaginatorContainer = fixedHeight ? _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["FixedHeightPaginatorContainer"] : null;
      var vizHeight = isPaging && pageable && VizHeightOffset ? height - VizHeightOffset : height;

      var vizProps = _objectSpread(_objectSpread({}, props), {}, {
        height: vizHeight
      });

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Container, {
        "data-test": "paginator-wrapper",
        width: width,
        height: height
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, vizProps), pageable && Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["renderPaginator"])(_objectSpread({
        totalPages: totalPages,
        currentPage: currentPage,
        isPaging: isPaging,
        requestParams: requestParams,
        theme: props.theme,
        onRequestParamsChange: onRequestParamsChange
      }, fixedHeight && {
        PaginatorContainer: PaginatorContainer
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a container that provides a background color and size
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present
 * @param {ReactElement} Visualization
 */

var withBackgroundColor = function withBackgroundColor(_ref7) {
  var defaultBackgroundColor = _ref7.defaultBackgroundColor,
      enableBackgroundColorOption = _ref7.enableBackgroundColorOption;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var dataSources = props.dataSources,
          encoding = props.encoding,
          _props$options = props.options,
          options = _props$options === void 0 ? {} : _props$options,
          width = props.width,
          height = props.height,
          theme = props.theme,
          type = props.type; // due to the computational nature of backgroundColor,
      // we use getTheme and inspect the hardcoded internal to unconditionally pass dark prisma themes variables if no SplunkThemeProvider is present
      // in this case, we default to transparent if no theme is present
      // TODO: move away from hardcoded internal that may change

      var themeVariables = theme !== null && theme !== void 0 && theme.splunkThemeV1 ? _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default()(theme === null || theme === void 0 ? void 0 : theme.splunkThemeV1) : {};
      var defaultThemedBackgroundColor = getDefaultThemedBackgroundColor({
        theme: theme,
        themeVariables: themeVariables
      });
      var encodingBackgroundColor = getEncodingBackgroundColor(dataSources, encoding, type);
      var backgroundColor = Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || enableBackgroundColorOption && Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(options.backgroundColor) && options.backgroundColor || defaultThemedBackgroundColor || defaultBackgroundColor || 'transparent';
      return !height ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Item, {
        "data-test": "item",
        width: width,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(ItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props))) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItem, {
        "data-test": "fix-size-item",
        width: width,
        height: height,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default.a, null, function (containerDimension) {
        var overrideProps = _objectSpread(_objectSpread({}, props), {}, {
          width: containerDimension.width,
          height: containerDimension.height
        });

        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, overrideProps);
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a cover layer in edit mode
 * @param {ReactElement} Visualization
 */

var withEventBlocker = function withEventBlocker(Visualization) {
  var Wrapper = function Wrapper(props) {
    var mode = props.mode;
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Blocker, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props), mode === 'edit' && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Cover, null));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};
/**
 * HOC combination for a generic viz
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {ReactElement} placeholder
 */

var withVisualizationHOCs = function withVisualizationHOCs(_ref8) {
  var defaultBackgroundColor = _ref8.defaultBackgroundColor,
      _ref8$enableBackgroun = _ref8.enableBackgroundColorOption,
      enableBackgroundColorOption = _ref8$enableBackgroun === void 0 ? true : _ref8$enableBackgroun,
      placeholder = _ref8.placeholder;
  return function (Viz) {
    return withBackgroundColor({
      defaultBackgroundColor: defaultBackgroundColor,
      enableBackgroundColorOption: enableBackgroundColorOption
    })(withPlaceholder({
      placeholder: placeholder
    })(withEventBlocker(Viz)));
  };
};
/**
 * HOC combination for viz with theme information
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {ReactElement} placeholder
 */

var withVisualizationAndThemeHOCs = function withVisualizationAndThemeHOCs(_ref9) {
  var enableBackgroundColorOption = _ref9.enableBackgroundColorOption,
      defaultBackgroundColor = _ref9.defaultBackgroundColor,
      placeholder = _ref9.placeholder;
  return function (Viz) {
    return (// splunk-charting need to access theme prop, so we use additional withTheme hoc.
      Object(styled_components__WEBPACK_IMPORTED_MODULE_6__["withTheme"])(withVisualizationHOCs({
        enableBackgroundColorOption: enableBackgroundColorOption,
        defaultBackgroundColor: defaultBackgroundColor,
        placeholder: placeholder
      })(Viz))
    );
  };
};
/**
 * HOC that sanitizes options.
 * @param {ReactElement} Visualization
 */

var withSanitizedOptions = function withSanitizedOptions(Visualization) {
  var Wrapper = function Wrapper(props) {
    var options = props.options,
        rest = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default()(props, ["options"]);

    var sanitizedOptions = Object(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__["sanitize"])(options);
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default()({
      options: sanitizedOptions
    }, rest));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};

/***/ }),
/* 50 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/objectWithoutProperties");

/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = require("lodash/isUndefined");

/***/ }),
/* 52 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SizeAwareWrapperDeprecated");

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SanitizeProps");

/***/ }),
/* 54 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getSettingsFromThemedProps");

/***/ }),
/* 55 */,
/* 56 */
/***/ (function(module, exports) {

module.exports = require("lodash/omit");

/***/ }),
/* 57 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DataSet; });
/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(26);
/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7);
/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8);
/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var lodash_isEqual__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(47);
/* harmony import */ var lodash_isEqual__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(lodash_isEqual__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var lodash_isString__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(58);
/* harmony import */ var lodash_isString__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(lodash_isString__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var lodash_zip__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(36);
/* harmony import */ var lodash_zip__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(lodash_zip__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var lodash_zipObject__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(59);
/* harmony import */ var lodash_zipObject__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(lodash_zipObject__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash_findIndex__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(48);
/* harmony import */ var lodash_findIndex__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash_findIndex__WEBPACK_IMPORTED_MODULE_7__);








/**
 * @file
 * DataSet represent a set of 2 dimensional data
 */

var DataSet = /*#__PURE__*/function () {
  function DataSet() {
    var fields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    var columns = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

    _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1___default()(this, DataSet);

    this.fields = fields.map(function (field) {
      if (lodash_isString__WEBPACK_IMPORTED_MODULE_4___default()(field)) {
        return {
          name: field
        };
      }

      return field;
    });
    this.columns = columns;
  }
  /**
   * Returns a empty Dataset
   *
   * Examples:
   * ```js
   * const empty = DataSet.empty();
   * ```
   * @return {DataSet} DataSet
   * @public
   */


  _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2___default()(DataSet, [{
    key: "toJSONArray",
    value:
    /**
     * Convert data to json array
     * @return {Object} data in json array format
     * @public
     */
    function toJSONArray() {
      var _this = this;

      return {
        fields: this.fields,
        results: lodash_zip__WEBPACK_IMPORTED_MODULE_5___default.a.apply(void 0, _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default()(this.columns)).map(function (row) {
          return lodash_zipObject__WEBPACK_IMPORTED_MODULE_6___default()(_this.fields.map(function (field) {
            return field.name;
          }), row);
        })
      };
    }
    /**
     * Convert data to json columns
     * @return {Object} data in json columns format
     * @public
     */

  }, {
    key: "toJSONCols",
    value: function toJSONCols() {
      var fields = this.fields,
          columns = this.columns;
      return {
        fields: fields,
        columns: columns
      };
    }
    /**
     * Convert data to json rows
     * @return {Object} data in json rows format
     * @public
     */

  }, {
    key: "toJSONRows",
    value: function toJSONRows() {
      return {
        fields: this.fields,
        rows: lodash_zip__WEBPACK_IMPORTED_MODULE_5___default.a.apply(void 0, _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default()(this.columns))
      };
    }
    /**
     * List all fields
     * @return {Object} fields array
     * @public
     */

  }, {
    key: "getFields",
    value: function getFields() {
      return this.fields;
    }
    /**
     * List data columns
     * @return {Object} columns array
     * @public
     */

  }, {
    key: "getColumns",
    value: function getColumns() {
      return this.columns;
    }
    /**
     *
     * @param {String} fieldName
     * @return {Object} column data
     * @public
     */

  }, {
    key: "getColumnByField",
    value: function getColumnByField(fieldName) {
      var index = lodash_findIndex__WEBPACK_IMPORTED_MODULE_7___default()(this.fields, function (_ref) {
        var name = _ref.name;
        return name === fieldName;
      });
      return this.columns[index];
    }
    /**
     *
     * @param {String} fieldName
     * @return {Boolean}
     * @public
     */

  }, {
    key: "hasField",
    value: function hasField(fieldName) {
      return lodash_findIndex__WEBPACK_IMPORTED_MODULE_7___default()(this.fields, function (_ref2) {
        var name = _ref2.name;
        return name === fieldName;
      }) !== -1;
    }
    /**
     * @return {Boolean} true if DataSet has no data
     * @public
     */

  }, {
    key: "isEmpty",
    value: function isEmpty() {
      return this.columns.length === 0;
    }
    /**
     *
     * @param {DataSet} dataSet DataSet to compare
     * @return {Boolean} true if another dataset is equals to current one
     * @public
     */

  }, {
    key: "equals",
    value: function equals(dataSet) {
      return lodash_isEqual__WEBPACK_IMPORTED_MODULE_3___default()(this.fields, dataSet.fields) && lodash_isEqual__WEBPACK_IMPORTED_MODULE_3___default()(this.columns, dataSet.columns);
    }
  }], [{
    key: "empty",
    value: function empty() {
      return new DataSet();
    }
    /**
     * Construct a Dataset with data in json array format
     *
     * Examples:
     * ```js
     *  const dataset = DataSet.fromJSONArray(
     *     [{ name: 'x' }, { name: 'y' }, { name: 'z' }],
     *     [{ x: 'a', y: 4, z: 70 }, { x: 'b', y: 5, z: 80 }, { x: 'c', y: 6, z: 90 }]
     *  );
     * ```
     * @return {DataSet} DataSet
     * @public
     */

  }, {
    key: "fromJSONArray",
    value: function fromJSONArray() {
      var fields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var results = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var fieldList = fields;

      if (fieldList == null || fieldList.length === 0) {
        if (results.length > 0) {
          var rowSample = results[0];
          fieldList = Object.keys(rowSample).map(function (field) {
            return {
              name: field
            };
          });
        } else {
          fieldList = [];
        }
      }

      var columns = fieldList.map(function (_ref3) {
        var name = _ref3.name;
        return results.reduce(function (col, row) {
          // if a field is not present on a result entry we set it to null
          col.push(row[name] === undefined ? null : row[name]);
          return col;
        }, []);
      });
      return new DataSet(fieldList, columns);
    }
    /**
     * Construct a Dataset with data in json columns format
     *
     * Examples:
     * ```js
     *  const dataset = DataSet.fromJSONCols(
     *     [{ name: 'x' }, { name: 'y' }, { name: 'z' }],
     *     [['a', 'b', 'c'], [4, 5, 6], [70, 80, 90]];
     *  );
     * ```
     * @return {DataSet} DataSet
     * @public
     */

  }, {
    key: "fromJSONCols",
    value: function fromJSONCols() {
      var fields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var columns = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      return new DataSet(fields, columns);
    }
    /**
     * Construct a Dataset with data in json rows format
     *
     * Examples:
     * ```js
     *  const dataset = DataSet.fromJSONRows(
     *     [{ name: 'x' }, { name: 'y' }, { name: 'z' }],
     *     [['a', 4, 70], ['b', 5, 80], ['c', 6, 90]];
     *  );
     * ```
     * @return {DataSet} DataSet
     * @public
     */

  }, {
    key: "fromJSONRows",
    value: function fromJSONRows() {
      var fields = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var rows = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      return new DataSet(fields, lodash_zip__WEBPACK_IMPORTED_MODULE_5___default.a.apply(void 0, _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default()(rows)));
    }
  }]);

  return DataSet;
}();



/***/ }),
/* 58 */
/***/ (function(module, exports) {

module.exports = require("lodash/isString");

/***/ }),
/* 59 */
/***/ (function(module, exports) {

module.exports = require("lodash/zipObject");

/***/ }),
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);

/**
 * A placeholder based on icon
 */

var IconPlaceholder = function IconPlaceholder(_ref) {
  var icon = _ref.icon;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0___default.a.cloneElement(icon, {
    style: {
      left: '50%',
      top: '50%',
      color: 'grey',
      position: 'absolute',
      transform: 'translate(-50%, -50%)'
    },
    width: '50%',
    height: '50%'
  });
};

/* harmony default export */ __webpack_exports__["default"] = (IconPlaceholder);

/***/ }),
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/PieParser");

/***/ }),
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/Pie");

/***/ }),
/* 106 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/ChartPie");

/***/ }),
/* 107 */
/***/ (function(module, exports) {

module.exports = require("lodash/isNull");

/***/ }),
/* 108 */
/***/ (function(module, exports) {

module.exports = require("lodash/slice");

/***/ }),
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */,
/* 138 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "PieComponent", function() { return /* binding */ Pie_PieComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "lodash/omit"
var omit_ = __webpack_require__(56);
var omit_default = /*#__PURE__*/__webpack_require__.n(omit_);

// EXTERNAL MODULE: external "@splunk/react-visualizations/Pie"
var Pie_ = __webpack_require__(105);
var Pie_default = /*#__PURE__*/__webpack_require__.n(Pie_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/PieParser"
var PieParser_ = __webpack_require__(89);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/ChartPie"
var ChartPie_ = __webpack_require__(106);
var ChartPie_default = /*#__PURE__*/__webpack_require__.n(ChartPie_);

// EXTERNAL MODULE: external "prop-types"
var external_prop_types_ = __webpack_require__(6);
var external_prop_types_default = /*#__PURE__*/__webpack_require__.n(external_prop_types_);

// CONCATENATED MODULE: ./src/common/BaseVisualization.jsx







function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}
/* eslint-disable react/no-unused-prop-types,react/prefer-stateless-function */





var BaseVisualization_BaseVisualization = /*#__PURE__*/function (_Component) {
  inherits_default()(BaseVisualization, _Component);

  var _super = _createSuper(BaseVisualization);

  function BaseVisualization() {
    classCallCheck_default()(this, BaseVisualization);

    return _super.apply(this, arguments);
  }

  createClass_default()(BaseVisualization, [{
    key: "render",
    value:
    /**
     * default data contract
     */
    function render() {
      return null;
    }
  }]);

  return BaseVisualization;
}(external_react_["Component"]);

defineProperty_default()(BaseVisualization_BaseVisualization, "propTypes", {
  /**
   * true indicate the visualization is loading data
   */
  loading: external_prop_types_default.a.bool,

  /**
   * display mode
   */
  mode: external_prop_types_default.a.oneOf(['view', 'edit', 'export']),

  /**
   * width in pixel or string, defaults to 100%
   */
  width: external_prop_types_default.a.oneOfType([external_prop_types_default.a.string, external_prop_types_default.a.number]),

  /**
   * height in pixel or string
   */
  height: external_prop_types_default.a.oneOfType([external_prop_types_default.a.string, external_prop_types_default.a.number]),

  /**
   * visualization formatting options
   */
  options: external_prop_types_default.a.object,

  /**
   * A callback to update formatting options
   */
  onOptionsChange: external_prop_types_default.a.func,

  /**
   * datasource state which include data and request params, object key indicate the datasource type.
   */
  dataSources: external_prop_types_default.a.objectOf(external_prop_types_default.a.shape({
    /**
     * current request params
     */
    requestParams: external_prop_types_default.a.object,

    /**
     * current dataset
     */
    data: external_prop_types_default.a.shape({
      fields: external_prop_types_default.a.array,
      columns: external_prop_types_default.a.array
    }),

    /**
     * error
     */
    error: external_prop_types_default.a.shape({
      level: external_prop_types_default.a.string,
      message: external_prop_types_default.a.string
    }),

    /**
     * meta data that came with the dataset
     */
    meta: external_prop_types_default.a.object
  })),

  /**
   * List of event handler objects which will process user interaction events (e.g. click)
   */
  eventHandlers: external_prop_types_default.a.arrayOf(external_prop_types_default.a.shape({
    // Name of the eventHandler preset
    type: external_prop_types_default.a.string,
    // Configuration options for the instance of the eventHandler used by the viz
    options: external_prop_types_default.a.object
  })),

  /**
   * Inform viz if there are handlers listening to events
   */
  hasEventHandlers: external_prop_types_default.a.bool,

  /**
   * Description the fields and properties of the datasource used when retrieving data
   */
  encoding: external_prop_types_default.a.object,

  /**
   * A callback to trigger event
   */
  onEventTrigger: external_prop_types_default.a.func,

  /**
   * A callback to request new data with updated request params
   */
  onRequestParamsChange: external_prop_types_default.a.func,

  /**
   * A callback to select the visualization
   */
  onSelected: external_prop_types_default.a.func,

  /**
   * Custom style on visualization
   */
  style: external_prop_types_default.a.object,

  /**
   * A callback to notify about computed props in a visualization
   */
  onComputedProps: external_prop_types_default.a.func,

  /**
   * A callback to access the underlying visualization's API
   */
  visualizationApiRef: external_prop_types_default.a.func
});

defineProperty_default()(BaseVisualization_BaseVisualization, "defaultProps", {
  width: '100%',
  mode: 'view',
  options: {},
  style: {},
  hasEventHandlers: false,
  onOptionsChange: function onOptionsChange() {},
  onEventTrigger: function onEventTrigger() {},
  onRequestParamsChange: function onRequestParamsChange() {},
  visualizationApiRef: function visualizationApiRef() {},
  onSelected: function onSelected() {},
  onComputedProps: function onComputedProps() {}
});

defineProperty_default()(BaseVisualization_BaseVisualization, "dataContract", {
  requiredDataSources: [{
    name: 'primary',
    description: 'DataSource that powers the visualization'
  }],
  initialRequestParams: {
    primary: {
      offset: 0,
      count: 10000
    }
  }
});

/* harmony default export */ var common_BaseVisualization = (BaseVisualization_BaseVisualization);
// EXTERNAL MODULE: external "lodash/each"
var each_ = __webpack_require__(43);
var each_default = /*#__PURE__*/__webpack_require__.n(each_);

// EXTERNAL MODULE: external "lodash/isNull"
var isNull_ = __webpack_require__(107);
var isNull_default = /*#__PURE__*/__webpack_require__.n(isNull_);

// EXTERNAL MODULE: external "lodash/slice"
var slice_ = __webpack_require__(108);
var slice_default = /*#__PURE__*/__webpack_require__.n(slice_);

// EXTERNAL MODULE: external "@splunk/react-visualizations/utils/numberUtils"
var numberUtils_ = __webpack_require__(45);

// EXTERNAL MODULE: ./src/utils/DataSet.js
var DataSet = __webpack_require__(57);

// CONCATENATED MODULE: ./src/utils/dataUtils.js





var DATA_FIELD_REGEX = /^[^_]|^_time$|^_raw$/;
var isDataField = function isDataField(fieldName) {
  return DATA_FIELD_REGEX.test(fieldName);
};
var isTimeField = function isTimeField(fieldName) {
  return fieldName === '_time' || fieldName === 'earliest_time' || fieldName === 'latest_time';
};
/**
 *
 * @param {*} column
 */

var isSparklineArray = function isSparklineArray(column) {
  return column.length > 0 && Array.isArray(column[0]) && column[0][0] === '##__SPARKLINE__##';
};
/**
 *
 * @param {*} value
 */

var isSparklineData = function isSparklineData(value) {
  return Array.isArray(value) && value[0] === '##__SPARKLINE__##';
};
/**
 * Checks if a list of values can be considered "numeric"
 * @param {array} values
 * @returns {boolean} true if half or more of the non-null values can be parsed to a float.
 * @public
 */

var dataUtils_isNumericArray = function isNumericArray(values) {
  var numericCount = 0;
  var nonNullCount = 0;
  each_default()(values, function (value) {
    // in the case of multivalue fields, use the first value
    var v = value;

    if (Array.isArray(value)) {
      v = value.length > 0 ? value[0] : null;
    }

    if (isNull_default()(v)) {
      return;
    }

    nonNullCount += 1;

    if (Object(numberUtils_["isNumerial"])(v)) {
      numericCount += 1;
    }
  });

  if (nonNullCount === 0) {
    return false;
  }

  return numericCount >= nonNullCount / 2;
};
/**
 * Truncate DataSet to limit result
 * @param {data} array of 2 dimensional data
 * @param {truncationLimit} integer
 */

var dataUtils_truncateData = function truncateData(data, truncationLimit) {
  if (data.columns[0] && truncationLimit > 0 && data.columns[0].length > truncationLimit) {
    var _data$toJSONArray = data.toJSONArray(),
        fields = _data$toJSONArray.fields,
        results = _data$toJSONArray.results;

    var truncatedResults = slice_default()(results, 0, truncationLimit);
    return DataSet["a" /* default */].fromJSONArray(fields, truncatedResults);
  }

  return data;
}; // todo: need remove after breaking out all visualizations

/**
 * formatData checks for null value and resultTruncationLimit option
 * @param {dataSet} set of 2 dimensional data
 * @param {options} charting options
 *
 */

var formatData = function formatData(dataSet, options) {
  if (dataSet == null) {
    return null;
  }

  var ds = dataSet;
  var limit = parseInt(options['chart.resultTruncationLimit'], 10);

  if (limit > 0) {
    ds = dataUtils_truncateData(dataSet, limit);
  }

  return ds;
}; // todo: this function may need go to parser in the future. DataSet can be removed when this function go to parser

/**
 * truncateParsedData truncate the label and value for the parsed dataset
 * @param {dataSet}
 * @param {truncationLimit} options['chart.resultTruncationLimit']
 *
 */

var truncateParsedData = function truncateParsedData(dataSet, truncationLimit) {
  if (!dataSet) {
    return null;
  }

  var limit = parseInt(truncationLimit, 10);

  if (!limit || limit <= 0) {
    return dataSet;
  }

  var truncatedData = {};
  Object.keys(dataSet).forEach(function (key) {
    if (dataSet[key] && Array.isArray(dataSet[key])) {
      truncatedData[key] = dataSet[key].slice(0, limit);
    } else {
      truncatedData[key] = dataSet[key];
    }
  });
  return truncatedData;
};
// CONCATENATED MODULE: ./src/common/VisualizationEvent.js


/**
 * @file
 * Visualization Event
 *
 * Create new Event:
 * ```js
 * import VisualizationEvent from '@splunk/dashboard-visualizations/common/VisualizationEvent';
 *
 * const myEvent = new VisualizationEvent({
    originalEvent: e, 
    payload: {
      foo: 'bar',
      value: 'myValue'
    },
    type: 'user.click',
})
 * ```
 */

var VisualizationEvent_VisualizationEvent = /*#__PURE__*/function () {
  function VisualizationEvent(_ref) {
    var originalEvent = _ref.originalEvent,
        payload = _ref.payload,
        _ref$type = _ref.type,
        type = _ref$type === void 0 ? 'unknown' : _ref$type;

    classCallCheck_default()(this, VisualizationEvent);

    this.type = type;
    this.originalEvent = originalEvent;
    this.payload = payload;
  }
  /**
   * call preventDefault on downstream event
   * @public
   */


  createClass_default()(VisualizationEvent, [{
    key: "preventDefault",
    value: function preventDefault() {
      if (this.originalEvent && this.originalEvent.preventDefault) {
        this.originalEvent.preventDefault();
      }
    }
  }]);

  return VisualizationEvent;
}();


// EXTERNAL MODULE: ./src/utils/enhancer.jsx
var enhancer = __webpack_require__(49);

// EXTERNAL MODULE: ./src/common/IconPlaceholder.jsx
var IconPlaceholder = __webpack_require__(80);

// EXTERNAL MODULE: ./src/utils/themeUtils.js
var themeUtils = __webpack_require__(39);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Pie/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  backgroundColor: {
    description: 'Specify the Hex code for color used for a background. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fontColor: {
    description: 'Specify the Hex code for color used for a fonts (axis labels, legends). For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  foregroundColor: {
    description: 'Specify the Hex code for color used for a foreground. For example, "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fieldColors: {
    description: "Specify the Hex code for color used for a field. For example: {'count': '#008000', 'percent': '#FFA500'}. Note: Option type 'string' has been deprecated.",
    type: ['object', 'string']
  },
  seriesColors: {
    description: "Specify the Hex code for colors used for a series. For example, ['#FF0000', '#0000FF', '#008000'].\n            The default for light and dark mode is ['#1E93C6', '#F2B827', '#D6563C', '#6A5C9E', '#31A35F'].\n            The default for SCP mode is ['#A9F5E7', '#A870EF',  '#1E6271', '#45D4BA', '#602CA1',  '#9AE6F7', '#6CD0F0', '#2F8AA7',  '#422879', '#F29BAC', '#E85B79', '#C6335F',  '#FDAF93', '#FB865C', '#E9643A',  '#7EEFDA', '#26AA92', '#207865', '#C093F9', '#8747DA',  '#4EB2D2', '#912344',  '#AD3F20', '#D44C20', '#FFC34E',  '#95651D',  '#C0891E', '#ECAE11', '#FCD9A4', '#78062A'].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'chart.sliceCollapsingLabel': {
    default: 'other',
    description: 'Specify the label for the consolidated slice.',
    type: 'string'
  },
  'chart.sliceCollapsingThreshold': {
    default: 0.01,
    description: 'Specify the size threshold as a number between 0 and 1 (inclusive), of the whole pie at which slices collapse into one consolidated slice.',
    type: 'number'
  },
  'chart.resultTruncationLimit': {
    default: 50000,
    description: 'Specify a limit for the number of data points rendered in a chart.',
    type: 'number'
  },
  'chart.showLabels': {
    default: true,
    description: 'Specify whether to display labels. This option has no effect when hasDonutHole=true.',
    type: 'boolean'
  },
  'chart.showPercent': {
    default: false,
    description: 'Specify whether to display percentage values in the labels.',
    type: 'boolean'
  },
  'legend.placement': {
    default: 'right',
    description: 'Specify how the legend should be aligned. This option only has an effect when hasDonutHole=true.',
    pattern: Object(visualization_schemas_["getPattern"])(['right', 'left', 'top', 'bottom', 'none']),
    type: 'string'
  },
  'legend.labelStyle.overflowMode': {
    default: 'ellipsisMiddle',
    description: 'Specify how to display legend labels when they overflow the layout boundaries by replacing overflow text with an ellipsis.',
    pattern: Object(visualization_schemas_["getPattern"])(['ellipsisEnd', 'ellipsisMiddle', 'ellipsisStart', 'ellipsisNone']),
    type: 'string'
  },
  hasDonutHole: {
    default: false,
    description: 'Specify whether the pie should be a donut.',
    type: 'boolean'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// CONCATENATED MODULE: ./src/visualizations/Pie/editorConfig.js

var editorConfig = [{
  label: Object(i18n_["_"])('Appearance'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])(''),
    option: 'hasDonutHole',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Pie'),
        value: false
      }, {
        label: Object(i18n_["_"])('Donut'),
        value: true
      }]
    }
  }]]
}, {
  label: Object(i18n_["_"])('Labels'),
  layout: [[{
    label: Object(i18n_["_"])('Show Percent'),
    option: 'chart.showPercent',
    editor: 'editor.toggle'
  }], [{
    label: Object(i18n_["_"])('Show Labels'),
    option: 'chart.showLabels',
    editor: 'editor.toggle',
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.hasDonutHole === false || options.hasDonutHole === undefined;
    }
  }]]
}, {
  label: Object(i18n_["_"])('Collapse to Summary'),
  layout: [[{
    label: Object(i18n_["_"])('Collapse Threshold'),
    option: 'chart.sliceCollapsingThreshold',
    editor: 'editor.number',
    editorProps: {
      min: 0,
      max: 1,
      step: 0.01
    }
  }], [{
    label: Object(i18n_["_"])('Collapsed Slice Label'),
    option: 'chart.sliceCollapsingLabel',
    editor: 'editor.text'
  }]]
}];
/* harmony default export */ var Pie_editorConfig = (editorConfig);
// EXTERNAL MODULE: ./src/utils/eventUtils.js
var eventUtils = __webpack_require__(29);

// CONCATENATED MODULE: ./src/visualizations/Pie/Pie.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function Pie_createSuper(Derived) {
  var hasNativeReflectConstruct = Pie_isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function Pie_isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}
















var Pie_PieComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(PieComponent, _Component);

  var _super = Pie_createSuper(PieComponent);

  function PieComponent() {
    classCallCheck_default()(this, PieComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(PieComponent, [{
    key: "render",
    value: function render() {
      var _this = this;

      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          options = _this$props.options,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          theme = _this$props.theme,
          hasEventHandlers = _this$props.hasEventHandlers,
          mode = _this$props.mode;
      var themeKey = Object(themeUtils["a" /* getChartingThemeKey */])(theme);
      var legendPlacement = options['legend.placement'];
      var donutProps = options.hasDonutHole ? {
        innerSize: 0.7,
        showLabels: false,
        showLegend: legendPlacement !== 'none',
        legendPlacement: legendPlacement,
        legendLabelOverflowMode: options['legend.labelStyle.overflowMode']
      } : {}; // todo: may need merge the truncateParsedData function with parse

      var pieData = Object(PieParser_["parse"])(dataSources, encoding);
      var truncationLimit = options && options['chart.resultTruncationLimit'];
      pieData = truncateParsedData(pieData, truncationLimit);

      var onPointClick = function onPointClick(evt) {
        if (Object(eventUtils["enableClickHandler"])(hasEventHandlers, mode)) {
          _this.props.onEventTrigger(new VisualizationEvent_VisualizationEvent({
            originalEvent: evt.originalEvent,
            payload: evt.payload,
            type: 'point.click'
          }));
        }
      };

      return /*#__PURE__*/external_react_default.a.createElement(Pie_default.a, extends_default()({
        width: width,
        height: height,
        style: style,
        themeKey: themeKey,
        pieLabels: pieData.label,
        pieValues: pieData.value,
        labelTitle: pieData.labelTitle,
        valueTitle: pieData.valueTitle,
        showLabels: options['chart.showLabels'],
        showPercent: options['chart.showPercent']
      }, donutProps, {
        sliceCollapsingThreshold: options['chart.sliceCollapsingThreshold'],
        sliceCollapsingLabel: options['chart.sliceCollapsingLabel'],
        onPointClick: onPointClick
      }, omit_default()(this.props.options, ['hasDonutHole', 'chart.showLabels', 'chart.showPercent', 'chart.sliceCollapsingThreshold', 'chart.sliceCollapsingLabel', 'legend.placement', 'showLegend', 'legend.labelStyle.overflowMode'])));
    }
  }]);

  return PieComponent;
}(external_react_["Component"]);

defineProperty_default()(Pie_PieComponent, "propTypes", common_BaseVisualization.propTypes);

defineProperty_default()(Pie_PieComponent, "defaultProps", _objectSpread(_objectSpread({}, common_BaseVisualization.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(Pie_PieComponent, "initialRequestParams", {
  offset: 0,
  count: 10000
});

defineProperty_default()(Pie_PieComponent, "supportedDataSources", ['primary']);

defineProperty_default()(Pie_PieComponent, "dataContract", PieParser_["dataContract"]);

defineProperty_default()(Pie_PieComponent, "vizContract", {
  initialDimension: {
    width: 300,
    height: 300
  }
});

defineProperty_default()(Pie_PieComponent, "schema", optionsSchema);

defineProperty_default()(Pie_PieComponent, "editor", Pie_editorConfig);

/* harmony default export */ var Pie = __webpack_exports__["default"] = (Object(enhancer["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder["default"], {
    icon: /*#__PURE__*/external_react_default.a.createElement(ChartPie_default.a, null)
  })
})(Pie_PieComponent));

/***/ })
/******/ ]);
//# sourceMappingURL=Pie.js.map