/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 151);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 109:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/Punchcard");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "PunchcardComponent", function() { return /* binding */ Punchcard_PunchcardComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/PunchcardParser"
var PunchcardParser_ = __webpack_require__(90);

// EXTERNAL MODULE: external "@splunk/react-visualizations/Punchcard"
var Punchcard_ = __webpack_require__(109);
var Punchcard_default = /*#__PURE__*/__webpack_require__.n(Punchcard_);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/Message"
var Message_ = __webpack_require__(32);
var Message_default = /*#__PURE__*/__webpack_require__.n(Message_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Punchcard/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  backgroundColor: {
    description: 'Specify the color used for the background using a Hex Code. The default for enterprise light mode is "#FFFFFF". The default for enterprise dark mode is "#000000". The default for prisma dark mode is "#0B0C0E".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showBubbleLabels: {
    default: 'all',
    description: 'Specify when the bubble label will be displayed, no labels, all labels or only the max labels.',
    pattern: Object(visualization_schemas_["getPattern"])(['all', 'max', 'none']),
    type: 'string'
  },
  bubbleRowScale: {
    default: 'global',
    description: 'Specify how bubbles are scaled relative to other rows.',
    pattern: Object(visualization_schemas_["getPattern"])(['global', 'row']),
    type: 'string'
  },
  bubbleScale: {
    default: 'area',
    description: 'Specify whether the bubble size should scale based on the value being proportional to the radius or the area.',
    pattern: Object(visualization_schemas_["getPattern"])(['radius', 'area']),
    type: 'string'
  },
  colorMode: {
    default: 'categorical',
    description: "When category data is returned, 'categorical' option will color the bubbles by categories and 'sequential' option will color the bubbles by value.",
    pattern: Object(visualization_schemas_["getPattern"])(['sequential', 'categorical']),
    type: 'string'
  },
  seriesColors: {
    type: 'array',
    items: {
      type: 'string'
    },
    description: "Specify the Hex code for colors used for bubbles when colorMode option is 'categorical'. For example, ['#C093F9', '#0000FF', '#D6563C'].",
    default: ['#1E93C6', '#F2B827', '#D6563C', '#6A5C9E', '#31A35F']
  },
  bubbleColor: {
    default: '#7B56DB',
    description: "Specify the Hex code for color used for bubbles when colorMode option is 'sequential'. For example: \"#0000FF\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  isBubbleSizeDynamic: {
    default: true,
    description: 'Specify whether the bubble size should be dynamic or fixed.',
    type: 'boolean'
  },
  minBubbleColorIntensity: {
    default: 0.25,
    description: "Specify the minimum opacity of the bubbles based on its value when the colorMode option is 'sequential' .\n            Values can range from 0 (transparent) to 1 (opaque).",
    type: 'number'
  },
  maxBubbleRadius: {
    default: 15,
    description: 'Specify the max radius (in pixels) of the bubbles when isBubbleSizeDynamic option is false. Greater than 0.',
    type: 'number'
  },
  maxBubbleSize: {
    default: 1,
    description: 'Specify the max percentage (in decimal format) of space a bubble should take up within a cell when isBubbleSizeDynamic option is true. The number specified must be between 0 and 1.',
    type: 'number'
  },
  minBubbleRadius: {
    default: 1,
    description: 'Specify the min radius (in pixels) of the bubbles when isBubbleSizeDynamic option is false. Greater than 0.',
    type: 'number'
  },
  minBubbleSize: {
    default: 0.25,
    description: 'Specify the min percentage (in decimal format) of space a bubble should take up within a cell when isBubbleSizeDynamic option is true. The number specified must be between 0 and 1.',
    type: 'number'
  },
  showMaxValuePulsation: {
    default: true,
    description: 'Specify whether the maximum bubble should pulsate.',
    type: 'boolean'
  },
  showLegend: {
    default: true,
    description: "Specify whether a legend should be rendered when colorMode option is 'categorical'.",
    type: 'boolean'
  },
  useDefaultSort: {
    default: false,
    description: 'If set to true, will sort axes based on order of time, digits and strings.',
    type: 'boolean'
  }
});
// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var themes_variables_ = __webpack_require__(4);
var themes_variables_default = /*#__PURE__*/__webpack_require__.n(themes_variables_);

// CONCATENATED MODULE: ./src/visualizations/Punchcard/editorConfig.js



var editorConfig = [{
  label: Object(i18n_["_"])('Visualization Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Pulsate Max Value'),
    option: 'showMaxValuePulsation',
    editor: 'editor.toggle'
  }], [{
    label: Object(i18n_["_"])('Background Color'),
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: themes_variables_default.a.black,
            light: themes_variables_default.a.backgroundColor
          },
          prisma: themes_variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }], [{
    label: Object(i18n_["_"])('Show Bubble Labels'),
    option: 'showBubbleLabels',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('All'),
        value: 'all'
      }, {
        label: Object(i18n_["_"])('Max'),
        value: 'max'
      }, {
        label: Object(i18n_["_"])('None'),
        value: 'none'
      }]
    }
  }], [{
    label: Object(i18n_["_"])('Bubble Row Scale'),
    option: 'bubbleRowScale',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Global'),
        value: 'global'
      }, {
        label: Object(i18n_["_"])('By Row'),
        value: 'row'
      }]
    }
  }], [{
    label: Object(i18n_["_"])('Bubble Scale'),
    option: 'bubbleScale',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Radius'),
        value: 'radius'
      }, {
        label: Object(i18n_["_"])('Area'),
        value: 'area'
      }]
    }
  }]]
}, {
  // TODO: This should be hidden if there isn't any categorical data passed in
  label: Object(i18n_["_"])('Color Mode'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Color Mode'),
    option: 'colorMode',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Sequential'),
        value: 'sequential'
      }, {
        label: Object(i18n_["_"])('Categorical'),
        value: 'categorical'
      }]
    }
  }], [// This should be hidden in categorical color mode
  {
    label: Object(i18n_["_"])('Bubble Color'),
    option: 'bubbleColor',
    editor: 'editor.color',
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.colorMode === 'sequential';
    }
  }], [// This should be hidden in sequential color mode
  {
    label: Object(i18n_["_"])('Show Legend'),
    option: 'showLegend',
    editor: 'editor.toggle',
    showEditor: function showEditor(_ref2) {
      var options = _ref2.options;
      return options.colorMode === 'categorical' || options.colorMode === undefined;
    }
  }]]
}];
/* harmony default export */ var Punchcard_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Punchcard/Punchcard.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}













var Punchcard_PunchcardComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(PunchcardComponent, _Component);

  var _super = _createSuper(PunchcardComponent);

  function PunchcardComponent() {
    classCallCheck_default()(this, PunchcardComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(PunchcardComponent, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          options = _this$props.options,
          width = _this$props.width,
          height = _this$props.height;
      var propsFromEncoding;

      try {
        propsFromEncoding = Object(PunchcardParser_["parse"])(dataSources, encoding);
      } catch (e) {
        return /*#__PURE__*/external_react_default.a.createElement(Message_default.a, {
          "data-test": "punchcard-message",
          width: width,
          height: height,
          level: e.level,
          message: Object(i18n_["_"])(e.message)
        });
      }

      return /*#__PURE__*/external_react_default.a.createElement(Punchcard_default.a, extends_default()({
        width: width,
        height: height
      }, propsFromEncoding, options));
    }
  }]);

  return PunchcardComponent;
}(external_react_["Component"]);

defineProperty_default()(Punchcard_PunchcardComponent, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(Punchcard_PunchcardComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(Punchcard_PunchcardComponent, "dataContract", PunchcardParser_["dataContract"]);

defineProperty_default()(Punchcard_PunchcardComponent, "vizContract", {
  initialDimension: {
    width: 500,
    height: 500
  }
});

defineProperty_default()(Punchcard_PunchcardComponent, "schema", optionsSchema);

defineProperty_default()(Punchcard_PunchcardComponent, "editor", Punchcard_editorConfig);

/* harmony default export */ var Punchcard = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["Punchcard"], null)
  })
})(Punchcard_PunchcardComponent));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),

/***/ 90:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/PunchcardParser");

/***/ })

/******/ });
//# sourceMappingURL=Punchcard.js.map