/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 137);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),
/* 10 */
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),
/* 12 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/style");

/***/ }),
/* 16 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),
/* 17 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),
/* 18 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/VisualizationEvent");

/***/ }),
/* 19 */,
/* 20 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),
/* 21 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),
/* 23 */,
/* 24 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 25 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/toConsumableArray");

/***/ }),
/* 27 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/dataUtils");

/***/ }),
/* 28 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),
/* 29 */,
/* 30 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),
/* 31 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/paginationUtils");

/***/ }),
/* 32 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),
/* 33 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/assertThisInitialized");

/***/ }),
/* 34 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-ui/Table");

/***/ }),
/* 35 */
/***/ (function(module, exports) {

module.exports = require("lodash/pick");

/***/ }),
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getTheme");

/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = require("lodash/each");

/***/ }),
/* 44 */,
/* 45 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/utils/numberUtils");

/***/ }),
/* 46 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes");

/***/ }),
/* 47 */,
/* 48 */,
/* 49 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "defaultShowPlaceholder", function() { return defaultShowPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPlaceholder", function() { return withPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPaginator", function() { return withPaginator; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withBackgroundColor", function() { return withBackgroundColor; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withEventBlocker", function() { return withEventBlocker; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationHOCs", function() { return withVisualizationHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationAndThemeHOCs", function() { return withVisualizationAndThemeHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withSanitizedOptions", function() { return withSanitizedOptions; });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14);
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(11);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(10);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(styled_components__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(22);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash_get__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(35);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(lodash_pick__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(43);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(lodash_each__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(51);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(28);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(30);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(32);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(15);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(52);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(31);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(53);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(25);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(42);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(54);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__);





var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}
/* eslint-disable react/prop-types */




















var Item = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref) {
  var width = _ref.width;
  return {
    style: {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }
  };
})(_templateObject || (_templateObject = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
}); // Use `.attrs()` for highly dynamic styles. Ref: https://github.com/styled-components/styled-components/issues/134#issuecomment-312415291

var FixSizeItem = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref2) {
  var width = _ref2.width,
      height = _ref2.height;
  return {
    style: _objectSpread(_objectSpread({}, width && {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }), height && {
      height: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(height)
    })
  };
})(_templateObject2 || (_templateObject2 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    flex-direction: column;\n    flex: 1;\n    display: flex;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
});
var ItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject3 || (_templateObject3 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    min-height: 100px;\n    width: 100%;\n"])));
var FixSizeItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject4 || (_templateObject4 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    min-height: 0px;\n    flex: 1;\n    position: relative;\n"])));
var Blocker = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject5 || (_templateObject5 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    width: 100%;\n    height: 100%;\n"])));
var Cover = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject6 || (_templateObject6 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n"])));
/**
 * Todo: Need remove this function when we refactor `fill` encoding of Single Value not for background color.
 * Helper function. Necessary since not all Viz will have a background color derived from encoding.
 *
 * @param {*} dataSources
 * @param {*} encoding
 * @param {String} type Viz type
 * @returns {String} color
 */

var getEncodingBackgroundColor = function getEncodingBackgroundColor(dataSources, encoding, type) {
  var isTypeOfSingleValue = function isTypeOfSingleValue(vizType) {
    return ['viz.singlevalue', 'viz.singlevalueradial'].includes(vizType);
  };

  if (isTypeOfSingleValue(type) && !lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default()(dataSources) && encoding) {
    var parsed = Object(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__["parse"])(dataSources, encoding);
    return parsed.backgroundColor || '';
  }

  return '';
};
/**
 * Internal helper to get the default themed background color for enhancer
 * enterprise.dark is using black; however enterprise.light and prisma use backgroundColorSidebar as per design
 * @param {Object} params.theme - theme context object containing the theme family, colorScheme, and density
 * @param {Object} params.themeVariables - all variables available to use for the given theme
 */


var getDefaultThemedBackgroundColor = function getDefaultThemedBackgroundColor(_ref3) {
  var theme = _ref3.theme,
      themeVariables = _ref3.themeVariables;

  var _getSettingsFromTheme = _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default()({
    theme: theme
  }),
      family = _getSettingsFromTheme.family,
      colorScheme = _getSettingsFromTheme.colorScheme;

  return family === 'enterprise' && colorScheme === 'dark' ? themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.black : themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.backgroundColorSidebar;
};
/**
 * default empty datasource placeholder
 * @param {Number} width
 * @param {Number} height
 */


var DefaultPlaceHolder = function DefaultPlaceHolder(_ref4) {
  var width = _ref4.width,
      height = _ref4.height;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default.a, {
    width: width,
    height: height,
    level: "warning",
    message: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__["_"])('No DataSource Connected')
  });
};

DefaultPlaceHolder.propTypes = {
  /**
   * width in pixel or string, defaults to 100%
   */
  width: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number]),

  /**
   * height in pixel or string
   */
  height: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number])
};
/**
 * pass static props to new viz
 * @param {ReactElement} Base
 * @param {ReactElement} Viz
 */

var extendViz = function extendViz(Base, Viz) {
  var extendProperties = ['dataContract', 'vizContract', 'propTypes', 'defaultProps', 'schema', 'editor'];
  lodash_each__WEBPACK_IMPORTED_MODULE_9___default()(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(Base, extendProperties), function (v, k) {
    if (v) {
      Viz[k] = v; // eslint-disable-line no-param-reassign
    }
  });
};
/**
 * display placeholder if no primary datasource is connected or
 * primary datasource does not have any search data
 * @param {Object} props
 */


var defaultShowPlaceholder = function defaultShowPlaceholder(props) {
  var dataSources = props.dataSources,
      loading = props.loading;

  if (loading || !dataSources || !dataSources.primary) {
    return true;
  }

  var data = lodash_get__WEBPACK_IMPORTED_MODULE_7___default()(dataSources, 'primary.data');
  return !data || !data.columns || !data.columns.length;
};
/**
 * HOC that renders a placeholder if viz does not connect to datasource
 * or datasource does not have any data
 * @param {ReactElement} placeholder placeholder react element
 * @param {Function} shouldShowPlaceholder a function return true/false to indicate if a placeholder should be rendered
 */

var withPlaceholder = function withPlaceholder(_ref5) {
  var _ref5$placeholder = _ref5.placeholder,
      placeholder = _ref5$placeholder === void 0 ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(DefaultPlaceHolder, null) : _ref5$placeholder,
      _ref5$shouldShowPlace = _ref5.shouldShowPlaceholder,
      shouldShowPlaceholder = _ref5$shouldShowPlace === void 0 ? defaultShowPlaceholder : _ref5$shouldShowPlace;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var show = shouldShowPlaceholder(props);

      if (show) {
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.cloneElement(placeholder, {
          width: props.width,
          height: props.height
        });
      }

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props);
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders the visualization with a Paginator component
 * @param {ReactElement} Visualization Visualization Element
 * @param {Number} VizHeightOffset Visualization specific value to reduce height by in order to make room for the Paginator
 * @param {Boolean} defaultPageable Visualization specific default value for whether pagination should be enabled
 */

var withPaginator = function withPaginator(_ref6) {
  var _ref6$VizHeightOffset = _ref6.VizHeightOffset,
      VizHeightOffset = _ref6$VizHeightOffset === void 0 ? 0 : _ref6$VizHeightOffset,
      _ref6$defaultPageable = _ref6.defaultPageable,
      defaultPageable = _ref6$defaultPageable === void 0 ? false : _ref6$defaultPageable;
  return function (Visualization) {
    var Container = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject7 || (_templateObject7 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n        overflow: hidden;\n        position: relative;\n        ", ";\n    "])), function (props) {
      return Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toDimension"])(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(props, ['width', 'height']));
    });

    var Wrapper = function Wrapper(props) {
      var _getPaginationInforma = Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["getPaginationInformation"])(props),
          totalPages = _getPaginationInforma.totalPages,
          currentPage = _getPaginationInforma.currentPage,
          isPaging = _getPaginationInforma.isPaging,
          requestParams = _getPaginationInforma.requestParams;

      var pageable = props.options && !lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default()(props.options.pageable) ? props.options.pageable : defaultPageable;
      var height = props.height,
          width = props.width,
          onRequestParamsChange = props.onRequestParamsChange;
      var fixedHeight = height != null;
      var PaginatorContainer = fixedHeight ? _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["FixedHeightPaginatorContainer"] : null;
      var vizHeight = isPaging && pageable && VizHeightOffset ? height - VizHeightOffset : height;

      var vizProps = _objectSpread(_objectSpread({}, props), {}, {
        height: vizHeight
      });

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Container, {
        "data-test": "paginator-wrapper",
        width: width,
        height: height
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, vizProps), pageable && Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["renderPaginator"])(_objectSpread({
        totalPages: totalPages,
        currentPage: currentPage,
        isPaging: isPaging,
        requestParams: requestParams,
        theme: props.theme,
        onRequestParamsChange: onRequestParamsChange
      }, fixedHeight && {
        PaginatorContainer: PaginatorContainer
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a container that provides a background color and size
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present
 * @param {ReactElement} Visualization
 */

var withBackgroundColor = function withBackgroundColor(_ref7) {
  var defaultBackgroundColor = _ref7.defaultBackgroundColor,
      enableBackgroundColorOption = _ref7.enableBackgroundColorOption;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var dataSources = props.dataSources,
          encoding = props.encoding,
          _props$options = props.options,
          options = _props$options === void 0 ? {} : _props$options,
          width = props.width,
          height = props.height,
          theme = props.theme,
          type = props.type; // due to the computational nature of backgroundColor,
      // we use getTheme and inspect the hardcoded internal to unconditionally pass dark prisma themes variables if no SplunkThemeProvider is present
      // in this case, we default to transparent if no theme is present
      // TODO: move away from hardcoded internal that may change

      var themeVariables = theme !== null && theme !== void 0 && theme.splunkThemeV1 ? _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default()(theme === null || theme === void 0 ? void 0 : theme.splunkThemeV1) : {};
      var defaultThemedBackgroundColor = getDefaultThemedBackgroundColor({
        theme: theme,
        themeVariables: themeVariables
      });
      var encodingBackgroundColor = getEncodingBackgroundColor(dataSources, encoding, type);
      var backgroundColor = Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || enableBackgroundColorOption && Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(options.backgroundColor) && options.backgroundColor || defaultThemedBackgroundColor || defaultBackgroundColor || 'transparent';
      return !height ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Item, {
        "data-test": "item",
        width: width,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(ItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props))) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItem, {
        "data-test": "fix-size-item",
        width: width,
        height: height,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default.a, null, function (containerDimension) {
        var overrideProps = _objectSpread(_objectSpread({}, props), {}, {
          width: containerDimension.width,
          height: containerDimension.height
        });

        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, overrideProps);
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a cover layer in edit mode
 * @param {ReactElement} Visualization
 */

var withEventBlocker = function withEventBlocker(Visualization) {
  var Wrapper = function Wrapper(props) {
    var mode = props.mode;
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Blocker, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props), mode === 'edit' && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Cover, null));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};
/**
 * HOC combination for a generic viz
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {ReactElement} placeholder
 */

var withVisualizationHOCs = function withVisualizationHOCs(_ref8) {
  var defaultBackgroundColor = _ref8.defaultBackgroundColor,
      _ref8$enableBackgroun = _ref8.enableBackgroundColorOption,
      enableBackgroundColorOption = _ref8$enableBackgroun === void 0 ? true : _ref8$enableBackgroun,
      placeholder = _ref8.placeholder;
  return function (Viz) {
    return withBackgroundColor({
      defaultBackgroundColor: defaultBackgroundColor,
      enableBackgroundColorOption: enableBackgroundColorOption
    })(withPlaceholder({
      placeholder: placeholder
    })(withEventBlocker(Viz)));
  };
};
/**
 * HOC combination for viz with theme information
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {ReactElement} placeholder
 */

var withVisualizationAndThemeHOCs = function withVisualizationAndThemeHOCs(_ref9) {
  var enableBackgroundColorOption = _ref9.enableBackgroundColorOption,
      defaultBackgroundColor = _ref9.defaultBackgroundColor,
      placeholder = _ref9.placeholder;
  return function (Viz) {
    return (// splunk-charting need to access theme prop, so we use additional withTheme hoc.
      Object(styled_components__WEBPACK_IMPORTED_MODULE_6__["withTheme"])(withVisualizationHOCs({
        enableBackgroundColorOption: enableBackgroundColorOption,
        defaultBackgroundColor: defaultBackgroundColor,
        placeholder: placeholder
      })(Viz))
    );
  };
};
/**
 * HOC that sanitizes options.
 * @param {ReactElement} Visualization
 */

var withSanitizedOptions = function withSanitizedOptions(Visualization) {
  var Wrapper = function Wrapper(props) {
    var options = props.options,
        rest = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default()(props, ["options"]);

    var sanitizedOptions = Object(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__["sanitize"])(options);
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default()({
      options: sanitizedOptions
    }, rest));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};

/***/ }),
/* 50 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/objectWithoutProperties");

/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = require("lodash/isUndefined");

/***/ }),
/* 52 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SizeAwareWrapperDeprecated");

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SanitizeProps");

/***/ }),
/* 54 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getSettingsFromThemedProps");

/***/ }),
/* 55 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var numberFormatting = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Number Formatting'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Digit Precision'),
    option: 'numberPrecision',
    editor: 'editor.number',
    editorProps: {
      min: 0
    }
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Unit'),
    option: 'unit',
    editor: 'editor.text'
  }, {
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Position'),
    // todo: we need a new editor combining unit and position
    option: 'unitPosition',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Before'),
        value: 'before'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('After'),
        value: 'after'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (numberFormatting);

/***/ }),
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */,
/* 67 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/propUtils");

/***/ }),
/* 68 */,
/* 69 */,
/* 70 */
/***/ (function(module, exports) {

module.exports = require("chroma-js");

/***/ }),
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */,
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/timeUtils");

/***/ }),
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/TableParser");

/***/ }),
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/DataSet");

/***/ }),
/* 121 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/numberUtils");

/***/ }),
/* 122 */
/***/ (function(module, exports) {

module.exports = require("react-event-listener");

/***/ }),
/* 123 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-sparkline/Line");

/***/ }),
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "computeOverlay", function() { return /* binding */ Table_computeOverlay; });
__webpack_require__.d(__webpack_exports__, "computeTimeGranularity", function() { return /* binding */ Table_computeTimeGranularity; });
__webpack_require__.d(__webpack_exports__, "determineFieldType", function() { return /* binding */ Table_determineFieldType; });
__webpack_require__.d(__webpack_exports__, "computeFieldsOptions", function() { return /* binding */ computeFieldsOptions; });
__webpack_require__.d(__webpack_exports__, "getAlternatingColor", function() { return /* binding */ getAlternatingColor; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/toConsumableArray"
var toConsumableArray_ = __webpack_require__(26);
var toConsumableArray_default = /*#__PURE__*/__webpack_require__.n(toConsumableArray_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/assertThisInitialized"
var assertThisInitialized_ = __webpack_require__(33);
var assertThisInitialized_default = /*#__PURE__*/__webpack_require__.n(assertThisInitialized_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/taggedTemplateLiteral"
var taggedTemplateLiteral_ = __webpack_require__(11);
var taggedTemplateLiteral_default = /*#__PURE__*/__webpack_require__.n(taggedTemplateLiteral_);

// EXTERNAL MODULE: external "prop-types"
var external_prop_types_ = __webpack_require__(6);
var external_prop_types_default = /*#__PURE__*/__webpack_require__.n(external_prop_types_);

// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(24);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(10);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);

// EXTERNAL MODULE: external "chroma-js"
var external_chroma_js_ = __webpack_require__(70);
var external_chroma_js_default = /*#__PURE__*/__webpack_require__.n(external_chroma_js_);

// EXTERNAL MODULE: external "@splunk/react-ui/Table"
var Table_ = __webpack_require__(34);
var Table_default = /*#__PURE__*/__webpack_require__.n(Table_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/propUtils"
var propUtils_ = __webpack_require__(67);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/dataUtils"
var dataUtils_ = __webpack_require__(27);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/paginationUtils"
var paginationUtils_ = __webpack_require__(31);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/timeUtils"
var timeUtils_ = __webpack_require__(81);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/DataSet"
var DataSet_ = __webpack_require__(120);
var DataSet_default = /*#__PURE__*/__webpack_require__.n(DataSet_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/numberUtils"
var numberUtils_ = __webpack_require__(121);

// EXTERNAL MODULE: external "@splunk/react-visualizations/utils/numberUtils"
var utils_numberUtils_ = __webpack_require__(45);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/VisualizationEvent"
var VisualizationEvent_ = __webpack_require__(18);
var VisualizationEvent_default = /*#__PURE__*/__webpack_require__.n(VisualizationEvent_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/style"
var style_ = __webpack_require__(15);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var visualization_themes_variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/themes"
var themes_ = __webpack_require__(46);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/TableParser"
var TableParser_ = __webpack_require__(94);

// EXTERNAL MODULE: ./src/utils/enhancer.jsx
var enhancer = __webpack_require__(49);

// EXTERNAL MODULE: external "react-event-listener"
var external_react_event_listener_ = __webpack_require__(122);
var external_react_event_listener_default = /*#__PURE__*/__webpack_require__.n(external_react_event_listener_);

// EXTERNAL MODULE: external "@splunk/react-sparkline/Line"
var Line_ = __webpack_require__(123);
var Line_default = /*#__PURE__*/__webpack_require__.n(Line_);

// CONCATENATED MODULE: ./src/visualizations/Table/cells/CellPropShape.js

var CellPropTypes = {
  onCellClick: external_prop_types_default.a.func,
  value: external_prop_types_default.a.oneOfType([external_prop_types_default.a.number, external_prop_types_default.a.string, external_prop_types_default.a.array]).isRequired,
  cellOptions: external_prop_types_default.a.object,
  fieldOptions: external_prop_types_default.a.object
};
var CellDefaultProps = {
  cellOptions: {},
  fieldOptions: {},
  onCellClick: function onCellClick() {}
};
var CellDefaultStyle = {
  maxWidth: '100px',
  overflow: 'hidden',
  textOverflow: 'ellipsis',
  whiteSpace: 'nowrap'
};
// CONCATENATED MODULE: ./src/visualizations/Table/cells/SparklineCell.jsx








function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}









/**
 * A Cell renders a Sparkline
 */

var SparklineCell_SparklineCell = /*#__PURE__*/function (_Component) {
  inherits_default()(SparklineCell, _Component);

  var _super = _createSuper(SparklineCell);

  function SparklineCell(props, context) {
    var _this;

    classCallCheck_default()(this, SparklineCell);

    _this = _super.call(this, props, context);

    defineProperty_default()(assertThisInitialized_default()(_this), "computeSize", Object(external_lodash_["debounce"])(function () {
      var cell = _this.state.cell;

      if (cell) {
        _this.setState({
          height: cell.offsetHeight,
          width: cell.offsetWidth
        });
      }
    }, 5));

    defineProperty_default()(assertThisInitialized_default()(_this), "onCellMount", function (cell) {
      _this.setState({
        cell: cell
      }, _this.computeSize);
    });

    _this.state = {
      cell: null,
      width: null,
      height: null
    };
    return _this;
  }

  createClass_default()(SparklineCell, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          value = _this$props.value,
          align = _this$props.fieldOptions.align,
          onCellClick = _this$props.onCellClick;
      var sparklineData = Object(external_lodash_["map"])(Object(external_lodash_["filter"])(value.slice(1), utils_numberUtils_["isNumerial"]), utils_numberUtils_["parseNumber"]);
      var _this$state = this.state,
          width = _this$state.width,
          height = _this$state.height;
      var style = {
        position: 'relative'
      };
      return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Cell, {
        style: style,
        elementRef: this.onCellMount,
        align: align,
        "test-cell-type": "sparkline",
        onClick: onCellClick
      }, /*#__PURE__*/external_react_default.a.createElement(external_react_event_listener_default.a, {
        target: window,
        onResize: this.computeSize
      }), width && /*#__PURE__*/external_react_default.a.createElement(Line_default.a, {
        style: {
          position: 'absolute',
          left: '5px',
          right: '0px',
          top: '5px',
          bottom: '0px'
        },
        data: sparklineData,
        isArea: true,
        height: height - 8,
        width: width - 10
      }));
    }
  }]);

  return SparklineCell;
}(external_react_["Component"]);

SparklineCell_SparklineCell.propTypes = CellPropTypes;
SparklineCell_SparklineCell.defaultProps = CellDefaultProps;

SparklineCell_SparklineCell.canRender = function (field, fieldOptions, value) {
  return fieldOptions.type === 'sparkline' && Object(dataUtils_["isSparklineData"])(value);
};

/* harmony default export */ var cells_SparklineCell = (SparklineCell_SparklineCell);
// CONCATENATED MODULE: ./src/visualizations/Table/cells/TimeCell.jsx


function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}






var TimeCell_TimeCell = function TimeCell(_ref) {
  var value = _ref.value,
      onCellClick = _ref.onCellClick,
      textColor = _ref.cellOptions.textColor,
      _ref$fieldOptions = _ref.fieldOptions,
      timeGranularity = _ref$fieldOptions.timeGranularity,
      align = _ref$fieldOptions.align;
  var time = Object(timeUtils_["formatTime"])(value, timeGranularity);

  var style = _objectSpread(_objectSpread({}, CellDefaultStyle), {}, {
    color: textColor
  });

  return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Cell, {
    align: align,
    style: style,
    title: time,
    onClick: onCellClick,
    "test-cell-type": "time"
  }, time);
};

TimeCell_TimeCell.propTypes = CellPropTypes;
TimeCell_TimeCell.defaultProps = CellDefaultProps;

TimeCell_TimeCell.canRender = function (field, fieldOptions) {
  return fieldOptions.type === 'time';
};

/* harmony default export */ var cells_TimeCell = (TimeCell_TimeCell);
// CONCATENATED MODULE: ./src/visualizations/Table/cells/NumberCell.jsx


function NumberCell_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function NumberCell_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      NumberCell_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      NumberCell_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}







var NumberCell_computeColorStyle = function computeColorStyle(number, _ref, _ref2) {
  var dataOverlayMode = _ref.dataOverlayMode,
      textColor = _ref.textColor;
  var heatRange = _ref2.heatRange,
      heatOffset = _ref2.heatOffset,
      maxNumber = _ref2.max,
      minNumber = _ref2.min;

  var style = NumberCell_objectSpread(NumberCell_objectSpread({}, CellDefaultStyle), {}, {
    color: textColor
  });

  var heatValue;

  switch (dataOverlayMode) {
    case 'heatmap':
      heatValue = heatRange === 0 ? 0 : Math.min(Math.max(Math.ceil((number - heatOffset) / heatRange * 1000) / 1000, 0), 1);
      style.backgroundColor = external_chroma_js_default.a.scale(['#FFFFFF', '#D6563C'])(heatValue).hex();
      break;

    case 'highlow':
      if (number === minNumber) {
        style.backgroundColor = external_chroma_js_default()('#1E93C6').hex();
      } else if (number === maxNumber) {
        style.backgroundColor = external_chroma_js_default()('#D6563C').hex();
      }

      break;

    default:
      break;
  }

  return style;
};

var NumberCell_NumberCell = function NumberCell(_ref3) {
  var value = _ref3.value,
      onCellClick = _ref3.onCellClick,
      cellOptions = _ref3.cellOptions,
      fieldOptions = _ref3.fieldOptions;
  var numberPrecision = cellOptions.numberPrecision,
      useThousandSeparators = cellOptions.useThousandSeparators,
      unit = cellOptions.unit,
      unitPosition = cellOptions.unitPosition,
      _cellOptions$defaultP = cellOptions.defaultPrecision,
      defaultPrecision = _cellOptions$defaultP === void 0 ? 20 : _cellOptions$defaultP;
  var number = Object(utils_numberUtils_["parseNumber"])(value);
  var v = number;
  v = Object(utils_numberUtils_["formatNumber"])(number, numberPrecision, {
    useThousandSeparators: useThousandSeparators,
    defaultPrecision: defaultPrecision
  });
  var style = NumberCell_computeColorStyle(number, cellOptions, fieldOptions);

  if (unit) {
    v = unitPosition === 'before' ? "".concat(unit, " ").concat(v) : "".concat(v, " ").concat(unit);
  }

  return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Cell, {
    "data-test": "NumberCell-Test",
    style: style,
    title: v,
    align: fieldOptions.align,
    onClick: onCellClick,
    "test-cell-type": "number"
  }, v);
};

NumberCell_NumberCell.propTypes = CellPropTypes;
NumberCell_NumberCell.defaultProps = CellDefaultProps;

NumberCell_NumberCell.canRender = function (field, fieldOptions, value) {
  return Object(utils_numberUtils_["isNumerial"])(value);
};

/* harmony default export */ var cells_NumberCell = (NumberCell_NumberCell);
// CONCATENATED MODULE: ./src/visualizations/Table/cells/StringCell.jsx


function StringCell_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function StringCell_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      StringCell_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      StringCell_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}





var StringCell_StringCell = function StringCell(_ref) {
  var value = _ref.value,
      textColor = _ref.cellOptions.textColor,
      align = _ref.fieldOptions.align,
      onCellClick = _ref.onCellClick;

  var style = StringCell_objectSpread(StringCell_objectSpread({}, CellDefaultStyle), {}, {
    color: textColor
  });

  return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Cell, {
    align: align,
    style: style,
    title: value,
    "test-cell-type": "string",
    onClick: onCellClick
  }, value !== null && value !== void 0 ? value : '');
};

StringCell_StringCell.propTypes = CellPropTypes;
StringCell_StringCell.defaultProps = CellDefaultProps;

StringCell_StringCell.canRender = function () {
  return true;
};

/* harmony default export */ var cells_StringCell = (StringCell_StringCell);
// CONCATENATED MODULE: ./src/visualizations/Table/cells/ArrayCell.jsx



var _templateObject;

function ArrayCell_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function ArrayCell_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ArrayCell_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ArrayCell_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}







var ChildCell = external_styled_components_default.a.div(_templateObject || (_templateObject = taggedTemplateLiteral_default()(["\n    padding-right: 12px;\n    padding-left: 12px;\n\n    &[data-text-align='right'] {\n        text-align: right;\n    }\n\n    &[data-text-align='center'] {\n        text-align: center;\n    }\n\n    &[data-clickable] {\n        cursor: pointer;\n\n        &:hover {\n            background-color: ", ";\n            box-shadow: ", ";\n        }\n\n        &:focus {\n            box-shadow: ", ";\n            outline: none;\n        }\n    }\n"])), Object(themes_["pick"])({
  enterprise: {
    light: themes_["variables"].accentColorL50,
    dark: themes_["variables"].accentColorD50
  }
}), themes_["variables"].focusShadowInset, themes_["variables"].focusShadowInset);

var ArrayCell_formatNumberValue = function formatNumberValue(_ref) {
  var value = _ref.value,
      cellOptions = _ref.cellOptions;
  var numberPrecision = cellOptions.numberPrecision,
      useThousandSeparators = cellOptions.useThousandSeparators,
      unit = cellOptions.unit,
      unitPosition = cellOptions.unitPosition,
      _cellOptions$defaultP = cellOptions.defaultPrecision,
      defaultPrecision = _cellOptions$defaultP === void 0 ? 20 : _cellOptions$defaultP;
  var number = Object(utils_numberUtils_["parseNumber"])(value);
  var v = Object(utils_numberUtils_["formatNumber"])(number, numberPrecision, {
    useThousandSeparators: useThousandSeparators,
    defaultPrecision: defaultPrecision
  });

  if (unit) {
    v = unitPosition === 'before' ? "".concat(unit, " ").concat(v) : "".concat(v, " ").concat(unit);
  }

  return v;
};

var defaultFormatValue = function defaultFormatValue(_ref2) {
  var value = _ref2.value;
  return value;
};

var ArrayCell_ArrayCell = function ArrayCell(_ref3) {
  var values = _ref3.value,
      cellOptions = _ref3.cellOptions,
      fieldOptions = _ref3.fieldOptions,
      onCellClick = _ref3.onCellClick;
  var align = fieldOptions.align,
      type = fieldOptions.type;

  var style = ArrayCell_objectSpread(ArrayCell_objectSpread({}, CellDefaultStyle), {}, {
    color: cellOptions.textColor,
    paddingRight: 0,
    paddingLeft: 0
  });

  var clickable = onCellClick !== Table_default.a.Cell.defaultProps.onClick;
  var formatValue = type === 'number' ? ArrayCell_formatNumberValue : defaultFormatValue;
  var childCells = values.map(function (value, index) {
    var formattedValue = formatValue({
      value: value,
      cellOptions: cellOptions,
      fieldOptions: fieldOptions
    });
    return /*#__PURE__*/external_react_default.a.createElement(ChildCell // eslint-disable-next-line react/no-array-index-key
    , {
      key: index,
      "data-test": "child-cell",
      title: formattedValue,
      "data-clickable": clickable,
      onClick: onCellClick,
      tabIndex: clickable ? 0 : undefined
    }, formattedValue);
  });
  return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Cell, {
    align: align,
    style: style,
    "test-cell-type": "array"
  }, childCells);
};

ArrayCell_ArrayCell.propTypes = CellPropTypes;
ArrayCell_ArrayCell.defaultProps = CellDefaultProps;

ArrayCell_ArrayCell.canRender = function (field, fieldOptions, value) {
  return Array.isArray(value);
};

/* harmony default export */ var cells_ArrayCell = (ArrayCell_ArrayCell);
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Table/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  backgroundColor: {
    description: 'Specify the color to use for the chart background using a Hex code. The default for light mode is "#ffffff". The default for dark mode is "#212527". The default for prisma dark mode is "#0b0c0e".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  count: {
    description: 'Specify the maximum number of rows to display.',
    type: 'number',
    default: 20
  },
  rowNumbers: {
    description: 'Specify whether to display the row numbers.',
    type: 'boolean',
    default: false
  },
  showHeader: {
    description: 'Specify whether to display the table header.',
    type: 'boolean',
    default: true
  },
  headerBackgroundColor: {
    description: "Specify the table header background color using a Hex code. The default for light mode is \"#e1e6eb\". The default for dark mode is \"#171d21\". The default for prisma dark mode is \"#272a2f\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  headerTextColor: {
    description: "Specify the table header text color using a Hex code. The default for light mode is \"#3C444D\". The default for dark mode is \"#FFFFFF\". The default for prisma dark mode is \"#f5f5f5\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  rowBackgroundColorEven: {
    description: "Specify the background color for even table rows using a Hex code. The default for light mode is \"#F2F4F5\". The default for dark mode is \"#0D1012\". The default for prisma dark mode is \"#0b0c0e\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  rowBackgroundColorOdd: {
    description: "Specify the background color for odd table rows using a Hex code. The default for light mode is \"#FFFFFF\". The default for dark mode is \"#000000\". The default for prisma dark mode is \"#111215\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  rowTextColorEven: {
    description: "Specify the text color for even table rows using a Hex code. The default for light mode is \"#006EAA\". The default for dark mode is \"#00A4FD\". The default for prisma dark mode is \"#acacad\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  rowTextColorOdd: {
    description: "Specify the text color for odd table rows using a Hex code. The default for light mode is \"#006EAA\". The default for dark mode is \"#00A4FD\". The default for prisma dark mode is \"#acacad\".",
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: false,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  unit: {
    description: 'Specify a label to show next to the cell value. The unit text should be brief. For example, an abbreviation such as MB, or a symbol such as $, can be used.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit label should appear before or after the cell value.',
    type: 'string',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after'])
  },
  dataOverlayMode: {
    default: 'none',
    description: 'Specify which type of overlay to display. Overlays only apply to numerical columns.',
    type: 'string',
    pattern: Object(visualization_schemas_["getPattern"])(['heatmap', 'highlow', 'none'])
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: ./src/common/editorConfig/NumberFormatting.js
var NumberFormatting = __webpack_require__(55);

// CONCATENATED MODULE: ./src/visualizations/Table/editorConfig.js




var editorConfig = [{
  label: Object(i18n_["_"])('Data Settings'),
  layout: [[{
    label: Object(i18n_["_"])('Show Header'),
    option: 'showHeader',
    editor: 'editor.checkbox'
  }], [{
    label: Object(i18n_["_"])('Show Row Numbers'),
    option: 'rowNumbers',
    editor: 'editor.checkbox'
  }]]
}, {
  label: Object(i18n_["_"])('Font'),
  layout: [[{
    label: Object(i18n_["_"])('Header Text Color'),
    option: 'headerTextColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: variables_default.a.textColor,
          prisma: {
            light: variables_default.a.contentColorDefault,
            dark: variables_default.a.neutral500
          }
        })({
          theme: theme
        });
      }
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.showHeader || options.showHeader === undefined;
    }
  }], [{
    label: Object(i18n_["_"])('Odd Row Text Color'),
    option: 'rowTextColorOdd',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: variables_default.a.linkColor,
          prisma: variables_default.a.neutral500
        })({
          theme: theme
        });
      }
    }
  }], [{
    label: Object(i18n_["_"])('Even Row Text Color'),
    option: 'rowTextColorEven',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: variables_default.a.linkColor,
          prisma: variables_default.a.neutral500
        })({
          theme: theme
        });
      }
    }
  }]]
}, {
  label: Object(i18n_["_"])('Fill'),
  layout: [[{
    label: Object(i18n_["_"])('Background Color'),
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.black,
            light: variables_default.a.backgroundColor
          },
          prisma: variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }], [{
    label: Object(i18n_["_"])('Header Fill Color'),
    option: 'headerBackgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            light: variables_default.a.gray92,
            dark: variables_default.a.gray20
          },
          prisma: variables_default.a.interactiveColorBackground
        })({
          theme: theme
        });
      }
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref2) {
      var options = _ref2.options;
      return options.showHeader || options.showHeader === undefined;
    }
  }], [{
    label: Object(i18n_["_"])('Odd Row Fill Color'),
    option: 'rowBackgroundColorOdd',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            light: variables_default.a.white,
            dark: variables_default.a.black
          },
          prisma: variables_default.a.backgroundColorPage
        })({
          theme: theme
        });
      }
    }
  }], [{
    label: Object(i18n_["_"])('Even Row Fill Color'),
    option: 'rowBackgroundColorEven',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            light: variables_default.a.gray96,
            dark: function dark() {
              return '#0D1012';
            }
          },
          prisma: variables_default.a.backgroundColorPage
        })({
          theme: theme
        });
      }
    }
  }]]
}, NumberFormatting["a" /* default */]];
/* harmony default export */ var Table_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Table/Table.jsx










var Table_templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8;

function Table_createSuper(Derived) {
  var hasNativeReflectConstruct = Table_isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function Table_isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}

function Table_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function Table_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      Table_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      Table_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}































/**
 * order matters, they will be eveluated from left to right
 */

var DefaultCellRenders = [cells_TimeCell, cells_SparklineCell, cells_ArrayCell, cells_NumberCell, cells_StringCell]; // if only one alternating color is defined, override row number defaults so that they are in sync (since they will likely appear as alternating)
// TODO: remove after SUI refactor that removes need to define alternating colors inline (should be done via Theme)

var RowNumberCell = external_styled_components_default()(Table_default.a.Cell)(Table_templateObject || (Table_templateObject = taggedTemplateLiteral_default()(["\n    color: ", ";\n    background-color: ", ";\n"])), function (props) {
  return props.hasCustomTextColors ? props.textColor : Object(themes_["pick"])({
    enterprise: variables_default.a.textColor,
    prisma: {
      light: variables_default.a.black,
      dark: variables_default.a.white
    }
  })(props);
}, function (props) {
  return props.backgroundColor;
});
var NormalTableContainer = external_styled_components_default.a.div(_templateObject2 || (_templateObject2 = taggedTemplateLiteral_default()(["\n    position: relative;\n    overflow: hidden;\n    ", ";\n"])), function (props) {
  return Object(style_["toMargin"])(props.tableMargin);
});
var FixedHeightTableContainer = external_styled_components_default()(NormalTableContainer)(_templateObject3 || (_templateObject3 = taggedTemplateLiteral_default()(["\n    position: absolute;\n    margin: 0px;\n    top: ", ";\n    left: ", ";\n    right: ", ";\n    bottom: ", ";\n"])), function (props) {
  return Object(style_["toPx"])(props.tableMargin, 15);
}, function (props) {
  return Object(style_["toPx"])(props.tableMargin, 15);
}, function (props) {
  return Object(style_["toPx"])(props.tableMargin, 15);
}, function (props) {
  return Object(style_["toPx"])(props.isPaging ? 42 : props.tableMargin);
});
var NonVisibleTableHead = external_styled_components_default()(Table_default.a.Head)(_templateObject4 || (_templateObject4 = taggedTemplateLiteral_default()(["\n    display: none;\n"]))); // TODO: Replace unsupported hacky style overrides

var StyledTable = external_styled_components_default()(Table_default.a)(_templateObject5 || (_templateObject5 = taggedTemplateLiteral_default()(["\n    ", "\n\n    ", ";\n"])), function (_ref) {
  var $headerBackgroundColor = _ref.$headerBackgroundColor,
      $headerTextColor = _ref.$headerTextColor;
  return Object(external_styled_components_["css"])(_templateObject6 || (_templateObject6 = taggedTemplateLiteral_default()(["\n        & [data-test='head-cell'] {\n            background-color: ", ";\n        }\n\n        & [data-test='head-cell'] > div > span {\n            color: ", ";\n        }\n    "])), $headerBackgroundColor, $headerTextColor);
}, Object(themes_["pick"])({
  enterprise: {
    light: Object(external_styled_components_["css"])(_templateObject7 || (_templateObject7 = taggedTemplateLiteral_default()(["\n                & [data-test='head-cell'] + [data-test='head-cell'] {\n                    border-left-color: ", ";\n                }\n            "])), variables_default.a.white),
    dark: Object(external_styled_components_["css"])(_templateObject8 || (_templateObject8 = taggedTemplateLiteral_default()(["\n                & [data-test='head-cell'] + [data-test='head-cell'] {\n                    border-left-color: ", ";\n                }\n            "])), variables_default.a.gray20)
  } // prisma: css`
  //     & [data-test='row'] {
  //         border-bottom: 1px solid #43454b; /* TODO: prisma no longer has this border */
  //     }
  // `,

}));
var defaultPageable = true;
/**
 * Compute data dataOverlayMode for numeric field
 * @param {Object} fieldOptions current field options
 * @param {Object} dataSet current dataset
 * @param {Object} options table formatting options
 */

var Table_computeOverlay = function computeOverlay(fieldOptions, dataSet, options) {
  var newFieldOptions = Table_objectSpread({}, fieldOptions);

  if (options.dataOverlayMode) {
    var numericFields = Object(external_lodash_["filter"])(dataSet.getFields(), function (_ref2) {
      var name = _ref2.name;
      return newFieldOptions[name].type === 'number';
    }); // compute data overlay for numeric fields

    var allNumericValues = Object(external_lodash_["chain"])(numericFields).map(function (_ref3) {
      var name = _ref3.name;
      return dataSet.getColumnByField(name);
    }).flatten() // be aware that not all value here is numeric
    .filter(utils_numberUtils_["isNumerial"]).map(utils_numberUtils_["parseNumber"]).value();
    var minNumber;
    var maxNumber;
    var bounds; // compute overlay

    switch (options.dataOverlayMode) {
      case 'heatmap':
        bounds = Object(numberUtils_["getPercentiles"])(allNumericValues.sort(function (a, b) {
          return a - b;
        }), 0.05, 0.95);
        Object(external_lodash_["each"])(numericFields, function (_ref4) {
          var name = _ref4.name;
          newFieldOptions[name] = Table_objectSpread(Table_objectSpread({}, newFieldOptions[name]), {}, {
            heatRange: bounds.upper - bounds.lower,
            heatOffset: bounds.lower
          });
        });
        break;

      case 'highlow':
        minNumber = Object(external_lodash_["min"])(allNumericValues);
        maxNumber = Object(external_lodash_["max"])(allNumericValues);
        Object(external_lodash_["each"])(numericFields, function (_ref5) {
          var name = _ref5.name;
          newFieldOptions[name] = Table_objectSpread(Table_objectSpread({}, newFieldOptions[name]), {}, {
            min: minNumber === maxNumber ? null : minNumber,
            max: minNumber === maxNumber ? null : maxNumber
          });
        });
        break;

      default:
        break;
    }
  }

  return newFieldOptions;
};
/**
 * Apply time granularity for 'time' field
 * @param {*} fieldOptions
 * @param {*} dataSet
 */

var Table_computeTimeGranularity = function computeTimeGranularity(fieldOptions, dataSet) {
  return Object(external_lodash_["reduce"])(dataSet.getFields(), function (mergedOptions, _ref6) {
    var name = _ref6.name;

    if (mergedOptions[name].type === 'time') {
      var dataColumn = dataSet.getColumnByField(name); // eslint-disable-next-line no-param-reassign

      mergedOptions[name] = Table_objectSpread(Table_objectSpread({}, mergedOptions[name]), {}, {
        timeGranularity: Object(timeUtils_["computeGranularity"])(dataColumn)
      });
    }

    return mergedOptions;
  }, fieldOptions);
};
/**
 * Given a dataset, determine type of each field
 * @param {*} dataSet
 */

var Table_determineFieldType = function determineFieldType(dataSet) {
  return Object(external_lodash_["reduce"])(dataSet.getFields(), function (fieldOptions, _ref7) {
    var name = _ref7.name;
    var option = {
      type: 'string',
      align: 'left'
    };

    if (Object(dataUtils_["isTimeField"])(name)) {
      option = {
        type: 'time',
        align: 'left'
      };
    } else if (Object(dataUtils_["isNumericArray"])(dataSet.getColumnByField(name))) {
      option = {
        type: 'number',
        align: 'right'
      };
    } else if (Object(dataUtils_["isSparklineArray"])(dataSet.getColumnByField(name))) {
      option = {
        type: 'sparkline',
        align: 'left'
      };
    } // eslint-disable-next-line no-param-reassign


    fieldOptions[name] = option;
    return fieldOptions;
  }, {});
};
/**
 * Compute runtime formatting options for each field
 * @param {DataSet} dataSet
 */

var computeFieldsOptions = function computeFieldsOptions(dataSet) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var fieldsOptions = Table_determineFieldType(dataSet);
  fieldsOptions = Table_computeOverlay(fieldsOptions, dataSet, options);
  fieldsOptions = Table_computeTimeGranularity(fieldsOptions, dataSet);
  return fieldsOptions;
};
/**
 * Returns one of the input colors based on row index parity (i.e. even/odd)
 * NOTE: rowIndex + 1 is being used, since we are using zero-based numbering when passing in rowIndex.
 * However, a user defining these colors would interpret row numbers using 1-based numbering, so we have to offset rowIndex by 1.
 * For example, if rowIndex is 0, this would correspond to the first row number, so colorOdd would be returned.
 * TODO: remove upon table SUI refactor that should remove need to explicitly define alternating text colors for striped tables
 * @param {number} rowIndex
 * @param {string} colorEven
 * @param {string} colorOdd
 * @returns {string} color
 */

function getAlternatingColor(rowIndex, colorEven, colorOdd) {
  try {
    return (rowIndex + 1) % 2 === 0 ? external_chroma_js_default()(colorEven).hex() : external_chroma_js_default()(colorOdd).hex();
  } catch (_ignore) {
    return 'transparent';
  }
}

var Table_TableVisualization = /*#__PURE__*/function (_Component) {
  inherits_default()(TableVisualization, _Component);

  var _super = Table_createSuper(TableVisualization);

  function TableVisualization() {
    var _this;

    classCallCheck_default()(this, TableVisualization);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    defineProperty_default()(assertThisInitialized_default()(_this), "getCellRenderers", function () {
      var customRenderers = _this.props.cellRenderers || []; // custom rendereres will supersede default renderers

      return [].concat(toConsumableArray_default()(customRenderers), DefaultCellRenders);
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleCellClick", function (e, fieldValue, cellIndex, cellValue, row) {
      _this.props.onEventTrigger(new VisualizationEvent_default.a({
        originalEvent: e,
        payload: {
          fieldValue: fieldValue,
          cellIndex: cellIndex,
          cellValue: cellValue,
          rowValue: row
        },
        type: 'cell.click'
      }));
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleSort", function (e, field) {
      var _requestParams$sort$f, _requestParams$sort;

      var requestParams = Object(propUtils_["getRequestParams"])(_this.props) || {};
      var currentSort = (_requestParams$sort$f = (_requestParams$sort = requestParams.sort) === null || _requestParams$sort === void 0 ? void 0 : _requestParams$sort.field) !== null && _requestParams$sort$f !== void 0 ? _requestParams$sort$f : 'none';
      var nextSort = 'asc';

      if (currentSort === 'none') {
        nextSort = 'asc';
      } else if (currentSort === 'asc') {
        nextSort = 'desc';
      }

      _this.props.onRequestParamsChange('primary', Table_objectSpread(Table_objectSpread({}, requestParams), {}, {
        sort: defineProperty_default()({}, field, nextSort)
      }));
    });

    return _this;
  }
  /**
   * return cell renderer list
   */


  createClass_default()(TableVisualization, [{
    key: "renderCell",
    value: function renderCell(_ref8) {
      var key = _ref8.key,
          row = _ref8.row,
          cellValue = _ref8.cellValue,
          fieldName = _ref8.fieldName,
          customStyles = _ref8.customStyles,
          onCellClick = _ref8.onCellClick,
          _ref8$fieldOptions = _ref8.fieldOptions,
          fieldOptions = _ref8$fieldOptions === void 0 ? {} : _ref8$fieldOptions;
      var Cell = this.getCellRenderers().find(function (renderer) {
        return renderer.canRender(fieldName, fieldOptions, cellValue);
      });
      var _this$props$options = this.props.options,
          options = _this$props$options === void 0 ? {} : _this$props$options;
      var textColor = customStyles.textColor;

      var cellOptions = Table_objectSpread(Table_objectSpread(Table_objectSpread({}, options), Object(external_lodash_["get"])(options, ['fields', fieldName], {})), {}, {
        rowContext: row,
        textColor: textColor
      });

      return /*#__PURE__*/external_react_default.a.createElement(Cell, {
        key: key,
        value: cellValue,
        cellOptions: cellOptions,
        fieldOptions: fieldOptions,
        onCellClick: onCellClick
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          _this$props$options2 = _this$props.options,
          options = _this$props$options2 === void 0 ? {} : _this$props$options2;

      var _parse = Object(TableParser_["parse"])(dataSources, encoding),
          columnsFieldName = _parse.columnsFieldName,
          columns = _parse.columns;

      var dataSet = new DataSet_default.a(columnsFieldName, columns);
      var fieldsOptions = computeFieldsOptions(dataSet, options);

      var _getPaginationInforma = Object(paginationUtils_["getPaginationInformation"])(this.props),
          perPage = _getPaginationInforma.perPage,
          currentPage = _getPaginationInforma.currentPage,
          isPaging = _getPaginationInforma.isPaging,
          requestParams = _getPaginationInforma.requestParams;

      var fixedHeight = this.props.height != null;
      var TableContainer = fixedHeight ? FixedHeightTableContainer : NormalTableContainer;
      var hasCustomTextColors = options.rowTextColorEven || options.rowTextColorOdd;

      var _dataSet$toJSONRows = dataSet.toJSONRows(),
          fields = _dataSet$toJSONRows.fields,
          rows = _dataSet$toJSONRows.rows;

      var _options$margin = options.margin,
          margin = _options$margin === void 0 ? Object(themes_["pick"])({
        enterprise: variables_default.a.spacingHalf(this.props),
        prisma: variables_default.a.spacingSmall(this.props)
      })(this.props) : _options$margin,
          _options$rowNumbers = options.rowNumbers,
          rowNumbers = _options$rowNumbers === void 0 ? false : _options$rowNumbers,
          _options$showHeader = options.showHeader,
          showHeader = _options$showHeader === void 0 ? true : _options$showHeader,
          _options$rowTextColor = options.rowTextColorEven,
          rowTextColorEven = _options$rowTextColor === void 0 ? Object(themes_["pick"])({
        enterprise: variables_default.a.linkColor(this.props),
        prisma: variables_default.a.neutral500(this.props)
      })(this.props) : _options$rowTextColor,
          _options$rowTextColor2 = options.rowTextColorOdd,
          rowTextColorOdd = _options$rowTextColor2 === void 0 ? Object(themes_["pick"])({
        enterprise: variables_default.a.linkColor(this.props),
        prisma: variables_default.a.neutral500(this.props)
      })(this.props) : _options$rowTextColor2,
          _options$headerTextCo = options.headerTextColor,
          headerTextColor = _options$headerTextCo === void 0 ? Object(themes_["pick"])({
        enterprise: variables_default.a.textColor(this.props),
        prisma: {
          light: variables_default.a.contentColorDefault(this.props),
          dark: variables_default.a.neutral500(this.props)
        }
      })(this.props) : _options$headerTextCo,
          _options$headerBackgr = options.headerBackgroundColor,
          headerBackgroundColor = _options$headerBackgr === void 0 ? Object(themes_["pick"])({
        enterprise: {
          light: variables_default.a.gray92(this.props),
          dark: variables_default.a.gray20(this.props)
        },
        prisma: variables_default.a.interactiveColorBackground(this.props)
      })(this.props) : _options$headerBackgr,
          _options$rowBackgroun = options.rowBackgroundColorOdd,
          rowBackgroundColorOdd = _options$rowBackgroun === void 0 ? Object(themes_["pick"])({
        enterprise: {
          light: variables_default.a.backgroundColor(this.props),
          dark: variables_default.a.black(this.props)
        },
        prisma: variables_default.a.backgroundColorPage(this.props)
      })(this.props) : _options$rowBackgroun,
          _options$rowBackgroun2 = options.rowBackgroundColorEven,
          rowBackgroundColorEven = _options$rowBackgroun2 === void 0 ? Object(themes_["pick"])({
        enterprise: {
          light: variables_default.a.gray96(this.props),
          dark: '#0D1012'
        },
        prisma: variables_default.a.backgroundColorPage(this.props)
      })(this.props) : _options$rowBackgroun2;
      var TableHead = showHeader ? Table_default.a.Head : NonVisibleTableHead;
      return /*#__PURE__*/external_react_default.a.createElement(TableContainer, {
        tableMargin: margin,
        isPaging: isPaging
      }, /*#__PURE__*/external_react_default.a.createElement(StyledTable, {
        headType: "fixed",
        innerStyle: {
          height: '100%'
        },
        outerStyle: {
          height: '100%'
        },
        stripeRows: true,
        $headerBackgroundColor: headerBackgroundColor,
        $headerTextColor: headerTextColor
      }, /*#__PURE__*/external_react_default.a.createElement(TableHead, null, !!rowNumbers && /*#__PURE__*/external_react_default.a.createElement(Table_default.a.HeadCell, {
        width: 60,
        key: "rowNumbers"
      }), fields.map(function (_ref9, fieldIndex) {
        var name = _ref9.name;
        return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.HeadCell, {
          sortKey: name,
          sortDir: Object(external_lodash_["get"])(requestParams, ['sort', name], 'none'),
          key: "field".concat(fieldIndex) // eslint-disable-line react/no-array-index-key
          ,
          onSort: function onSort(e) {
            _this2.handleSort(e, name);
          },
          align: fieldsOptions[name].align
        }, name);
      })), /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Body, null, rows.map(function (row, rowIndex) {
        return /*#__PURE__*/external_react_default.a.createElement(Table_default.a.Row, {
          // eslint-disable-next-line react/no-array-index-key
          key: "row".concat(rowIndex),
          style: {
            backgroundColor: rowIndex % 2 ? rowBackgroundColorEven : rowBackgroundColorOdd
          }
        }, !!rowNumbers && /*#__PURE__*/external_react_default.a.createElement(RowNumberCell, {
          align: "right",
          key: "rowNumbers",
          hasCustomTextColors: hasCustomTextColors,
          textColor: getAlternatingColor(rowIndex, rowTextColorEven, rowTextColorOdd)
        }, perPage * (currentPage - 1) + rowIndex + 1), row.map(function (cellValue, cellIndex) {
          return _this2.renderCell({
            key: cellIndex,
            row: row,
            cellValue: cellValue,
            fieldName: fields[cellIndex].name,
            customStyles: {
              textColor: getAlternatingColor(rowIndex, rowTextColorEven, rowTextColorOdd)
            },
            onCellClick: function onCellClick(e) {
              _this2.handleCellClick(e, fields[cellIndex].name, cellIndex, cellValue, row);
            },
            fieldOptions: fieldsOptions[fields[cellIndex].name]
          });
        }));
      }))));
    }
  }]);

  return TableVisualization;
}(external_react_["Component"]);

defineProperty_default()(Table_TableVisualization, "propTypes", Table_objectSpread(Table_objectSpread({}, BaseVisualization_default.a.propTypes), {}, {
  // an array of custom cell renderers.
  cellRenderers: external_prop_types_default.a.array
}));

defineProperty_default()(Table_TableVisualization, "defaultProps", Table_objectSpread(Table_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  // default for empty array
  cellRenderers: []
}));

defineProperty_default()(Table_TableVisualization, "dataContract", TableParser_["dataContract"]);

defineProperty_default()(Table_TableVisualization, "vizContract", {
  initialDimension: {
    width: 300,
    height: 300
  }
});

defineProperty_default()(Table_TableVisualization, "schema", optionsSchema);

defineProperty_default()(Table_TableVisualization, "editor", Table_editorConfig);

/* harmony default export */ var Table = __webpack_exports__["default"] = (Object(enhancer["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: visualization_themes_variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["Table"], null)
  })
})(Object(enhancer["withPaginator"])({
  defaultPageable: defaultPageable
})(Object(enhancer["withSanitizedOptions"])(Table_TableVisualization))));

/***/ })
/******/ ]);
//# sourceMappingURL=Table.js.map