/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 141);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),
/* 6 */
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),
/* 7 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),
/* 10 */
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),
/* 11 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ }),
/* 12 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),
/* 15 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/style");

/***/ }),
/* 16 */,
/* 17 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),
/* 18 */,
/* 19 */,
/* 20 */,
/* 21 */,
/* 22 */
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),
/* 23 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),
/* 24 */
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),
/* 25 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),
/* 26 */,
/* 27 */,
/* 28 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),
/* 29 */,
/* 30 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),
/* 31 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/paginationUtils");

/***/ }),
/* 32 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),
/* 33 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/assertThisInitialized");

/***/ }),
/* 34 */,
/* 35 */
/***/ (function(module, exports) {

module.exports = require("lodash/pick");

/***/ }),
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getTheme");

/***/ }),
/* 43 */
/***/ (function(module, exports) {

module.exports = require("lodash/each");

/***/ }),
/* 44 */,
/* 45 */,
/* 46 */,
/* 47 */,
/* 48 */,
/* 49 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "defaultShowPlaceholder", function() { return defaultShowPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPlaceholder", function() { return withPlaceholder; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withPaginator", function() { return withPaginator; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withBackgroundColor", function() { return withBackgroundColor; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withEventBlocker", function() { return withEventBlocker; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationHOCs", function() { return withVisualizationHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withVisualizationAndThemeHOCs", function() { return withVisualizationAndThemeHOCs; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "withSanitizedOptions", function() { return withSanitizedOptions; });
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(14);
/* harmony import */ var _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(50);
/* harmony import */ var _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(11);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(2);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(6);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(10);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(styled_components__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(22);
/* harmony import */ var lodash_get__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(lodash_get__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(35);
/* harmony import */ var lodash_pick__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(lodash_pick__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(43);
/* harmony import */ var lodash_each__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(lodash_each__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(51);
/* harmony import */ var lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(28);
/* harmony import */ var lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(30);
/* harmony import */ var _splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(32);
/* harmony import */ var _splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(15);
/* harmony import */ var _splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(52);
/* harmony import */ var _splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16__);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(31);
/* harmony import */ var _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(53);
/* harmony import */ var _splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(25);
/* harmony import */ var _splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19___default = /*#__PURE__*/__webpack_require__.n(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(42);
/* harmony import */ var _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20__);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(54);
/* harmony import */ var _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21__);





var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_2___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}
/* eslint-disable react/prop-types */




















var Item = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref) {
  var width = _ref.width;
  return {
    style: {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }
  };
})(_templateObject || (_templateObject = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
}); // Use `.attrs()` for highly dynamic styles. Ref: https://github.com/styled-components/styled-components/issues/134#issuecomment-312415291

var FixSizeItem = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div.attrs(function (_ref2) {
  var width = _ref2.width,
      height = _ref2.height;
  return {
    style: _objectSpread(_objectSpread({}, width && {
      width: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(width)
    }), height && {
      height: Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toPx"])(height)
    })
  };
})(_templateObject2 || (_templateObject2 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    flex-direction: column;\n    flex: 1;\n    display: flex;\n    background-color: ", ";\n"])), function (props) {
  return props.backgroundColor;
});
var ItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject3 || (_templateObject3 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    min-height: 100px;\n    width: 100%;\n"])));
var FixSizeItemContent = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject4 || (_templateObject4 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    min-height: 0px;\n    flex: 1;\n    position: relative;\n"])));
var Blocker = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject5 || (_templateObject5 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: relative;\n    width: 100%;\n    height: 100%;\n"])));
var Cover = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject6 || (_templateObject6 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n    position: absolute;\n    left: 0;\n    right: 0;\n    top: 0;\n    bottom: 0;\n"])));
/**
 * Todo: Need remove this function when we refactor `fill` encoding of Single Value not for background color.
 * Helper function. Necessary since not all Viz will have a background color derived from encoding.
 *
 * @param {*} dataSources
 * @param {*} encoding
 * @param {String} type Viz type
 * @returns {String} color
 */

var getEncodingBackgroundColor = function getEncodingBackgroundColor(dataSources, encoding, type) {
  var isTypeOfSingleValue = function isTypeOfSingleValue(vizType) {
    return ['viz.singlevalue', 'viz.singlevalueradial'].includes(vizType);
  };

  if (isTypeOfSingleValue(type) && !lodash_isEmpty__WEBPACK_IMPORTED_MODULE_11___default()(dataSources) && encoding) {
    var parsed = Object(_splunk_visualization_encoding_parsers_SingleValueParser__WEBPACK_IMPORTED_MODULE_13__["parse"])(dataSources, encoding);
    return parsed.backgroundColor || '';
  }

  return '';
};
/**
 * Internal helper to get the default themed background color for enhancer
 * enterprise.dark is using black; however enterprise.light and prisma use backgroundColorSidebar as per design
 * @param {Object} params.theme - theme context object containing the theme family, colorScheme, and density
 * @param {Object} params.themeVariables - all variables available to use for the given theme
 */


var getDefaultThemedBackgroundColor = function getDefaultThemedBackgroundColor(_ref3) {
  var theme = _ref3.theme,
      themeVariables = _ref3.themeVariables;

  var _getSettingsFromTheme = _splunk_themes_getSettingsFromThemedProps__WEBPACK_IMPORTED_MODULE_21___default()({
    theme: theme
  }),
      family = _getSettingsFromTheme.family,
      colorScheme = _getSettingsFromTheme.colorScheme;

  return family === 'enterprise' && colorScheme === 'dark' ? themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.black : themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.backgroundColorSidebar;
};
/**
 * default empty datasource placeholder
 * @param {Number} width
 * @param {Number} height
 */


var DefaultPlaceHolder = function DefaultPlaceHolder(_ref4) {
  var width = _ref4.width,
      height = _ref4.height;
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_Message__WEBPACK_IMPORTED_MODULE_14___default.a, {
    width: width,
    height: height,
    level: "warning",
    message: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_12__["_"])('No DataSource Connected')
  });
};

DefaultPlaceHolder.propTypes = {
  /**
   * width in pixel or string, defaults to 100%
   */
  width: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number]),

  /**
   * height in pixel or string
   */
  height: prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.oneOfType([prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.string, prop_types__WEBPACK_IMPORTED_MODULE_5___default.a.number])
};
/**
 * pass static props to new viz
 * @param {ReactElement} Base
 * @param {ReactElement} Viz
 */

var extendViz = function extendViz(Base, Viz) {
  var extendProperties = ['dataContract', 'vizContract', 'propTypes', 'defaultProps', 'schema', 'editor'];
  lodash_each__WEBPACK_IMPORTED_MODULE_9___default()(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(Base, extendProperties), function (v, k) {
    if (v) {
      Viz[k] = v; // eslint-disable-line no-param-reassign
    }
  });
};
/**
 * display placeholder if no primary datasource is connected or
 * primary datasource does not have any search data
 * @param {Object} props
 */


var defaultShowPlaceholder = function defaultShowPlaceholder(props) {
  var dataSources = props.dataSources,
      loading = props.loading;

  if (loading || !dataSources || !dataSources.primary) {
    return true;
  }

  var data = lodash_get__WEBPACK_IMPORTED_MODULE_7___default()(dataSources, 'primary.data');
  return !data || !data.columns || !data.columns.length;
};
/**
 * HOC that renders a placeholder if viz does not connect to datasource
 * or datasource does not have any data
 * @param {ReactElement} placeholder placeholder react element
 * @param {Function} shouldShowPlaceholder a function return true/false to indicate if a placeholder should be rendered
 */

var withPlaceholder = function withPlaceholder(_ref5) {
  var _ref5$placeholder = _ref5.placeholder,
      placeholder = _ref5$placeholder === void 0 ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(DefaultPlaceHolder, null) : _ref5$placeholder,
      _ref5$shouldShowPlace = _ref5.shouldShowPlaceholder,
      shouldShowPlaceholder = _ref5$shouldShowPlace === void 0 ? defaultShowPlaceholder : _ref5$shouldShowPlace;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var show = shouldShowPlaceholder(props);

      if (show) {
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.cloneElement(placeholder, {
          width: props.width,
          height: props.height
        });
      }

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props);
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders the visualization with a Paginator component
 * @param {ReactElement} Visualization Visualization Element
 * @param {Number} VizHeightOffset Visualization specific value to reduce height by in order to make room for the Paginator
 * @param {Boolean} defaultPageable Visualization specific default value for whether pagination should be enabled
 */

var withPaginator = function withPaginator(_ref6) {
  var _ref6$VizHeightOffset = _ref6.VizHeightOffset,
      VizHeightOffset = _ref6$VizHeightOffset === void 0 ? 0 : _ref6$VizHeightOffset,
      _ref6$defaultPageable = _ref6.defaultPageable,
      defaultPageable = _ref6$defaultPageable === void 0 ? false : _ref6$defaultPageable;
  return function (Visualization) {
    var Container = styled_components__WEBPACK_IMPORTED_MODULE_6___default.a.div(_templateObject7 || (_templateObject7 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_3___default()(["\n        overflow: hidden;\n        position: relative;\n        ", ";\n    "])), function (props) {
      return Object(_splunk_visualizations_shared_style__WEBPACK_IMPORTED_MODULE_15__["toDimension"])(lodash_pick__WEBPACK_IMPORTED_MODULE_8___default()(props, ['width', 'height']));
    });

    var Wrapper = function Wrapper(props) {
      var _getPaginationInforma = Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["getPaginationInformation"])(props),
          totalPages = _getPaginationInforma.totalPages,
          currentPage = _getPaginationInforma.currentPage,
          isPaging = _getPaginationInforma.isPaging,
          requestParams = _getPaginationInforma.requestParams;

      var pageable = props.options && !lodash_isUndefined__WEBPACK_IMPORTED_MODULE_10___default()(props.options.pageable) ? props.options.pageable : defaultPageable;
      var height = props.height,
          width = props.width,
          onRequestParamsChange = props.onRequestParamsChange;
      var fixedHeight = height != null;
      var PaginatorContainer = fixedHeight ? _splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["FixedHeightPaginatorContainer"] : null;
      var vizHeight = isPaging && pageable && VizHeightOffset ? height - VizHeightOffset : height;

      var vizProps = _objectSpread(_objectSpread({}, props), {}, {
        height: vizHeight
      });

      return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Container, {
        "data-test": "paginator-wrapper",
        width: width,
        height: height
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, vizProps), pageable && Object(_splunk_dashboard_visualizations_utils_paginationUtils__WEBPACK_IMPORTED_MODULE_17__["renderPaginator"])(_objectSpread({
        totalPages: totalPages,
        currentPage: currentPage,
        isPaging: isPaging,
        requestParams: requestParams,
        theme: props.theme,
        onRequestParamsChange: onRequestParamsChange
      }, fixedHeight && {
        PaginatorContainer: PaginatorContainer
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a container that provides a background color and size
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present
 * @param {ReactElement} Visualization
 */

var withBackgroundColor = function withBackgroundColor(_ref7) {
  var defaultBackgroundColor = _ref7.defaultBackgroundColor,
      enableBackgroundColorOption = _ref7.enableBackgroundColorOption;
  return function (Visualization) {
    var Wrapper = function Wrapper(props) {
      var dataSources = props.dataSources,
          encoding = props.encoding,
          _props$options = props.options,
          options = _props$options === void 0 ? {} : _props$options,
          width = props.width,
          height = props.height,
          theme = props.theme,
          type = props.type; // due to the computational nature of backgroundColor,
      // we use getTheme and inspect the hardcoded internal to unconditionally pass dark prisma themes variables if no SplunkThemeProvider is present
      // in this case, we default to transparent if no theme is present
      // TODO: move away from hardcoded internal that may change

      var themeVariables = theme !== null && theme !== void 0 && theme.splunkThemeV1 ? _splunk_themes_getTheme__WEBPACK_IMPORTED_MODULE_20___default()(theme === null || theme === void 0 ? void 0 : theme.splunkThemeV1) : {};
      var defaultThemedBackgroundColor = getDefaultThemedBackgroundColor({
        theme: theme,
        themeVariables: themeVariables
      });
      var encodingBackgroundColor = getEncodingBackgroundColor(dataSources, encoding, type);
      var backgroundColor = Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || enableBackgroundColorOption && Object(_splunk_visualizations_shared_colorUtils__WEBPACK_IMPORTED_MODULE_19__["isColor"])(options.backgroundColor) && options.backgroundColor || defaultThemedBackgroundColor || defaultBackgroundColor || 'transparent';
      return !height ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Item, {
        "data-test": "item",
        width: width,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(ItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props))) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItem, {
        "data-test": "fix-size-item",
        width: width,
        height: height,
        backgroundColor: backgroundColor
      }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(FixSizeItemContent, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(_splunk_visualizations_shared_SizeAwareWrapperDeprecated__WEBPACK_IMPORTED_MODULE_16___default.a, null, function (containerDimension) {
        var overrideProps = _objectSpread(_objectSpread({}, props), {}, {
          width: containerDimension.width,
          height: containerDimension.height
        });

        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, overrideProps);
      })));
    };

    extendViz(Visualization, Wrapper);
    return Wrapper;
  };
};
/**
 * HOC that renders a cover layer in edit mode
 * @param {ReactElement} Visualization
 */

var withEventBlocker = function withEventBlocker(Visualization) {
  var Wrapper = function Wrapper(props) {
    var mode = props.mode;
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Blocker, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, props), mode === 'edit' && /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Cover, null));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};
/**
 * HOC combination for a generic viz
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {ReactElement} placeholder
 */

var withVisualizationHOCs = function withVisualizationHOCs(_ref8) {
  var defaultBackgroundColor = _ref8.defaultBackgroundColor,
      _ref8$enableBackgroun = _ref8.enableBackgroundColorOption,
      enableBackgroundColorOption = _ref8$enableBackgroun === void 0 ? true : _ref8$enableBackgroun,
      placeholder = _ref8.placeholder;
  return function (Viz) {
    return withBackgroundColor({
      defaultBackgroundColor: defaultBackgroundColor,
      enableBackgroundColorOption: enableBackgroundColorOption
    })(withPlaceholder({
      placeholder: placeholder
    })(withEventBlocker(Viz)));
  };
};
/**
 * HOC combination for viz with theme information
 * @param {Function|Boolean} enableBackgroundColorOption indicate whether backgroundColor in option should be applied if present-
 * @param {Function|String} defaultBackgroundColor default background color for a viz
 * @param {ReactElement} placeholder
 */

var withVisualizationAndThemeHOCs = function withVisualizationAndThemeHOCs(_ref9) {
  var enableBackgroundColorOption = _ref9.enableBackgroundColorOption,
      defaultBackgroundColor = _ref9.defaultBackgroundColor,
      placeholder = _ref9.placeholder;
  return function (Viz) {
    return (// splunk-charting need to access theme prop, so we use additional withTheme hoc.
      Object(styled_components__WEBPACK_IMPORTED_MODULE_6__["withTheme"])(withVisualizationHOCs({
        enableBackgroundColorOption: enableBackgroundColorOption,
        defaultBackgroundColor: defaultBackgroundColor,
        placeholder: placeholder
      })(Viz))
    );
  };
};
/**
 * HOC that sanitizes options.
 * @param {ReactElement} Visualization
 */

var withSanitizedOptions = function withSanitizedOptions(Visualization) {
  var Wrapper = function Wrapper(props) {
    var options = props.options,
        rest = _babel_runtime_helpers_objectWithoutProperties__WEBPACK_IMPORTED_MODULE_1___default()(props, ["options"]);

    var sanitizedOptions = Object(_splunk_visualizations_shared_SanitizeProps__WEBPACK_IMPORTED_MODULE_18__["sanitize"])(options);
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_4___default.a.createElement(Visualization, _babel_runtime_helpers_extends__WEBPACK_IMPORTED_MODULE_0___default()({
      options: sanitizedOptions
    }, rest));
  };

  extendViz(Visualization, Wrapper);
  return Wrapper;
};

/***/ }),
/* 50 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/objectWithoutProperties");

/***/ }),
/* 51 */
/***/ (function(module, exports) {

module.exports = require("lodash/isUndefined");

/***/ }),
/* 52 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SizeAwareWrapperDeprecated");

/***/ }),
/* 53 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/SanitizeProps");

/***/ }),
/* 54 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getSettingsFromThemedProps");

/***/ }),
/* 55 */,
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */,
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualizationApi");

/***/ }),
/* 67 */,
/* 68 */,
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var backgroundColor = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Background Color'),
  layout: [[{
    label: '',
    // Per https://cd.splunkdev.com/devplat/vision/merge_requests/592#note_997173
    option: 'backgroundColor',
    editor: 'editor.color'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (backgroundColor);

/***/ }),
/* 78 */,
/* 79 */,
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */,
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */,
/* 117 */,
/* 118 */,
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */,
/* 138 */,
/* 139 */,
/* 140 */,
/* 141 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/assertThisInitialized"
var assertThisInitialized_ = __webpack_require__(33);
var assertThisInitialized_default = /*#__PURE__*/__webpack_require__.n(assertThisInitialized_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/taggedTemplateLiteral"
var taggedTemplateLiteral_ = __webpack_require__(11);
var taggedTemplateLiteral_default = /*#__PURE__*/__webpack_require__.n(taggedTemplateLiteral_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "lodash"
var external_lodash_ = __webpack_require__(24);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/style"
var style_ = __webpack_require__(15);

// EXTERNAL MODULE: external "styled-components"
var external_styled_components_ = __webpack_require__(10);
var external_styled_components_default = /*#__PURE__*/__webpack_require__.n(external_styled_components_);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Text/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  fontFamily: {
    default: 'Splunk Platform Sans',
    description: 'Specify the font family to be used. For example "Comic Sans MS". Note: the font needs to be available to your end user.',
    type: 'string'
  },
  fontSize: {
    default: 24,
    description: 'Specify the font size in pixels.',
    type: 'number'
  },
  fontWeight: {
    default: 'normal',
    description: 'Specify the font weight.',
    pattern: Object(visualization_schemas_["getPattern"])(['normal', 'bold', 'light']),
    type: 'string'
  },
  lineHeight: {
    default: '120%',
    description: 'Specify the line height for the text block.',
    type: ['number', 'string']
  },
  rotation: {
    default: 0,
    description: 'Specify the text angle in degrees.',
    type: 'number'
  },
  textColor: {
    description: "Specify the text color using Hex codes or RGBA values, such as \"#FF0000\" or \"rgba(25,12,13,0.1)\". The default for enterprise light mode is \"#171D21\". The default for enterprise dark mode is \"#FFFFFF\". The default for prisma dark mode is \"rgba(255, 255, 255, 0.7)\".",
    type: 'string',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"]
  },
  backgroundColor: {
    default: 'transparent',
    description: 'Specify the background color using a Hex code such as "#FF0000".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  content: {
    default: '',
    description: 'Specify the text content.',
    type: 'string'
  }
});
// EXTERNAL MODULE: ./src/common/editorConfig/BackgroundColor.js
var BackgroundColor = __webpack_require__(77);

// CONCATENATED MODULE: ./src/visualizations/Text/editorConfig.js




var editorConfig = [{
  label: Object(i18n_["_"])('Rotation'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Degrees'),
    option: 'rotation',
    editor: 'editor.number',
    editorProps: {
      max: 360,
      min: -360
    }
  }, {}]]
}, {
  label: Object(i18n_["_"])('Font Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Font'),
    option: 'fontFamily',
    editor: 'editor.select',
    editorProps: {
      values: [{
        value: 'Splunk Platform Sans'
      }, {
        value: 'Splunk Data Sans'
      }, {
        value: 'Splunk Platform Mono'
      }, {
        value: 'Arial'
      }, {
        value: 'Helvetica'
      }, {
        value: 'Times New Roman'
      }, {
        value: 'Comic Sans MS'
      }]
    }
  }, {
    label: Object(i18n_["_"])('Font Size (px)'),
    option: 'fontSize',
    editor: 'editor.number',
    editorProps: {
      min: 10
    }
  }], [{
    label: Object(i18n_["_"])('Text Color'),
    option: 'textColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.white,
            light: variables_default.a.gray20
          },
          prisma: variables_default.a.contentColorDefault
        })({
          theme: theme
        });
      }
    }
  }], [{
    label: Object(i18n_["_"])('Weight'),
    option: 'fontWeight',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Normal'),
        value: 'normal'
      }, {
        label: Object(i18n_["_"])('Bold'),
        value: 'bold'
      }, {
        label: Object(i18n_["_"])('Light'),
        value: 'light'
      }]
    }
  }]]
}, BackgroundColor["a" /* default */]];
/* harmony default export */ var Text_editorConfig = (editorConfig);
// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualizationApi"
var BaseVisualizationApi_ = __webpack_require__(66);
var BaseVisualizationApi_default = /*#__PURE__*/__webpack_require__.n(BaseVisualizationApi_);

// CONCATENATED MODULE: ./src/visualizations/Text/TextApi.js






function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}


/**
 * Text Api
 */

var TextApi_TextApi = /*#__PURE__*/function (_BaseApi) {
  inherits_default()(TextApi, _BaseApi);

  var _super = _createSuper(TextApi);

  function TextApi(viz) {
    var _this;

    classCallCheck_default()(this, TextApi);

    _this = _super.call(this);
    _this.viz = viz;
    return _this;
  }
  /**
   * focus on the input text area
   */


  createClass_default()(TextApi, [{
    key: "focus",
    value: function focus() {
      if (this.viz.props.mode === 'edit' && this.viz.inputTextArea) {
        this.viz.inputTextArea.focus();
        var cursor = this.viz.inputTextArea.value.length;
        this.viz.inputTextArea.setSelectionRange(cursor, cursor);
      }
    }
  }]);

  return TextApi;
}(BaseVisualizationApi_default.a);

/* harmony default export */ var Text_TextApi = (TextApi_TextApi);
// EXTERNAL MODULE: ./src/utils/enhancer.jsx
var enhancer = __webpack_require__(49);

// CONCATENATED MODULE: ./src/visualizations/Text/Text.jsx









var _templateObject, _templateObject2, _templateObject3, _templateObject4;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function Text_createSuper(Derived) {
  var hasNativeReflectConstruct = Text_isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function Text_isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}







 // need to name as pickFromTheme since we're using lodash/pick







var TextContainer = external_styled_components_default.a.div.attrs(function () {
  return {
    'data-test': 'text-container'
  };
})(_templateObject || (_templateObject = taggedTemplateLiteral_default()(["\n    position: relative;\n    ", ";\n    outline: none;\n    background-color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    font-weight: ", ";\n    line-height: ", ";\n    transform-origin: center;\n    transform: rotate(", "deg);\n    &:hover {\n        cursor: ", ";\n    }\n"])), function (props) {
  return Object(style_["toDimension"])(Object(external_lodash_["pick"])(props, ['width', 'height']));
}, function (props) {
  return props.backgroundColor || 'transparent';
}, function (props) {
  return props.fontFamily || 'Splunk Platform Sans';
}, function (props) {
  return Object(style_["toPx"])(props.fontSize || 24);
}, function (props) {
  return props.fontWeight ? props.fontWeight : 'normal';
}, function (props) {
  return Object(style_["toPx"])(props.lineHeight || '120%');
}, function (props) {
  return props.rotation || 0;
}, function (props) {
  return props.isClickable ? 'pointer' : 'all-scroll';
});
var StyledTextArea = external_styled_components_default.a.textarea(_templateObject2 || (_templateObject2 = taggedTemplateLiteral_default()(["\n    font: inherit;\n    line-height: inherit;\n    outline: inherit;\n    width: 100%;\n    border: none;\n    padding: 0;\n    resize: none;\n    overflow: auto; /* Remove permanent scroll bars on IE 11 */\n    &:hover {\n        cursor: auto;\n    }\n"])));
var textareaHeightOffset = 15;

var Text_getTextareaHeight = function getTextareaHeight(height) {
  return Object(external_lodash_["max"])([height - textareaHeightOffset, 0]);
};

var InputTextArea = external_styled_components_default()(StyledTextArea).attrs(function (props) {
  return {
    placeholder: props.disabled ? undefined : Object(i18n_["_"])('Enter text here'),
    'data-test': 'text-content'
  };
})(_templateObject3 || (_templateObject3 = taggedTemplateLiteral_default()(["\n    textarea&,\n    textarea[disabled]& {\n        margin: ", "px 5px;\n        height: ", ";\n        background-color: transparent;\n        color: ", ";\n        border: none;\n    }\n    &[disabled] {\n        cursor: default;\n        pointer-events: none;\n        text-decoration: ", ";\n    }\n"])), textareaHeightOffset, function (props) {
  return Object(style_["toPx"])(props.height);
}, function (props) {
  return props.textColor || pick_default()({
    enterprise: {
      dark: variables_default.a.white,
      light: variables_default.a.gray20
    },
    prisma: variables_default.a.contentColorDefault
  });
}, function (props) {
  return props.shouldUnderlineText ? 'underline' : 'none';
});
/*
 * The shadow textarea element is used to determine the dynamic height
 * of the visible textarea.
 */

var ShadowTextArea = external_styled_components_default()(StyledTextArea)(_templateObject4 || (_templateObject4 = taggedTemplateLiteral_default()(["\n    overflow: hidden;\n    visibility: hidden;\n    position: absolute;\n    left: -10000px;\n    top: -10000px;\n"])));

var Text_TextVisualization = /*#__PURE__*/function (_Component) {
  inherits_default()(TextVisualization, _Component);

  var _super = Text_createSuper(TextVisualization);

  function TextVisualization(props) {
    var _this;

    classCallCheck_default()(this, TextVisualization);

    _this = _super.call(this, props);

    defineProperty_default()(assertThisInitialized_default()(_this), "handleContentChange", function (contentEl) {
      if (_this.shadowEl) {
        var nuContent = null;

        if (contentEl) {
          nuContent = contentEl.target.value;
          _this.shadowEl.value = nuContent;
        }

        _this.setState(_objectSpread({
          height: _this.shadowEl.scrollHeight
        }, nuContent !== null && {
          content: nuContent
        }));

        if (_this.props.mode === 'edit' && nuContent !== null) {
          _this.debouncedOnOptionsChange(_objectSpread(_objectSpread({}, _this.props.options), {
            content: nuContent
          }));
        }
      }
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "updateDimensions", function () {
      if (_this.shadowEl) {
        _this.setState({
          height: Object(external_lodash_["max"])(_this.shadowEl.scrollHeight, Text_getTextareaHeight(_this.props.height))
        });
      }
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleMouseDown", function (evt) {
      evt.stopPropagation();

      _this.props.onSelected(evt, [_this.props.id]);
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleBlur", function (evt) {
      _this.debouncedOnOptionsChange(_objectSpread(_objectSpread({}, _this.props.options), {
        content: evt.target.value
      }));

      _this.debouncedOnOptionsChange.flush();
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleMouseOver", function (evt) {
      evt.stopPropagation();
      var isClickable = _this.state.isClickable;

      _this.setState({
        shouldUnderlineText: isClickable
      });
    });

    defineProperty_default()(assertThisInitialized_default()(_this), "handleMouseOut", function (evt) {
      evt.stopPropagation();

      _this.setState({
        shouldUnderlineText: false
      });
    });

    _this.state = {
      height: null,
      content: null,
      isClickable: false,
      shouldUnderlineText: false
    };
    _this.api = new Text_TextApi(assertThisInitialized_default()(_this));
    _this.debouncedOnOptionsChange = Object(external_lodash_["debounce"])(_this.props.onOptionsChange, 2000);
    return _this;
  }

  createClass_default()(TextVisualization, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      Object(external_lodash_["defer"])(this.handleContentChange); // send back the viz api

      this.props.visualizationApiRef(this.api);
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      if (!Object(external_lodash_["isEqual"])(prevProps.options, this.props.options)) {
        // eslint-disable-next-line react/no-did-update-set-state
        this.setState({
          content: null
        });
        Object(external_lodash_["defer"])(this.handleContentChange);
      }

      if (prevProps.height !== this.props.height || prevProps.width !== this.props.width) {
        Object(external_lodash_["defer"])(this.updateDimensions);
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.props.visualizationApiRef(null);
    } // If drilldown (onClick) is added, in view mode, mouseover on text div underlines the text

  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          mode = _this$props.mode,
          width = _this$props.width,
          height = _this$props.height,
          onEventTrigger = _this$props.onEventTrigger,
          _this$props$options = _this$props.options,
          rotation = _this$props$options.rotation,
          textColor = _this$props$options.textColor,
          color = _this$props$options.color,
          backgroundColor = _this$props$options.backgroundColor,
          fontFamily = _this$props$options.fontFamily,
          fontSize = _this$props$options.fontSize,
          fontWeight = _this$props$options.fontWeight,
          lineHeight = _this$props$options.lineHeight,
          content = _this$props$options.content;
      var _this$state = this.state,
          isClickable = _this$state.isClickable,
          shouldUnderlineText = _this$state.shouldUnderlineText;
      var textAreaHeight = this.state.height || Text_getTextareaHeight(height);
      var textAreaContent = this.state.content === null ? content : this.state.content;
      var onClick = isClickable ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {}, 'text.click') : function () {};
      return /*#__PURE__*/external_react_default.a.createElement(TextContainer, {
        width: width,
        height: height,
        rotation: rotation,
        backgroundColor: backgroundColor,
        fontFamily: fontFamily,
        fontSize: fontSize,
        fontWeight: fontWeight,
        lineHeight: lineHeight,
        onClick: onClick,
        isClickable: isClickable,
        onMouseOver: this.handleMouseOver,
        onMouseOut: this.handleMouseOut
      }, /*#__PURE__*/external_react_default.a.createElement(InputTextArea, {
        onChange: this.handleContentChange,
        onMouseDown: this.handleMouseDown,
        height: textAreaHeight,
        textColor: textColor || color,
        ref: function ref(inputTextArea) {
          _this2.inputTextArea = inputTextArea;
          return inputTextArea;
        },
        value: textAreaContent,
        onBlur: this.handleBlur,
        disabled: mode !== 'edit',
        shouldUnderlineText: shouldUnderlineText
      }), /*#__PURE__*/external_react_default.a.createElement(ShadowTextArea, {
        tabIndex: -1,
        ref: function ref(shadowEl) {
          _this2.shadowEl = shadowEl;
          return shadowEl;
        },
        value: textAreaContent,
        onChange: external_lodash_["noop"]
      }));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(nextProps, prevState) {
      var hasEventHandlers = nextProps.hasEventHandlers,
          mode = nextProps.mode; // Check whether the text div is clickable in view mode (when drilldown onclick is added)

      var isClickable = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode);
      return isClickable === prevState.isClickable ? null : {
        isClickable: isClickable
      };
    }
  }]);

  return TextVisualization;
}(external_react_["Component"]);

defineProperty_default()(Text_TextVisualization, "propTypes", _objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(Text_TextVisualization, "defaultProps", _objectSpread({}, BaseVisualization_default.a.defaultProps));

defineProperty_default()(Text_TextVisualization, "vizContract", {
  initialDimension: {
    width: 300,
    height: 50
  }
});

defineProperty_default()(Text_TextVisualization, "schema", optionsSchema);

defineProperty_default()(Text_TextVisualization, "editor", Text_editorConfig);

/* harmony default export */ var Text = __webpack_exports__["default"] = (Object(enhancer["withSanitizedOptions"])(Text_TextVisualization));

/***/ })
/******/ ]);
//# sourceMappingURL=Text.js.map