/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 71);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/Image");

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/MockedProvider");

/***/ }),

/***/ 36:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/ImageContext");

/***/ }),

/***/ 37:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/ImageRegistry");

/***/ }),

/***/ 71:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Image/docs/examples/Basic.jsx
/* harmony default export */ var Basic = ("import React from 'react';\nimport Image from '@splunk/dashboard-visualizations/Image';\n\nexport default () => (\n    <Image\n        options={{\n            src: 'https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png',\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Image/docs/examples/Preserve.jsx
/* harmony default export */ var Preserve = ("import React from 'react';\nimport Image from '@splunk/dashboard-visualizations/Image';\n\nexport default () => (\n    <Image\n        options={{\n            src: 'https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png',\n            preserveAspectRatio: true,\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Image/docs/examples/RemoteImage.jsx
/* harmony default export */ var RemoteImage = ("import React from 'react';\nimport Image from '@splunk/dashboard-visualizations/Image';\nimport { ImageContextProvider } from '@splunk/visualization-context/ImageContext';\nimport ImageRegistry from '@splunk/visualization-context/ImageRegistry';\nimport MockedProvider from '@splunk/visualization-context/MockedProvider';\n\nconst imageRegistry = ImageRegistry.create();\nconst mockedProvider = new MockedProvider();\nimageRegistry.addProvider(mockedProvider);\nmockedProvider.upload('https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png');\n\nexport default () => (\n    <ImageContextProvider value={imageRegistry}>\n        <Image\n            options={{\n                src: 'mock://0',\n            }}\n        />\n    </ImageContextProvider>\n);\n");
// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/Image"
var Image_ = __webpack_require__(32);
var Image_default = /*#__PURE__*/__webpack_require__.n(Image_);

// CONCATENATED MODULE: ./src/visualizations/Image/docs/examples/Basic.jsx


/* harmony default export */ var examples_Basic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Image_default.a, {
    options: {
      src: 'https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png'
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Image/docs/examples/Preserve.jsx


/* harmony default export */ var examples_Preserve = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Image_default.a, {
    options: {
      src: 'https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png',
      preserveAspectRatio: true
    }
  });
});
// EXTERNAL MODULE: external "@splunk/visualization-context/ImageContext"
var ImageContext_ = __webpack_require__(36);

// EXTERNAL MODULE: external "@splunk/visualization-context/ImageRegistry"
var ImageRegistry_ = __webpack_require__(37);
var ImageRegistry_default = /*#__PURE__*/__webpack_require__.n(ImageRegistry_);

// EXTERNAL MODULE: external "@splunk/visualization-context/MockedProvider"
var MockedProvider_ = __webpack_require__(33);
var MockedProvider_default = /*#__PURE__*/__webpack_require__.n(MockedProvider_);

// CONCATENATED MODULE: ./src/visualizations/Image/docs/examples/RemoteImage.jsx





var imageRegistry = ImageRegistry_default.a.create();
var mockedProvider = new MockedProvider_default.a();
imageRegistry.addProvider(mockedProvider);
mockedProvider.upload('https://splunkudftest.s3-us-west-1.amazonaws.com/buttercup.png');
/* harmony default export */ var examples_RemoteImage = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(ImageContext_["ImageContextProvider"], {
    value: imageRegistry
  }, /*#__PURE__*/external_react_default.a.createElement(Image_default.a, {
    options: {
      src: 'mock://0'
    }
  }));
});
// CONCATENATED MODULE: ./src/visualizations/Image/optionsSchema.js
/* harmony default export */ var optionsSchema = ({
  src: {
    description: 'URL of an image file. All browser-supported image formats are acceptable.',
    type: 'string'
  },
  preserveAspectRatio: {
    default: false,
    description: 'Set to true to maintain the aspect ratio of an image when the screen is resized',
    type: 'boolean'
  }
});
// CONCATENATED MODULE: ./src/visualizations/Image/docs/index.jsx











/* harmony default export */ var docs = __webpack_exports__["default"] = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "Image",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Image",
      key: "basic",
      description: "Image example.",
      code: Basic,
      example: examples_Basic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Preserve Image",
      key: "preserve",
      description: "Image example with preserveAspectRatio=true.",
      code: Preserve,
      example: examples_Preserve
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Persisted Image in ImageRegistry",
      key: "remoteImage",
      description: "Image example with remote image key",
      code: RemoteImage,
      example: examples_RemoteImage
    })],
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    })
  });
});

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=Image.js.map