/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 52);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EncodingDoc");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EventsDoc");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/Scatter");

/***/ }),

/***/ 52:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/Scatter"
var Scatter_ = __webpack_require__(4);
var Scatter_default = /*#__PURE__*/__webpack_require__.n(Scatter_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EncodingDoc"
var EncodingDoc_ = __webpack_require__(12);
var EncodingDoc_default = /*#__PURE__*/__webpack_require__.n(EncodingDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EventsDoc"
var EventsDoc_ = __webpack_require__(14);
var EventsDoc_default = /*#__PURE__*/__webpack_require__.n(EventsDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/Basic.jsx
/* harmony default export */ var Basic = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{}}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/TitleVisibility.jsx
/* harmony default export */ var TitleVisibility = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisTitleY.visibility': 'collapsed',\n            'axisTitleX.visibility': 'collapsed',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/TitleSpecified.jsx
/* harmony default export */ var TitleSpecified = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisTitleY.text': 'Axis Y Total Bytes',\n            'axisTitleX.text': 'Axis X Count',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/SeriesColors.jsx
/* harmony default export */ var SeriesColors = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            seriesColors: ['#FF0000', '#0000FF', '#008000'],\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/FieldColors.jsx
/* harmony default export */ var FieldColors = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            fieldColors: { 200: '#008000', 201: '#FFA500', 401: '#0000FF', 404: '#808000' },\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/BackgroundColor.jsx
/* harmony default export */ var BackgroundColor = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            backgroundColor: '#008000',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/ForegroundColor.jsx
/* harmony default export */ var ForegroundColor = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            foregroundColor: '#FF0000',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/FontColor.jsx
/* harmony default export */ var FontColor = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            fontColor: '#0000FF',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/Abbreviation.jsx
/* harmony default export */ var Abbreviation = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.abbreviation': 'auto',\n            'axisX.abbreviation': 'auto',\n            'axisX.maximumNumber': 9000,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '404',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYScale.jsx
/* harmony default export */ var AxisYScale = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.scale': 'log',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXScale.jsx
/* harmony default export */ var AxisXScale = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisX.scale': 'log',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMinNumber.jsx
/* harmony default export */ var AxisYMinNumber = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.minimumNumber': 500,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMaxNumber.jsx
/* harmony default export */ var AxisYMaxNumber = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.maximumNumber': 2000,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMajorUnit.jsx
/* harmony default export */ var AxisYMajorUnit = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.majorUnit': 100,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMinNumber.jsx
/* harmony default export */ var AxisXMinNumber = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisX.minimumNumber': 10,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMaxNumber.jsx
/* harmony default export */ var AxisXMaxNumber = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisX.maximumNumber': 20,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMajorUnit.jsx
/* harmony default export */ var AxisXMajorUnit = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.majorUnit': 5,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXLabelRotation.jsx
/* harmony default export */ var AxisXLabelRotation = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.majorLabelStyle.rotation': 45,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXVisibilityHide.jsx
/* harmony default export */ var AxisXVisibilityHide = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'gridLinesY.showMajorLines': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXVisibility.jsx
/* harmony default export */ var AxisXVisibility = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.axisVisibility': 'show',\n            'gridLinesY.showMajorLines': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYVisibility.jsx
/* harmony default export */ var AxisYVisibility = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.axisVisibility': 'show',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMajorTicks.jsx
/* harmony default export */ var AxisYMajorTicks = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.axisVisibility': 'show',\n            'axisLabelsY.majorTickVisibility': 'show',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMajorTicks.jsx
/* harmony default export */ var AxisXMajorTicks = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.majorTickVisibility': 'show',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMinorTicks.jsx
/* harmony default export */ var AxisYMinorTicks = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.axisVisibility': 'show',\n            'axisLabelsY.minorTickVisibility': 'show',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMinorTicks.jsx
/* harmony default export */ var AxisXMinorTicks = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.minorTickVisibility': 'show',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXTicksSize.jsx
/* harmony default export */ var AxisXTicksSize = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.majorTickVisibility': 'show',\n            'axisLabelsX.majorTickSize': 15,\n            'axisLabelsX.minorTickVisibility': 'show',\n            'axisLabelsX.minorTickSize': 10,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYTicksSize.jsx
/* harmony default export */ var AxisYTicksSize = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.axisVisibility': 'show',\n            'axisLabelsY.majorTickVisibility': 'show',\n            'axisLabelsY.minorTickVisibility': 'show',\n            'axisLabelsY.majorTickSize': 15,\n            'axisLabelsY.minorTickSize': 10,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/LabelVisibility.jsx
/* harmony default export */ var LabelVisibility = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.majorLabelVisibility': 'hide',\n            'axisLabelsY.majorLabelVisibility': 'hide',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXExtendRangeFalse.jsx
/* harmony default export */ var AxisXExtendRangeFalse = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.extendsAxisRange': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXExtendRangeTrue.jsx
/* harmony default export */ var AxisXExtendRangeTrue = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.extendsAxisRange': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYExtendRangeFalse.jsx
/* harmony default export */ var AxisYExtendRangeFalse = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.extendsAxisRange': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYExtendRangeTrue.jsx
/* harmony default export */ var AxisYExtendRangeTrue = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsY.extendsAxisRange': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYIncludeZeroFalse.jsx
/* harmony default export */ var AxisYIncludeZeroFalse = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.includeZero': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYIncludeZeroTrue.jsx
/* harmony default export */ var AxisYIncludeZeroTrue = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisY.includeZero': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXIncludeZeroFalse.jsx
/* harmony default export */ var AxisXIncludeZeroFalse = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisX.includeZero': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXIncludeZeroTrue.jsx
/* harmony default export */ var AxisXIncludeZeroTrue = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisX.includeZero': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXIntegerUnitFalse.jsx
/* harmony default export */ var AxisXIntegerUnitFalse = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.integerUnits': false,\n            'axisX.maximumNumber': 4,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXIntegerUnitTrue.jsx
/* harmony default export */ var AxisXIntegerUnitTrue = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'axisLabelsX.integerUnits': true,\n            'axisX.maximumNumber': 4,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMajorGrid.jsx
/* harmony default export */ var AxisYMajorGrid = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'gridLinesY.showMajorLines': false,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisXMinorGrid.jsx
/* harmony default export */ var AxisXMinorGrid = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'gridLinesX.showMinorLines': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/AxisYMinorGrid.jsx
/* harmony default export */ var AxisYMinorGrid = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'gridLinesY.showMajorLines': false,\n            'gridLinesY.showMinorLines': true,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/LegendPlacement.jsx
/* harmony default export */ var LegendPlacement = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'legend.placement': 'top',\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/LegendOverflowEnd.jsx
/* harmony default export */ var LegendOverflowEnd = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'legend.labelStyle.overflowMode': 'ellipsisEnd',\n        }}\n        encoding={{\n            category: 'primary.category',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'category',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            'Gen Electric GE36',\n                            'General Electric TF39 high bypass turbofan',\n                            'Pratt & Whitney R-4360 Wasp Major',\n                            'Allison V-1710',\n                            'Sanford Alexander Moss',\n                            'Armstrong Siddeley Jaguar IV (S)',\n                            'BMW VI',\n                            'Auguste Rateau',\n                            'Bristol Mercury',\n                            'P&Whitney R-4360',\n                            'Sanford Alexander Moss',\n                            'Jendrassik Cs-1',\n                            'Gen Electric GE36',\n                            'Bell X-1',\n                            'P&Whitney R-4360',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/LegendOverflowMiddle.jsx
/* harmony default export */ var LegendOverflowMiddle = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{}}\n        encoding={{\n            category: 'primary.category',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'category',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            'Gen Electric GE36',\n                            'General Electric TF39 high bypass turbofan',\n                            'Pratt & Whitney R-4360 Wasp Major',\n                            'Allison V-1710',\n                            'Sanford Alexander Moss',\n                            'Armstrong Siddeley Jaguar IV (S)',\n                            'BMW VI',\n                            'Auguste Rateau',\n                            'Bristol Mercury',\n                            'P&Whitney R-4360',\n                            'Sanford Alexander Moss',\n                            'Jendrassik Cs-1',\n                            'Gen Electric GE36',\n                            'Bell X-1',\n                            'P&Whitney R-4360',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Scatter/docs/examples/MarkerSize.jsx
/* harmony default export */ var MarkerSize = ("import React from 'react';\nimport Scatter from '@splunk/dashboard-visualizations/Scatter';\n\nexport default () => (\n    <Scatter\n        options={{\n            'chart.markerSize': 8,\n        }}\n        encoding={{\n            category: 'primary.status',\n            x: 'primary.date_hour',\n            y: 'primary.count',\n        }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [\n                        {\n                            name: 'date_hour',\n                        },\n                        {\n                            name: 'count',\n                        },\n                        {\n                            name: 'status',\n                        },\n                    ],\n                    columns: [\n                        [\n                            '13',\n                            '14',\n                            '15',\n                            '16',\n                            '17',\n                            '18',\n                            '19',\n                            '10',\n                            '20',\n                            '21',\n                            '22',\n                            '23',\n                            '3',\n                            '4',\n                            '5',\n                        ],\n                        [\n                            '1109',\n                            '1108',\n                            '1098',\n                            '1088',\n                            '1097',\n                            '1086',\n                            '1107',\n                            '1090',\n                            '1150',\n                            '2100',\n                            '1070',\n                            '1097',\n                            '1096',\n                            '1107',\n                            '1152',\n                        ],\n                        [\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '401',\n                            '201',\n                            '201',\n                            '201',\n                            '200',\n                            '201',\n                            '201',\n                            '404',\n                            '401',\n                        ],\n                    ],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/Basic.jsx


/* harmony default export */ var examples_Basic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {},
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/TitleVisibility.jsx


/* harmony default export */ var examples_TitleVisibility = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisTitleY.visibility': 'collapsed',
      'axisTitleX.visibility': 'collapsed'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/TitleSpecified.jsx


/* harmony default export */ var examples_TitleSpecified = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisTitleY.text': 'Axis Y Total Bytes',
      'axisTitleX.text': 'Axis X Count'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/SeriesColors.jsx


/* harmony default export */ var examples_SeriesColors = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      seriesColors: ['#FF0000', '#0000FF', '#008000']
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/FieldColors.jsx


/* harmony default export */ var examples_FieldColors = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      fieldColors: {
        200: '#008000',
        201: '#FFA500',
        401: '#0000FF',
        404: '#808000'
      }
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/BackgroundColor.jsx


/* harmony default export */ var examples_BackgroundColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      backgroundColor: '#008000'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/ForegroundColor.jsx


/* harmony default export */ var examples_ForegroundColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      foregroundColor: '#FF0000'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/FontColor.jsx


/* harmony default export */ var examples_FontColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      fontColor: '#0000FF'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/Abbreviation.jsx


/* harmony default export */ var examples_Abbreviation = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.abbreviation': 'auto',
      'axisX.abbreviation': 'auto',
      'axisX.maximumNumber': 9000
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '404', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYScale.jsx


/* harmony default export */ var examples_AxisYScale = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.scale': 'log'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXScale.jsx


/* harmony default export */ var examples_AxisXScale = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisX.scale': 'log'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMinNumber.jsx


/* harmony default export */ var examples_AxisYMinNumber = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.minimumNumber': 500
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMaxNumber.jsx


/* harmony default export */ var examples_AxisYMaxNumber = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.maximumNumber': 2000
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMajorUnit.jsx


/* harmony default export */ var examples_AxisYMajorUnit = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.majorUnit': 100
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMinNumber.jsx


/* harmony default export */ var examples_AxisXMinNumber = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisX.minimumNumber': 10
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMaxNumber.jsx


/* harmony default export */ var examples_AxisXMaxNumber = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisX.maximumNumber': 20
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMajorUnit.jsx


/* harmony default export */ var examples_AxisXMajorUnit = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.majorUnit': 5
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXLabelRotation.jsx


/* harmony default export */ var examples_AxisXLabelRotation = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.majorLabelStyle.rotation': 45
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXVisibilityHide.jsx


/* harmony default export */ var examples_AxisXVisibilityHide = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'gridLinesY.showMajorLines': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXVisibility.jsx


/* harmony default export */ var examples_AxisXVisibility = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.axisVisibility': 'show',
      'gridLinesY.showMajorLines': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYVisibility.jsx


/* harmony default export */ var examples_AxisYVisibility = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.axisVisibility': 'show'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMajorTicks.jsx


/* harmony default export */ var examples_AxisYMajorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.axisVisibility': 'show',
      'axisLabelsY.majorTickVisibility': 'show'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMajorTicks.jsx


/* harmony default export */ var examples_AxisXMajorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.majorTickVisibility': 'show'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMinorTicks.jsx


/* harmony default export */ var examples_AxisYMinorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.axisVisibility': 'show',
      'axisLabelsY.minorTickVisibility': 'show'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMinorTicks.jsx


/* harmony default export */ var examples_AxisXMinorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.minorTickVisibility': 'show'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXTicksSize.jsx


/* harmony default export */ var examples_AxisXTicksSize = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.majorTickVisibility': 'show',
      'axisLabelsX.majorTickSize': 15,
      'axisLabelsX.minorTickVisibility': 'show',
      'axisLabelsX.minorTickSize': 10
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYTicksSize.jsx


/* harmony default export */ var examples_AxisYTicksSize = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.axisVisibility': 'show',
      'axisLabelsY.majorTickVisibility': 'show',
      'axisLabelsY.minorTickVisibility': 'show',
      'axisLabelsY.majorTickSize': 15,
      'axisLabelsY.minorTickSize': 10
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/LabelVisibility.jsx


/* harmony default export */ var examples_LabelVisibility = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.majorLabelVisibility': 'hide',
      'axisLabelsY.majorLabelVisibility': 'hide'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXExtendRangeFalse.jsx


/* harmony default export */ var examples_AxisXExtendRangeFalse = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.extendsAxisRange': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXExtendRangeTrue.jsx


/* harmony default export */ var examples_AxisXExtendRangeTrue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.extendsAxisRange': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYExtendRangeFalse.jsx


/* harmony default export */ var examples_AxisYExtendRangeFalse = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.extendsAxisRange': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYExtendRangeTrue.jsx


/* harmony default export */ var examples_AxisYExtendRangeTrue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsY.extendsAxisRange': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYIncludeZeroFalse.jsx


/* harmony default export */ var examples_AxisYIncludeZeroFalse = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.includeZero': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYIncludeZeroTrue.jsx


/* harmony default export */ var examples_AxisYIncludeZeroTrue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisY.includeZero': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXIncludeZeroFalse.jsx


/* harmony default export */ var examples_AxisXIncludeZeroFalse = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisX.includeZero': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXIncludeZeroTrue.jsx


/* harmony default export */ var examples_AxisXIncludeZeroTrue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisX.includeZero': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXIntegerUnitFalse.jsx


/* harmony default export */ var examples_AxisXIntegerUnitFalse = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.integerUnits': false,
      'axisX.maximumNumber': 4
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXIntegerUnitTrue.jsx


/* harmony default export */ var examples_AxisXIntegerUnitTrue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'axisLabelsX.integerUnits': true,
      'axisX.maximumNumber': 4
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMajorGrid.jsx


/* harmony default export */ var examples_AxisYMajorGrid = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'gridLinesY.showMajorLines': false
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisXMinorGrid.jsx


/* harmony default export */ var examples_AxisXMinorGrid = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'gridLinesX.showMinorLines': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/AxisYMinorGrid.jsx


/* harmony default export */ var examples_AxisYMinorGrid = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'gridLinesY.showMajorLines': false,
      'gridLinesY.showMinorLines': true
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/LegendPlacement.jsx


/* harmony default export */ var examples_LegendPlacement = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'legend.placement': 'top'
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/LegendOverflowEnd.jsx


/* harmony default export */ var examples_LegendOverflowEnd = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'legend.labelStyle.overflowMode': 'ellipsisEnd'
    },
    encoding: {
      category: 'primary.category',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'category'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['Gen Electric GE36', 'General Electric TF39 high bypass turbofan', 'Pratt & Whitney R-4360 Wasp Major', 'Allison V-1710', 'Sanford Alexander Moss', 'Armstrong Siddeley Jaguar IV (S)', 'BMW VI', 'Auguste Rateau', 'Bristol Mercury', 'P&Whitney R-4360', 'Sanford Alexander Moss', 'Jendrassik Cs-1', 'Gen Electric GE36', 'Bell X-1', 'P&Whitney R-4360']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/LegendOverflowMiddle.jsx


/* harmony default export */ var examples_LegendOverflowMiddle = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {},
    encoding: {
      category: 'primary.category',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'category'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['Gen Electric GE36', 'General Electric TF39 high bypass turbofan', 'Pratt & Whitney R-4360 Wasp Major', 'Allison V-1710', 'Sanford Alexander Moss', 'Armstrong Siddeley Jaguar IV (S)', 'BMW VI', 'Auguste Rateau', 'Bristol Mercury', 'P&Whitney R-4360', 'Sanford Alexander Moss', 'Jendrassik Cs-1', 'Gen Electric GE36', 'Bell X-1', 'P&Whitney R-4360']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/examples/MarkerSize.jsx


/* harmony default export */ var examples_MarkerSize = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, {
    options: {
      'chart.markerSize': 8
    },
    encoding: {
      category: 'primary.status',
      x: 'primary.date_hour',
      y: 'primary.count'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'date_hour'
          }, {
            name: 'count'
          }, {
            name: 'status'
          }],
          columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/definition.js
/* harmony default export */ var definition = ({
  encoding: [{
    name: 'x',
    type: '[number | string]',
    desc: 'Specify the dataSource applied to the x-axis.',
    defaultValue: 'primary[0]',
    isRequired: 'true'
  }, {
    name: 'y',
    type: '[number | string]',
    desc: 'Specify the dataSource applied to the y-axis.',
    defaultValue: 'primary[1]',
    isRequired: 'true'
  }, {
    name: 'category',
    type: '[number | string]',
    desc: 'Specify a sequence of dataSource events to be plotted on the chart.',
    defaultValue: 'primary[2]',
    isRequired: 'false'
  }],
  events: [{
    name: 'point.click',
    desc: 'trigger when user clicks a data point'
  }, {
    name: 'legend.click',
    desc: 'trigger when user clicks a chart legend'
  }]
});
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(2);

// CONCATENATED MODULE: ./src/visualizations/Scatter/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  'axisTitleX.text': {
    description: 'Specify the title of the x-axis.',
    type: 'string'
  },
  'axisTitleY.text': {
    description: 'Specify the title of the y-axis.',
    type: 'string'
  },
  'axisTitleX.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  'axisTitleY.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  seriesColors: {
    description: "Specify the Hex code for colors used for a series. For example, ['#FF0000', '#0000FF', '#008000'].\n            The default for light and dark mode is ['#1E93C6', '#F2B827', '#D6563C', '#6A5C9E', '#31A35F'].\n            The default for SCP mode is ['#A9F5E7', '#A870EF',  '#1E6271', '#45D4BA', '#602CA1',  '#9AE6F7', '#6CD0F0', '#2F8AA7',  '#422879', '#F29BAC', '#E85B79', '#C6335F',  '#FDAF93', '#FB865C', '#E9643A',  '#7EEFDA', '#26AA92', '#207865', '#C093F9', '#8747DA',  '#4EB2D2', '#912344',  '#AD3F20', '#D44C20', '#FFC34E',  '#95651D',  '#C0891E', '#ECAE11', '#FCD9A4', '#78062A'].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  fieldColors: {
    description: "Specify the Hex code for color used for a field. For example: {'count': '#008000', 'percent': '#FFA500'}. Note: Option type 'string' has been deprecated.",
    type: ['object', 'string']
  },
  backgroundColor: {
    description: 'Specify the Hex code for color used for a background. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fontColor: {
    description: 'Specify the Hex code for color used for fonts (axis labels, legends). For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  foregroundColor: {
    description: 'Specify the Hex code for color used for a foreground. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  'axisY.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbrevite large y-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisX.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbrevite large x-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisY.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisX.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisY.minimumNumber': {
    default: 'auto',
    description: 'Specify the minimum number for the visible y-axis.',
    type: ['number', 'string']
  },
  'axisX.minimumNumber': {
    default: 'auto',
    description: 'specify the minimum number for the visible x-axis.',
    type: ['number', 'string']
  },
  'axisY.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible y-axis.',
    type: ['number', 'string']
  },
  'axisX.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible x-axis.',
    type: ['number', 'string']
  },
  'axisLabelsY.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit at which to place major tick marks along the numeric y-axis. By default, this value is automatically calculated based on the scale of the related axis.',
    type: ['number', 'string']
  },
  'axisLabelsX.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit at which to place major tick marks along the numeric x-axis. By default, this value is automatically calculated based on the scale of the related axis.',
    type: ['number', 'string']
  },
  'axisLabelsX.majorLabelStyle.rotation': {
    default: '0',
    description: 'Specify the rotation of the axis label in degrees.',
    enum: [-90, -45, 0, 45, 90],
    type: 'number'
  },
  'axisLabelsY.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the y-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the x-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorTickSize': {
    default: 6,
    description: 'Specify whether major tick marks are visible on the y-axis.',
    type: 'number'
  },
  'axisLabelsX.majorTickSize': {
    default: 6,
    description: 'Specify whether major tick marks are svisible on the x-axis.',
    type: 'number'
  },
  'axisLabelsY.minorTickSize': {
    default: 6,
    description: 'Specify, in pixles, the size of minor tick marks on the y-axis.',
    type: 'number'
  },
  'axisLabelsX.minorTickSize': {
    default: 6,
    description: 'Specify, in pixles, the size of minor tick marks on the x-axis.',
    type: 'number'
  },
  'axisLabelsX.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether major tick mark labels are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether major tick mark labels are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.extendsAxisRange': {
    default: true,
    description: 'Specify whether the y-axis should be extended to snap to whole major tick marks.',
    type: 'boolean'
  },
  'axisLabelsX.extendsAxisRange': {
    default: true,
    description: 'Specify whether the x-axis should be extended to snap to whole major tick marks.',
    type: 'boolean'
  },
  'axisY.includeZero': {
    default: false,
    description: 'Specify whether the y-axis chart includes zero.',
    type: 'boolean'
  },
  'axisX.includeZero': {
    default: false,
    description: 'Specify whether the x-axis chart includes zero.',
    type: 'boolean'
  },
  'axisLabelsX.integerUnits': {
    default: false,
    description: 'Specify whether the major unit should be rounded to the nearest integer on the x-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMajorLines': {
    default: true,
    description: 'Specify whether major grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesX.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on the x-axis.',
    type: 'boolean'
  },
  'legend.placement': {
    default: 'right',
    description: 'Specify the location of the legend on the panel.',
    pattern: Object(visualization_schemas_["getPattern"])(['right', 'left', 'top', 'bottom', 'none']),
    type: 'string'
  },
  'legend.labelStyle.overflowMode': {
    default: 'ellipsisMiddle',
    description: 'Specify how to display legend labels when they overflow the layout boundaries by replacing overflow text with an ellipsis.',
    pattern: Object(visualization_schemas_["getPattern"])(['ellipsisEnd', 'ellipsisMiddle', 'ellipsisStart', 'ellipsisNone']),
    type: 'string'
  },
  'chart.markerSize': {
    default: 4,
    description: 'Specify the marker size of the scatter chart.',
    type: 'number'
  },
  'chart.resultTruncationLimit': {
    default: 50000,
    description: 'Specify the number of data points rendered in a chart.',
    type: 'number'
  }
});
// CONCATENATED MODULE: ./src/visualizations/Scatter/docs/index.jsx



































































































/* harmony default export */ var docs = __webpack_exports__["default"] = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "Scatter",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Scatter",
      key: "basic",
      code: Basic,
      example: examples_Basic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Title of Axis-Y and Axis-X is not visible",
      key: "titlevisibility",
      code: TitleVisibility,
      example: examples_TitleVisibility
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Title of Axis-Y and Axis-X specified",
      key: "titlespecified",
      code: TitleSpecified,
      example: examples_TitleSpecified
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Series Colors: Red, Blue and Green",
      key: "seriescolors",
      code: SeriesColors,
      example: examples_SeriesColors
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Field Colors: 200 - Green, 201 - Orange, 401 - Blue, 404 - Olive",
      key: "fieldcolors",
      code: FieldColors,
      example: examples_FieldColors
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Background Color - Green",
      key: "backgroundcolor",
      code: BackgroundColor,
      example: examples_BackgroundColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Foreground Color - Red",
      key: "foregroundcolor",
      code: ForegroundColor,
      example: examples_ForegroundColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Font Color - Blue",
      key: "fontcolor",
      code: FontColor,
      example: examples_FontColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Abbreviation - On, Axis-X Abbreviation - On",
      key: "abbreviation",
      code: Abbreviation,
      example: examples_Abbreviation
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Scale - Log",
      key: "axisyscale",
      code: AxisYScale,
      example: examples_AxisYScale
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Scale - Log",
      key: "axisxscale",
      code: AxisXScale,
      example: examples_AxisXScale
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Minimum Number - 500",
      key: "axisyminnumber",
      code: AxisYMinNumber,
      example: examples_AxisYMinNumber
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Maximum Number - 2,000",
      key: "axisymaxnumber",
      code: AxisYMaxNumber,
      example: examples_AxisYMaxNumber
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Major Unit - 100",
      key: "axisymajorunit",
      code: AxisYMajorUnit,
      example: examples_AxisYMajorUnit
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Minimum Number - 10",
      key: "axisxminnumber",
      code: AxisXMinNumber,
      example: examples_AxisXMinNumber
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Maximum Number - 20",
      key: "axisxmaxnumber",
      code: AxisXMaxNumber,
      example: examples_AxisXMaxNumber
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Major Unit - 5",
      key: "axisxmajorunit",
      code: AxisXMajorUnit,
      example: examples_AxisXMajorUnit
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Label Rotation - 45",
      key: "axisxlabelrotation",
      code: AxisXLabelRotation,
      example: examples_AxisXLabelRotation
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Visibility - Hide",
      key: "axisxvisibilityhide",
      code: AxisXVisibilityHide,
      example: examples_AxisXVisibilityHide
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Visibility - Show",
      key: "axisxvisibility",
      code: AxisXVisibility,
      example: examples_AxisXVisibility
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Visibility - Show",
      key: "axisyvisibility",
      code: AxisYVisibility,
      example: examples_AxisYVisibility
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Major Ticks - Show",
      key: "axisymajorticks",
      code: AxisYMajorTicks,
      example: examples_AxisYMajorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Major Ticks - Show",
      key: "axisxmajorticks",
      code: AxisXMajorTicks,
      example: examples_AxisXMajorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Minor Ticks - Show",
      key: "axisyminorticks",
      code: AxisYMinorTicks,
      example: examples_AxisYMinorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Minor Ticks - Show",
      key: "axisxminorticks",
      code: AxisXMinorTicks,
      example: examples_AxisXMinorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Major Tick Size - 15, Axis-X Minor Tick Size - 10",
      key: "axisxticssize",
      code: AxisXTicksSize,
      example: examples_AxisXTicksSize
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Major Tick Size - 15, Axis-Y Minor Tick Size - 10",
      key: "axisyticssize",
      code: AxisYTicksSize,
      example: examples_AxisYTicksSize
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Major Label Visibility - Hide, Axis-Y Major Label Visibility - Hide",
      key: "labelvisibility",
      code: LabelVisibility,
      example: examples_LabelVisibility
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Extend Range - False",
      key: "axisxextendrangefalse",
      code: AxisXExtendRangeFalse,
      example: examples_AxisXExtendRangeFalse
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Extend Range - True",
      key: "axisxextendrangeTrue",
      code: AxisXExtendRangeTrue,
      example: examples_AxisXExtendRangeTrue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Extend Range - False",
      key: "axisyextendrangefalse",
      code: AxisYExtendRangeFalse,
      example: examples_AxisYExtendRangeFalse
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Extend Range - True",
      key: "axisyextendrangetrue",
      code: AxisYExtendRangeTrue,
      example: examples_AxisYExtendRangeTrue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Include Zero - False",
      key: "axisyincludezerofalse",
      code: AxisYIncludeZeroFalse,
      example: examples_AxisYIncludeZeroFalse
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Include Zero - True",
      key: "axisyincludezerotrue",
      code: AxisYIncludeZeroTrue,
      example: examples_AxisYIncludeZeroTrue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Include Zero - False",
      key: "axisxincludezerofalse",
      code: AxisXIncludeZeroFalse,
      example: examples_AxisXIncludeZeroFalse
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Include Zero - True",
      key: "axisxincludezerotrue",
      code: AxisXIncludeZeroTrue,
      example: examples_AxisXIncludeZeroTrue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Integer Unit - False",
      key: "axisxintegerunitfalse",
      code: AxisXIntegerUnitFalse,
      example: examples_AxisXIntegerUnitFalse
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Integer Unit - True",
      key: "axisxintegerunittrue",
      code: AxisXIntegerUnitTrue,
      example: examples_AxisXIntegerUnitTrue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Major Grid - False",
      key: "axisymajorgrid",
      code: AxisYMajorGrid,
      example: examples_AxisYMajorGrid
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-Y Minor Grid - True",
      key: "axisyminorgrid",
      code: AxisYMinorGrid,
      example: examples_AxisYMinorGrid
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Axis-X Minor Grid - True",
      key: "axisxminorgrid",
      code: AxisXMinorGrid,
      example: examples_AxisXMinorGrid
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Legend Placement - Top",
      key: "legendplacement",
      code: LegendPlacement,
      example: examples_LegendPlacement
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Legend Overflow Mode - Middle",
      key: "legendoverflowmiddle",
      code: LegendOverflowMiddle,
      example: examples_LegendOverflowMiddle
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Legend Overflow Mode - End",
      key: "legendoverflowend",
      code: LegendOverflowEnd,
      example: examples_LegendOverflowEnd
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Marker Size - 8",
      key: "markersize",
      code: MarkerSize,
      example: examples_MarkerSize
    })],
    encodingSection: /*#__PURE__*/external_react_default.a.createElement(EncodingDoc_default.a, {
      encoding: definition.encoding
    }),
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    }),
    eventSection: /*#__PURE__*/external_react_default.a.createElement(EventsDoc_default.a, {
      encoding: {
        category: 'primary.status',
        x: 'primary.date_hour',
        y: 'primary.count'
      },
      events: definition.events,
      Visualization: Scatter_default.a,
      dsState: {
        primary: {
          requestParams: {
            offset: 0,
            count: 20
          },
          data: {
            fields: [{
              name: 'date_hour'
            }, {
              name: 'count'
            }, {
              name: 'mode(status)'
            }, {
              name: 'status'
            }],
            columns: [['13', '14', '15', '16', '17', '18', '19', '10', '20', '21', '22', '23', '3', '4', '5'], ['1109', '1108', '1098', '1088', '1097', '1086', '1107', '1090', '1150', '2100', '1070', '1097', '1096', '1107', '1152'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '404', '201', '200', '201', '201', '404', '401'], ['401', '201', '401', '201', '401', '201', '201', '401', '201', '201', '201', '200', '201', '201', '404', '401']]
          },
          meta: {
            totalCount: 20
          }
        }
      }
    })
  });
});

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=Scatter.js.map