/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 59);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EncodingDoc");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EventsDoc");

/***/ }),

/***/ 15:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/SingleValueIcon");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 33:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/MockedProvider");

/***/ }),

/***/ 39:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/IconContext");

/***/ }),

/***/ 40:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-context/IconRegistry");

/***/ }),

/***/ 59:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/SingleValueIcon"
var SingleValueIcon_ = __webpack_require__(15);
var SingleValueIcon_default = /*#__PURE__*/__webpack_require__.n(SingleValueIcon_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EncodingDoc"
var EncodingDoc_ = __webpack_require__(12);
var EncodingDoc_default = /*#__PURE__*/__webpack_require__.n(EncodingDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EventsDoc"
var EventsDoc_ = __webpack_require__(14);
var EventsDoc_default = /*#__PURE__*/__webpack_require__.n(EventsDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/Basic.jsx
/* harmony default export */ var Basic = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{}}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/BackgroundColorWhite.jsx
/* harmony default export */ var BackgroundColorWhite = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            backgroundColor: '#ffffff',\n            unit: '%',\n            underLabel: 'test under label',\n            icon: 'activity',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FieldFoo.jsx
/* harmony default export */ var FieldFoo = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['1', '62', '103', '308', '587', '876', '1195', '1220'],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FieldBar.jsx
/* harmony default export */ var FieldBar = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['1', '62', '103', '308', '587', '876', '1195', '1220'],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FixIcon.jsx
/* harmony default export */ var FixIcon = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'clock',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FixIconAfter.jsx
/* harmony default export */ var FixIconAfter = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'clock',\n            iconPosition: 'after',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FixIconTop.jsx
/* harmony default export */ var FixIconTop = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'clock',\n            iconPosition: 'top',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FixIconBelow.jsx
/* harmony default export */ var FixIconBelow = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'clock',\n            iconPosition: 'below',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/FixIconNoValues.jsx
/* harmony default export */ var FixIconNoValues = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'activity',\n            showValue: false,\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/NoIcon.jsx
/* harmony default export */ var NoIcon = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            icon: 'activity',\n            showIcon: false,\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/IconByThreshold.jsx
/* harmony default export */ var IconByThreshold = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            icon: {\n                field: 'primary[0]',\n                format: {\n                    type: 'rangevalue',\n                    ranges: [\n                        {\n                            from: 1560,\n                            value: 'default',\n                        },\n                        {\n                            from: 70,\n                            to: 1560,\n                            value: 'star',\n                        },\n                        {\n                            from: 30,\n                            to: 70,\n                            value: 'pencil',\n                        },\n                        {\n                            from: 0,\n                            to: 30,\n                            value: 'clock',\n                        },\n                        {\n                            to: 0,\n                            value: 'activity',\n                        },\n                    ],\n                },\n            },\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/IconOpacity.jsx
/* harmony default export */ var IconOpacity = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            iconOpacity: 0.2,\n        }}\n        encoding={{}}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/IconColor.jsx
/* harmony default export */ var IconColor = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{\n            iconColor: '#0000FF',\n        }}\n        encoding={{}}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/ColorDataSeries.jsx
/* harmony default export */ var ColorDataSeries = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/EncodingColumnIndex.jsx
/* harmony default export */ var EncodingColumnIndex = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: 'primary[1][2]',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/EncodingFormat.jsx
/* harmony default export */ var EncodingFormat = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: {\n                field: 'primary[0]',\n                format: {\n                    type: 'rangevalue',\n                    ranges: [\n                        {\n                            from: 5000,\n                            value: '#A52A2A',\n                        },\n                        {\n                            from: 1000,\n                            to: 5000,\n                            value: '#FFA500',\n                        },\n                        {\n                            from: 500,\n                            to: 1000,\n                            value: '#FFFF00',\n                        },\n                        {\n                            from: 100,\n                            to: 500,\n                            value: '#800080',\n                        },\n                        {\n                            to: 100,\n                            value: '#0000FF',\n                        },\n                    ],\n                },\n            },\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/EncodingFormatColumnIndex.jsx
/* harmony default export */ var EncodingFormatColumnIndex = ("import React from 'react';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nexport default () => (\n    <SingleValueIcon\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: {\n                field: 'primary[0][2]',\n                format: {\n                    type: 'rangevalue',\n                    ranges: [\n                        {\n                            from: 100,\n                            value: '#A52A2A',\n                        },\n                        {\n                            from: 40,\n                            to: 100,\n                            value: '#FFA500',\n                        },\n                        {\n                            from: 13,\n                            to: 40,\n                            value: '#FFFF00',\n                        },\n                        {\n                            from: 1,\n                            to: 13,\n                            value: '#800080',\n                        },\n                        {\n                            from: 0,\n                            to: 1,\n                            value: '#0000FF',\n                        },\n                        {\n                            to: 0,\n                            value: '#000000',\n                        },\n                    ],\n                },\n            },\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueIcon/docs/examples/RemoteIcon.jsx
/* harmony default export */ var RemoteIcon = ("import React from 'react';\nimport { IconContextProvider } from '@splunk/visualization-context/IconContext';\nimport IconRegistry from '@splunk/visualization-context/IconRegistry';\nimport MockedProvider from '@splunk/visualization-context/MockedProvider';\nimport SingleValueIcon from '@splunk/dashboard-visualizations/SingleValueIcon';\n\nconst iconRegistry = IconRegistry.create();\nconst mockedProvider = new MockedProvider();\niconRegistry.addProvider(mockedProvider);\nmockedProvider.upload('https://upload.wikimedia.org/wikipedia/commons/3/36/Ladder_%28example%29.svg');\n\nexport default () => (\n    <IconContextProvider value={iconRegistry}>\n        <SingleValueIcon\n            options={{\n                icon: 'mock://0',\n            }}\n            encoding={{}}\n            dataSources={{\n                primary: {\n                    data: {\n                        columns: [\n                            ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                            [\n                                '2018-08-19T00:00:00.000+00:00',\n                                '2018-08-20T00:00:00.000+00:00',\n                                '2018-08-21T00:00:00.000+00:00',\n                                '2018-08-22T00:00:00.000+00:00',\n                                '2018-08-23T00:00:00.000+00:00',\n                                '2018-08-24T00:00:00.000+00:00',\n                                '2018-08-25T00:00:00.000+00:00',\n                                '2018-08-26T00:00:00.000+00:00',\n                            ],\n                        ],\n                        fields: [\n                            {\n                                name: 'foo',\n                            },\n                            {\n                                name: '_time',\n                            },\n                        ],\n                    },\n                    meta: {},\n                },\n            }}\n        />\n    </IconContextProvider>\n);\n");
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/Basic.jsx


/* harmony default export */ var examples_Basic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {},
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/BackgroundColorWhite.jsx


/* harmony default export */ var examples_BackgroundColorWhite = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      backgroundColor: '#ffffff',
      unit: '%',
      underLabel: 'test under label',
      icon: 'activity'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FieldFoo.jsx


/* harmony default export */ var examples_FieldFoo = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['1', '62', '103', '308', '587', '876', '1195', '1220']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FieldBar.jsx


/* harmony default export */ var examples_FieldBar = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['1', '62', '103', '308', '587', '876', '1195', '1220']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FixIcon.jsx


/* harmony default export */ var examples_FixIcon = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'clock'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FixIconAfter.jsx


/* harmony default export */ var examples_FixIconAfter = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'clock',
      iconPosition: 'after'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FixIconTop.jsx


/* harmony default export */ var examples_FixIconTop = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'clock',
      iconPosition: 'top'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FixIconBelow.jsx


/* harmony default export */ var examples_FixIconBelow = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'clock',
      iconPosition: 'below'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/FixIconNoValues.jsx


/* harmony default export */ var examples_FixIconNoValues = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'activity',
      showValue: false
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/NoIcon.jsx


/* harmony default export */ var examples_NoIcon = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'activity',
      showIcon: false
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/IconByThreshold.jsx


/* harmony default export */ var examples_IconByThreshold = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      icon: {
        field: 'primary[0]',
        format: {
          type: 'rangevalue',
          ranges: [{
            from: 1560,
            value: 'default'
          }, {
            from: 70,
            to: 1560,
            value: 'star'
          }, {
            from: 30,
            to: 70,
            value: 'pencil'
          }, {
            from: 0,
            to: 30,
            value: 'clock'
          }, {
            to: 0,
            value: 'activity'
          }]
        }
      }
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/IconOpacity.jsx


/* harmony default export */ var examples_IconOpacity = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      iconOpacity: 0.2
    },
    encoding: {},
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/IconColor.jsx


/* harmony default export */ var examples_IconColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      iconColor: '#0000FF'
    },
    encoding: {},
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/ColorDataSeries.jsx


/* harmony default export */ var examples_ColorDataSeries = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/EncodingColumnIndex.jsx


/* harmony default export */ var examples_EncodingColumnIndex = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: 'primary[1][2]'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/EncodingFormat.jsx


/* harmony default export */ var examples_EncodingFormat = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: {
        field: 'primary[0]',
        format: {
          type: 'rangevalue',
          ranges: [{
            from: 5000,
            value: '#A52A2A'
          }, {
            from: 1000,
            to: 5000,
            value: '#FFA500'
          }, {
            from: 500,
            to: 1000,
            value: '#FFFF00'
          }, {
            from: 100,
            to: 500,
            value: '#800080'
          }, {
            to: 100,
            value: '#0000FF'
          }]
        }
      }
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/EncodingFormatColumnIndex.jsx


/* harmony default export */ var examples_EncodingFormatColumnIndex = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: {
        field: 'primary[0][2]',
        format: {
          type: 'rangevalue',
          ranges: [{
            from: 100,
            value: '#A52A2A'
          }, {
            from: 40,
            to: 100,
            value: '#FFA500'
          }, {
            from: 13,
            to: 40,
            value: '#FFFF00'
          }, {
            from: 1,
            to: 13,
            value: '#800080'
          }, {
            from: 0,
            to: 1,
            value: '#0000FF'
          }, {
            to: 0,
            value: '#000000'
          }]
        }
      }
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// EXTERNAL MODULE: external "@splunk/visualization-context/IconContext"
var IconContext_ = __webpack_require__(39);

// EXTERNAL MODULE: external "@splunk/visualization-context/IconRegistry"
var IconRegistry_ = __webpack_require__(40);
var IconRegistry_default = /*#__PURE__*/__webpack_require__.n(IconRegistry_);

// EXTERNAL MODULE: external "@splunk/visualization-context/MockedProvider"
var MockedProvider_ = __webpack_require__(33);
var MockedProvider_default = /*#__PURE__*/__webpack_require__.n(MockedProvider_);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/examples/RemoteIcon.jsx





var iconRegistry = IconRegistry_default.a.create();
var mockedProvider = new MockedProvider_default.a();
iconRegistry.addProvider(mockedProvider);
mockedProvider.upload('https://upload.wikimedia.org/wikipedia/commons/3/36/Ladder_%28example%29.svg');
/* harmony default export */ var examples_RemoteIcon = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(IconContext_["IconContextProvider"], {
    value: iconRegistry
  }, /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, {
    options: {
      icon: 'mock://0'
    },
    encoding: {},
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  }));
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/definition.js
/* harmony default export */ var definition = ({
  encoding: [{
    name: 'trend',
    type: '[number | string]',
    desc: 'Specify the dataSource applied to the single value.',
    defaultValue: 'primary[0]',
    isRequired: 'true'
  }, {
    name: 'fill',
    type: '[string]',
    desc: "Specify the dataSource applied to the background color of the single value.\n                   Note: This overrides any specified background color if backgroundColor is specified.",
    isRequired: 'false'
  }],
  events: [{
    name: 'value.click',
    desc: 'trigger when user clicks major value or icon'
  }]
});
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(2);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    default: 'transparent',
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  icon: {
    default: 'default',
    description: 'Specify an icon.',
    type: 'string'
  },
  iconPosition: {
    default: 'before',
    description: 'Specify where to display the icon in relation to the major value.',
    type: 'string'
  },
  iconOpacity: {
    default: 1,
    description: 'Specify the opacity for the icon using a number between 0 and 1 (inclusive).',
    type: 'number'
  },
  showValue: {
    default: true,
    description: 'Specify whether to enable or disable the value and trend indicator displays.',
    type: 'boolean'
  },
  showIcon: {
    default: true,
    description: 'Deprecated. Specify whether to enable or disable the icon display.',
    type: 'boolean'
  },
  color: {
    default: null,
    description: 'Deprecated. Please use iconColor to color icon, majorColor to color major value.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  iconColor: {
    default: null,
    description: 'Specify the color for the icon. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  majorColor: {
    default: null,
    description: 'Specify the color for the major value. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  deltaColor: {
    default: null,
    description: 'Specify the delta value color using a Hex code. For example: "#FF0000".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/docs/index.jsx













































/* harmony default export */ var docs = __webpack_exports__["default"] = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "Dashboard Single Value Icon",
    description: "This visualization has been upgraded in @splunk/visualizations/SingleValueIcon and may be used in UDF.",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Single Value Icon with default icon",
      key: "basic",
      code: Basic,
      example: examples_Basic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Single Value Icon. Background Color is white.",
      key: "backgroundwhite",
      code: BackgroundColorWhite,
      example: examples_BackgroundColorWhite
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding Field is foo",
      key: "fieldfoo",
      code: FieldFoo,
      example: examples_FieldFoo
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding Field is bar",
      key: "fieldbar",
      code: FieldBar,
      example: examples_FieldBar
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon with fixed icon",
      key: "fixicon",
      code: FixIcon,
      example: examples_FixIcon
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon with fixed icon located after value and trend indicator",
      key: "fixiconafter",
      code: FixIconAfter,
      example: examples_FixIconAfter
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon with fixed icon located on top of value and trend indicator",
      key: "fixicontop",
      code: FixIconTop,
      example: examples_FixIconTop
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon with fixed icon located below value and trend indicator",
      key: "fixiconbelow",
      code: FixIconBelow,
      example: examples_FixIconBelow
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon with fixed icon, value and trend indicator are invisible",
      key: "fixiconnovalues",
      code: FixIconNoValues,
      example: examples_FixIconNoValues
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon is invisible",
      key: "noicon",
      code: NoIcon,
      example: examples_NoIcon
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon, icon by threshold",
      key: "iconbythreshold",
      code: IconByThreshold,
      example: examples_IconByThreshold
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon, icon opacity is 0.2",
      key: "iconopacity",
      code: IconOpacity,
      example: examples_IconOpacity
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon, icon color is blue",
      key: "iconcolor",
      code: IconColor,
      example: examples_IconColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Single Value Icon, color data series specified",
      key: "colordataseries",
      code: ColorDataSeries,
      example: examples_ColorDataSeries
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding column index specified",
      key: "encodingcolumnindex",
      code: EncodingColumnIndex,
      example: examples_EncodingColumnIndex
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding format specified",
      key: "encodingformat",
      code: EncodingFormat,
      example: examples_EncodingFormat
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding format column index specified",
      key: "encodingformatcolumnindex",
      code: EncodingFormatColumnIndex,
      example: examples_EncodingFormatColumnIndex
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Persisted Icon in IconRegistry",
      key: "remoteIcon",
      description: "Single Value Icon example with remote icon key",
      code: RemoteIcon,
      example: examples_RemoteIcon
    })],
    encodingSection: /*#__PURE__*/external_react_default.a.createElement(EncodingDoc_default.a, {
      encoding: definition.encoding
    }),
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    }),
    eventSection: /*#__PURE__*/external_react_default.a.createElement(EventsDoc_default.a, {
      events: definition.events,
      Visualization: SingleValueIcon_default.a,
      options: {
        icon: 'clock'
      },
      encoding: {},
      dsState: {
        primary: {
          data: {
            columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
            fields: [{
              name: 'foo'
            }, {
              name: '_time'
            }]
          },
          meta: {}
        }
      }
    })
  });
});

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=SingleValueIcon.js.map