/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 69);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 29:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/Text");

/***/ }),

/***/ 69:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/Basic.jsx
/* harmony default export */ var Basic = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Basic Example Text',\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/FontFamily.jsx
/* harmony default export */ var FontFamily = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            fontFamily: 'Times New Roman',\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/FontSize.jsx
/* harmony default export */ var FontSize = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            fontSize: 48,\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/FontWeight.jsx
/* harmony default export */ var FontWeight = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            fontWeight: 'bold',\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/LineHeight.jsx
/* harmony default export */ var LineHeight = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            lineHeight: 200,\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/Rotation.jsx
/* harmony default export */ var Rotation = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            lineHeight: 200,\n            rotation: 10,\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/TextColor.jsx
/* harmony default export */ var TextColor = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            textColor: '#0000FF',\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/Text/docs/examples/BackgroundColor.jsx
/* harmony default export */ var BackgroundColor = ("import React from 'react';\nimport Text from '@splunk/dashboard-visualizations/Text';\n\nexport default () => (\n    <Text\n        options={{\n            content: 'Content Text',\n            backgroundColor: '#008000',\n        }}\n    />\n);\n");
// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/Text"
var Text_ = __webpack_require__(29);
var Text_default = /*#__PURE__*/__webpack_require__.n(Text_);

// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/Basic.jsx


/* harmony default export */ var examples_Basic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Basic Example Text'
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/FontFamily.jsx


/* harmony default export */ var examples_FontFamily = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      fontFamily: 'Times New Roman'
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/FontSize.jsx


/* harmony default export */ var examples_FontSize = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      fontSize: 48
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/FontWeight.jsx


/* harmony default export */ var examples_FontWeight = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      fontWeight: 'bold'
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/LineHeight.jsx


/* harmony default export */ var examples_LineHeight = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      lineHeight: 200
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/Rotation.jsx


/* harmony default export */ var examples_Rotation = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      lineHeight: 200,
      rotation: 10
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/TextColor.jsx


/* harmony default export */ var examples_TextColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      textColor: '#0000FF'
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/examples/BackgroundColor.jsx


/* harmony default export */ var examples_BackgroundColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(Text_default.a, {
    options: {
      content: 'Content Text',
      backgroundColor: '#008000'
    }
  });
});
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(2);

// CONCATENATED MODULE: ./src/visualizations/Text/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  fontFamily: {
    default: 'Splunk Platform Sans',
    description: 'Specify the font family to be used. For example "Comic Sans MS". Note: the font needs to be available to your end user.',
    type: 'string'
  },
  fontSize: {
    default: 24,
    description: 'Specify the font size in pixels.',
    type: 'number'
  },
  fontWeight: {
    default: 'normal',
    description: 'Specify the font weight.',
    pattern: Object(visualization_schemas_["getPattern"])(['normal', 'bold', 'light']),
    type: 'string'
  },
  lineHeight: {
    default: '120%',
    description: 'Specify the line height for the text block.',
    type: ['number', 'string']
  },
  rotation: {
    default: 0,
    description: 'Specify the text angle in degrees.',
    type: 'number'
  },
  textColor: {
    description: "Specify the text color using Hex codes or RGBA values, such as \"#FF0000\" or \"rgba(25,12,13,0.1)\". The default for enterprise light mode is \"#171D21\". The default for enterprise dark mode is \"#FFFFFF\". The default for prisma dark mode is \"rgba(255, 255, 255, 0.7)\".",
    type: 'string',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"]
  },
  backgroundColor: {
    default: 'transparent',
    description: 'Specify the background color using a Hex code such as "#FF0000".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  content: {
    default: '',
    description: 'Specify the text content.',
    type: 'string'
  }
});
// CONCATENATED MODULE: ./src/visualizations/Text/docs/index.jsx






















function TextDoc() {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "Text",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Text",
      key: "basic_text",
      description: "Default options, text content",
      code: Basic,
      example: examples_Basic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Font Family is Times New Roman",
      key: "fontfamily",
      code: FontFamily,
      example: examples_FontFamily
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Font Size is 48",
      key: "fontsize",
      code: FontSize,
      example: examples_FontSize
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Font Weight is bold",
      key: "fontweight",
      code: FontWeight,
      example: examples_FontWeight
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Line Height is 200",
      key: "lineheight",
      code: LineHeight,
      example: examples_LineHeight
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Line Height is 200, Rotation is 10",
      key: "rotation",
      code: Rotation,
      example: examples_Rotation
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Text Color is blue",
      key: "textcolor",
      code: TextColor,
      example: examples_TextColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Background Color is green",
      key: "backgroundcolor",
      code: BackgroundColor,
      example: examples_BackgroundColor
    })],
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    })
  });
}

/* harmony default export */ var docs = __webpack_exports__["default"] = (TextDoc);

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=Text.js.map