/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 49);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/propUtils");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("prop-types");

/***/ }),

/***/ 40:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-ui/Paginator");

/***/ }),

/***/ 41:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 42:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes");

/***/ }),

/***/ 43:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/SplunkThemeProvider");

/***/ }),

/***/ 49:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NormalPaginatorContainer", function() { return NormalPaginatorContainer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FixedHeightPaginatorContainer", function() { return FixedHeightPaginatorContainer; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getCurrentPage", function() { return getCurrentPage; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getTotalPages", function() { return getTotalPages; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getDataOffset", function() { return getDataOffset; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "handlePageChange", function() { return handlePageChange; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getPaginationInformation", function() { return getPaginationInformation; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "renderPaginator", function() { return renderPaginator; });
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(13);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(7);
/* harmony import */ var _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(0);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6);
/* harmony import */ var styled_components__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(styled_components__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(3);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _splunk_react_ui_Paginator__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(40);
/* harmony import */ var _splunk_react_ui_Paginator__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_splunk_react_ui_Paginator__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _splunk_themes_pick__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(41);
/* harmony import */ var _splunk_themes_pick__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_pick__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _splunk_themes_variables__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(22);
/* harmony import */ var _splunk_themes_variables__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_variables__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var _splunk_themes__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(42);
/* harmony import */ var _splunk_themes__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var _splunk_themes_SplunkThemeProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(43);
/* harmony import */ var _splunk_themes_SplunkThemeProvider__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(_splunk_themes_SplunkThemeProvider__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var _splunk_dashboard_visualizations_utils_propUtils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(23);
/* harmony import */ var _splunk_dashboard_visualizations_utils_propUtils__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(_splunk_dashboard_visualizations_utils_propUtils__WEBPACK_IMPORTED_MODULE_10__);



var _templateObject, _templateObject2;

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}










var NormalPaginatorContainer = styled_components__WEBPACK_IMPORTED_MODULE_3___default.a.div(_templateObject || (_templateObject = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_1___default()(["\n    color: ", ";\n    overflow: hidden;\n    position: relative;\n    text-align: right;\n    height: 32px;\n    padding: 5px 5px 5px 0px;\n"])), _splunk_themes_pick__WEBPACK_IMPORTED_MODULE_6___default()({
  enterprise: _splunk_themes_variables__WEBPACK_IMPORTED_MODULE_7___default.a.textColor,
  prisma: _splunk_themes_variables__WEBPACK_IMPORTED_MODULE_7___default.a.contentColorActive
}));
var FixedHeightPaginatorContainer = styled_components__WEBPACK_IMPORTED_MODULE_3___default()(NormalPaginatorContainer)(_templateObject2 || (_templateObject2 = _babel_runtime_helpers_taggedTemplateLiteral__WEBPACK_IMPORTED_MODULE_1___default()(["\n    position: absolute;\n    bottom: 0;\n    left: 0;\n    right: 10px;\n"])));
/**
 * Returns the current page based on dataset parameters
 * @param {number} offset=0
 * @param {number} perPage=0
 * @returns {number|boolean} current page number based on offset and results per page, or false if perPage is 0
 */

var getCurrentPage = function getCurrentPage() {
  var offset = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var perPage = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (perPage === 0) {
    return false;
  }

  return Math.floor(offset / perPage) + 1;
};
/**
 * Returns the total pages based on dataset parameters
 * @param {number} total=0 total pages in dataset
 * @param {number} perPage=0
 * @returns {number|boolean} total number of pages based on total pages in dataset and results per page, or false if perPage is 0
 */

var getTotalPages = function getTotalPages() {
  var total = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
  var perPage = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (perPage === 0) {
    return false;
  }

  return Math.ceil(total / perPage);
};
/**
 * Returns data offset based on dataset parameters
 * @param {number} page=1
 * @param {number} perPage=0
 * @returns {number} data offset based on page and results per page
 */

var getDataOffset = function getDataOffset() {
  var page = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
  var perPage = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (page === 1) {
    return 0;
  }

  return (page - 1) * perPage;
};
/**
 * Standard reusable handlePageChange method for usual primary datasource.
 * For standard pagination behavior this can imported and passed to renderPaginator.
 * @param {object} e the event triggering the page change
 * @param {Number} page newly selected page
 * @param {Boolean}  isPaging whether or not the data is paginated
 * @param {Function} onRequestParamsChange function to be executed with new request params for the new page
 * @param {object} requestParams the current requestParams object from the dataSource
 */

var handlePageChange = function handlePageChange(e, page, onRequestParamsChange) {
  var requestParams = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
  onRequestParamsChange('primary', _objectSpread(_objectSpread({}, requestParams), {
    offset: getDataOffset(page, requestParams.count)
  }));
};
/**
 * Returns all relevant pagination information based on visualization props
 * @param {object} vizProps props passed to the visualization
 * @returns {object} object containing all variables relevant to pagination state
 */

var getPaginationInformation = function getPaginationInformation(vizProps) {
  var meta = Object(_splunk_dashboard_visualizations_utils_propUtils__WEBPACK_IMPORTED_MODULE_10__["getMeta"])(vizProps);
  var requestParams = Object(_splunk_dashboard_visualizations_utils_propUtils__WEBPACK_IMPORTED_MODULE_10__["getRequestParams"])(vizProps);
  var totalCount = meta.totalCount || 0;
  var perPage = requestParams.count;
  var totalPages = getTotalPages(totalCount, perPage);
  var offset = requestParams.offset;
  var currentPage = getCurrentPage(offset, perPage);
  var isPaging = totalPages > 1;
  return {
    totalCount: totalCount,
    perPage: perPage,
    totalPages: totalPages,
    offset: offset,
    currentPage: currentPage,
    isPaging: isPaging,
    requestParams: requestParams
  };
};
/**
 * Returns the Paginator React Element with parameters properly set based on visualization props
 * @param {Number} totalPages total pages in data
 * @param {Number} currentPage current page the viz is on
 * @param {Boolean}  isPaging whether or not the data is paginated
 * @param {object} requestParams the requestParams object from the dataSource
 * @param {Function} onRequestParamsChange function to be execute when the request parameters to the dataSource change
 * @param {Function} pageChange function to be executed when the user selects a new page
 * @param {React Element} PaginatorContainer Container to wrap the Paginator inside
 * @return {React Element} the Paginator wrapped inside the Paginator Container
 */

var renderPaginator = function renderPaginator(_ref) {
  var totalPages = _ref.totalPages,
      currentPage = _ref.currentPage,
      isPaging = _ref.isPaging,
      requestParams = _ref.requestParams,
      onRequestParamsChange = _ref.onRequestParamsChange,
      theme = _ref.theme,
      _ref$pageChange = _ref.pageChange,
      pageChange = _ref$pageChange === void 0 ? handlePageChange : _ref$pageChange,
      _ref$PaginatorContain = _ref.PaginatorContainer,
      PaginatorContainer = _ref$PaginatorContain === void 0 ? NormalPaginatorContainer : _ref$PaginatorContain;
  return isPaging ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default.a.createElement(_splunk_themes_SplunkThemeProvider__WEBPACK_IMPORTED_MODULE_9___default.a, Object(_splunk_themes__WEBPACK_IMPORTED_MODULE_8__["getSettingsFromThemedProps"])({
    theme: theme
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default.a.createElement(PaginatorContainer, null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_2___default.a.createElement(_splunk_react_ui_Paginator__WEBPACK_IMPORTED_MODULE_5___default.a, {
    current: currentPage,
    onChange: function onChange(e, _ref2) {
      var page = _ref2.page;
      return pageChange(e, page, onRequestParamsChange, requestParams);
    },
    totalPages: totalPages
  }))) : null;
};
renderPaginator.propTypes = {
  totalPages: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.number.isRequired,
  currentPage: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.number.isRequired,
  isPaging: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.bool.isRequired,
  requestParams: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.object.isRequired,
  onRequestParamsChange: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.func.isRequired,
  theme: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.object,
  pageChange: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.func,
  PaginatorContainer: prop_types__WEBPACK_IMPORTED_MODULE_4___default.a.element
};

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = require("styled-components");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/taggedTemplateLiteral");

/***/ })

/******/ });
//# sourceMappingURL=paginationUtils.js.map