/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 150);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 103:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/GaugeMarker");

/***/ }),

/***/ 104:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/MarkerGauge");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 150:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "MarkerGaugeComponent", function() { return /* binding */ MarkerGauge_MarkerGaugeComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/MarkerGaugeParser"
var MarkerGaugeParser_ = __webpack_require__(82);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/GaugeMarker"
var GaugeMarker_ = __webpack_require__(103);
var GaugeMarker_default = /*#__PURE__*/__webpack_require__.n(GaugeMarker_);

// EXTERNAL MODULE: external "@splunk/react-visualizations/MarkerGauge"
var MarkerGauge_ = __webpack_require__(104);
var MarkerGauge_default = /*#__PURE__*/__webpack_require__.n(MarkerGauge_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/Message"
var Message_ = __webpack_require__(32);
var Message_default = /*#__PURE__*/__webpack_require__.n(Message_);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/MarkerGauge/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  backgroundColor: {
    description: 'Specify the color used for the background using a Hex Code. The default for enterprise light mode is "#FFFFFF". The default for enterprise dark mode is "#000000". The default for prisma dark mode is "#0B0C0E".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  majorUnit: {
    default: 'auto',
    description: 'Specify, in pixels, the spacing between major tick marks.',
    type: ['number', 'string']
  },
  orientation: {
    default: 'vertical',
    description: 'Specify the axis orientation of the gauge.',
    pattern: Object(visualization_schemas_["getPattern"])(['horizontal', 'vertical']),
    type: 'string'
  },
  showLabels: {
    default: true,
    description: 'Specify whether to display labels.',
    type: 'boolean'
  },
  showValue: {
    default: true,
    description: 'Specify whether the gauge value is displayed.',
    type: 'boolean'
  },
  usePercentageRange: {
    default: false,
    description: 'Specify whether to format gauge ranges as percentages.',
    type: 'boolean'
  },
  usePercentageValue: {
    default: false,
    description: 'Specify whether to format the gauge values as percentages.',
    type: 'boolean'
  },
  ranges: {
    type: 'array',
    items: {
      type: 'object',
      properties: {
        from: {
          type: 'number'
        },
        to: {
          type: 'number'
        },
        value: {
          type: 'string',
          pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"]
        }
      },
      required: ['from', 'to', 'value']
    },
    description: 'Specify the overall range of the gauge as a series of continuous, color-coded subranges. For example, [{"from": 0, "to": 20, "value": "#4BEBA8"}, {"from": 20, "to": 50, "value": "#F4DF7A"}].',
    default: [{
      from: 90,
      to: 100,
      value: '#CB3B43'
    }, {
      from: 50,
      to: 90,
      value: '#F4DF7A'
    }, {
      from: 0,
      to: 50,
      value: '#4BEBA8'
    }]
  }
});
// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: ./src/common/editorConfig/Gauge.js
var Gauge = __webpack_require__(76);

// CONCATENATED MODULE: ./src/visualizations/MarkerGauge/editorConfig.js




var editorConfig = [Gauge["a" /* default */], {
  label: Object(i18n_["_"])('Threshold Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Ranges'),
    option: 'ranges',
    editor: 'editor.threshold',
    editorProps: {
      openRanges: false,
      // Use closed ranges
      isTogglable: false // Can not disable thresholds

    }
  }]]
}, {
  label: Object(i18n_["_"])('Background Color'),
  layout: [[{
    label: '',
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.black,
            light: variables_default.a.backgroundColor
          },
          prisma: variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }]]
}];
/* harmony default export */ var MarkerGauge_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/MarkerGauge/MarkerGauge.jsx



function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}












var MarkerGauge_MarkerGaugeComponent = function MarkerGaugeComponent(_ref) {
  var dataSources = _ref.dataSources,
      options = _ref.options,
      encoding = _ref.encoding,
      width = _ref.width,
      height = _ref.height;
  /**
   * Pre-calculate props based on encoding
   */

  var propsFromEncoding = Object(external_react_["useMemo"])(function () {
    return Object(MarkerGaugeParser_["parse"])(dataSources, encoding);
  }, [dataSources, encoding]);
  var areInvalidPropsFromEncoding = propsFromEncoding.valueType !== MarkerGaugeParser_["dataContract"].encoding.value.type;
  return areInvalidPropsFromEncoding ? /*#__PURE__*/external_react_default.a.createElement(Message_default.a, {
    "data-test": "message",
    width: width,
    height: height,
    message: Object(i18n_["_"])("Data type for value encoding is incorrect. Expected: \"number\", Received: \"".concat(propsFromEncoding.valueType, "\"")),
    level: "info"
  }) : /*#__PURE__*/external_react_default.a.createElement(MarkerGauge_default.a, extends_default()({
    width: width,
    height: height
  }, propsFromEncoding, options));
};
MarkerGauge_MarkerGaugeComponent.propTypes = BaseVisualization_default.a.propTypes;
MarkerGauge_MarkerGaugeComponent.defaultProps = _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
});
MarkerGauge_MarkerGaugeComponent.dataContract = MarkerGaugeParser_["dataContract"];
MarkerGauge_MarkerGaugeComponent.vizContract = {
  initialDimension: {
    width: 300,
    height: 150
  }
};
MarkerGauge_MarkerGaugeComponent.initialRequestParams = {
  offset: 0,
  count: 10000
};
MarkerGauge_MarkerGaugeComponent.supportedDataSources = ['primary'];
MarkerGauge_MarkerGaugeComponent.schema = optionsSchema;
MarkerGauge_MarkerGaugeComponent.editor = MarkerGauge_editorConfig;
/* harmony default export */ var MarkerGauge = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(GaugeMarker_default.a, null)
  })
})(MarkerGauge_MarkerGaugeComponent));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 32:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/Message");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 76:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var gauge = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Visualization Settings'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Show Value'),
    option: 'showValue',
    editor: 'editor.toggle'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Show Labels'),
    option: 'showLabels',
    editor: 'editor.toggle'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Orientation'),
    option: 'orientation',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Vertical'),
        value: 'vertical'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Horizontal'),
        value: 'horizontal'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (gauge);

/***/ }),

/***/ 82:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/MarkerGaugeParser");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ })

/******/ });
//# sourceMappingURL=MarkerGauge.js.map