/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 155);
/******/ })
/************************************************************************/
/******/ ({

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 110:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/common/Charting");

/***/ }),

/***/ 111:
/***/ (function(module, exports) {

module.exports = require("@splunk/charting-bundle");

/***/ }),

/***/ 112:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-icons/enterprise/GaugeRadial");

/***/ }),

/***/ 113:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/propUtils");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/react-visualizations/common/Charting"
var Charting_ = __webpack_require__(110);
var Charting_default = /*#__PURE__*/__webpack_require__.n(Charting_);

// EXTERNAL MODULE: external "@splunk/charting-bundle"
var charting_bundle_ = __webpack_require__(111);
var charting_bundle_default = /*#__PURE__*/__webpack_require__.n(charting_bundle_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/propUtils"
var propUtils_ = __webpack_require__(67);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/dataUtils"
var dataUtils_ = __webpack_require__(27);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/react-icons/enterprise/GaugeRadial"
var GaugeRadial_ = __webpack_require__(112);
var GaugeRadial_default = /*#__PURE__*/__webpack_require__.n(GaugeRadial_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/propUtils"
var visualizations_shared_propUtils_ = __webpack_require__(113);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/RadialGauge/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  gaugeColors: {
    default: ['#84E900', '#FFE800', '#BF3030'],
    description: "Specify the Hex code for colors used in the gauge. For example, ['#FF0000', '#0000FF', '#008000']. Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'chart.majorUnit': {
    default: 'auto',
    description: 'Specify, in pixels, the spacing between major tick marks.',
    type: ['number', 'string']
  },
  'chart.rangeValues': {
    description: "Specify a numeric array that represents the overall numerical range represented by the gauge. This array automatically determines the relative size of the color-coded subranges within the overall range. For example, [100, 500, 300].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'number'
    }
  },
  'chart.showLabels': {
    default: true,
    description: 'Specify whether to display labels.',
    type: 'boolean'
  },
  'chart.showMajorTicks': {
    default: true,
    description: 'Specify whether to display major tick marks.',
    type: 'boolean'
  },
  'chart.showMinorTicks': {
    default: true,
    description: 'Specify whether to display minor tick marks.',
    type: 'boolean'
  },
  'chart.showValue': {
    default: true,
    description: 'Specify whether the gauge value is displayed.',
    type: 'boolean'
  },
  'chart.style': {
    default: 'shiny',
    description: 'Specify the display style of the gauge. Shiny: A graphically stylized version of the gauge with chrome, shading, and other features to mimic a real-world gauge. Minimal: A basic gauge display.',
    pattern: Object(visualization_schemas_["getPattern"])(['minimal', 'shiny']),
    type: 'string'
  },
  'chart.usePercentageRange': {
    default: false,
    description: 'Specify whether to format gauge ranges as percentages.',
    type: 'boolean'
  },
  'chart.usePercentageValue': {
    default: false,
    description: 'Specify whether to format the gauge values as percentages.',
    type: 'boolean'
  },
  'chart.rangeArcAngle': {
    default: 270,
    description: 'Specify the length of the range arc, in degrees. Positive values are clockwise. Negative values are counterclockwise.',
    type: 'number'
  },
  'chart.rangeStartAngle': {
    default: 45,
    description: 'Specify the angle, in degrees, to begin drawing the range arc. The range arc is drawn clockwise and the beginning orientation is the bottom of the gauge.',
    type: 'number'
  },
  'chart.showRangeBand': {
    default: true,
    description: 'Specify whether to show the color ranges as a band at the top of the radial gauge.',
    type: 'boolean'
  },
  backgroundColor: {
    description: 'Specify the color used for the background using a Hex Code. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/RadialGauge.jsx







function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}














var RadialGauge_RadialGauge = /*#__PURE__*/function (_Component) {
  inherits_default()(RadialGauge, _Component);

  var _super = _createSuper(RadialGauge);

  function RadialGauge() {
    classCallCheck_default()(this, RadialGauge);

    return _super.apply(this, arguments);
  }

  createClass_default()(RadialGauge, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          options = _this$props.options,
          onEventTrigger = _this$props.onEventTrigger,
          style = _this$props.style;

      var chartOptions = _objectSpread({
        chart: 'radialGauge'
      }, options); // splunk charting expects certain options like 'gaugeColors', 'rangeValues' etc to be a string


      var convertedChartOptions = Object(visualizations_shared_propUtils_["convertPropsToString"])({
        vizProps: chartOptions,
        propNames: ['gaugeColors', 'chart.rangeValues']
      }); // copy convertedChartOptions into chartOptions

      Object.assign(chartOptions, convertedChartOptions);
      var primaryDataSet = Object(propUtils_["getDataSet"])(this.props);
      var ds = Object(dataUtils_["formatData"])(primaryDataSet, options);
      var chartData = primaryDataSet ? charting_bundle_default.a.extractChartReadyData(ds) : null;
      return /*#__PURE__*/external_react_default.a.createElement(Charting_default.a, {
        width: width,
        height: height,
        chartData: chartData,
        options: chartOptions,
        onEventTrigger: onEventTrigger,
        style: style
      });
    }
  }]);

  return RadialGauge;
}(external_react_["Component"]);

defineProperty_default()(RadialGauge_RadialGauge, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(RadialGauge_RadialGauge, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(RadialGauge_RadialGauge, "vizContract", {
  initialDimension: {
    width: 150,
    height: 150
  }
});

defineProperty_default()(RadialGauge_RadialGauge, "initialRequestParams", {
  offset: 0,
  count: 10000
});

defineProperty_default()(RadialGauge_RadialGauge, "supportedDataSources", ['primary']);

defineProperty_default()(RadialGauge_RadialGauge, "schema", optionsSchema);

/* harmony default export */ var visualizations_RadialGauge_RadialGauge = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(GaugeRadial_default.a, null)
  })
})(RadialGauge_RadialGauge));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/dataUtils");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 67:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/propUtils");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ })

/******/ });
//# sourceMappingURL=RadialGauge.js.map