/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 153);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 114:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/Scatter");

/***/ }),

/***/ 115:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/themeUtils");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 153:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "ScatterComponent", function() { return /* binding */ Scatter_ScatterComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/dataUtils"
var dataUtils_ = __webpack_require__(27);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/react-visualizations/Scatter"
var Scatter_ = __webpack_require__(114);
var Scatter_default = /*#__PURE__*/__webpack_require__.n(Scatter_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/ScatterParser"
var ScatterParser_ = __webpack_require__(91);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/VisualizationEvent"
var VisualizationEvent_ = __webpack_require__(18);
var VisualizationEvent_default = /*#__PURE__*/__webpack_require__.n(VisualizationEvent_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/simpleXMLOptions"
var simpleXMLOptions_ = __webpack_require__(38);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/themeUtils"
var themeUtils_ = __webpack_require__(115);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/Scatter/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  'axisTitleX.text': {
    description: 'Specify the title of the x-axis.',
    type: 'string'
  },
  'axisTitleY.text': {
    description: 'Specify the title of the y-axis.',
    type: 'string'
  },
  'axisTitleX.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  'axisTitleY.visibility': {
    default: 'visible',
    description: 'Specify whether to show the title of the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['visible', 'collapsed']),
    type: 'string'
  },
  seriesColors: {
    description: "Specify the Hex code for colors used for a series. For example, ['#FF0000', '#0000FF', '#008000'].\n            The default for light and dark mode is ['#1E93C6', '#F2B827', '#D6563C', '#6A5C9E', '#31A35F'].\n            The default for SCP mode is ['#A9F5E7', '#A870EF',  '#1E6271', '#45D4BA', '#602CA1',  '#9AE6F7', '#6CD0F0', '#2F8AA7',  '#422879', '#F29BAC', '#E85B79', '#C6335F',  '#FDAF93', '#FB865C', '#E9643A',  '#7EEFDA', '#26AA92', '#207865', '#C093F9', '#8747DA',  '#4EB2D2', '#912344',  '#AD3F20', '#D44C20', '#FFC34E',  '#95651D',  '#C0891E', '#ECAE11', '#FCD9A4', '#78062A'].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  fieldColors: {
    description: "Specify the Hex code for color used for a field. For example: {'count': '#008000', 'percent': '#FFA500'}. Note: Option type 'string' has been deprecated.",
    type: ['object', 'string']
  },
  backgroundColor: {
    description: 'Specify the Hex code for color used for a background. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  fontColor: {
    description: 'Specify the Hex code for color used for fonts (axis labels, legends). For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  foregroundColor: {
    description: 'Specify the Hex code for color used for a foreground. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  'axisY.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbrevite large y-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisX.abbreviation': {
    default: 'none',
    description: 'Specify whether to abbrevite large x-axis values with the closest SI prefix.',
    pattern: Object(visualization_schemas_["getPattern"])(['none', 'auto']),
    type: 'string'
  },
  'axisY.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisX.scale': {
    default: 'linear',
    description: 'Specify the type of scale that applies to a numerical x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['linear', 'log']),
    type: 'string'
  },
  'axisY.minimumNumber': {
    default: 'auto',
    description: 'Specify the minimum number for the visible y-axis.',
    type: ['number', 'string']
  },
  'axisX.minimumNumber': {
    default: 'auto',
    description: 'specify the minimum number for the visible x-axis.',
    type: ['number', 'string']
  },
  'axisY.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible y-axis.',
    type: ['number', 'string']
  },
  'axisX.maximumNumber': {
    default: 'auto',
    description: 'Specify the maximum number for the visible x-axis.',
    type: ['number', 'string']
  },
  'axisLabelsY.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit at which to place major tick marks along the numeric y-axis. By default, this value is automatically calculated based on the scale of the related axis.',
    type: ['number', 'string']
  },
  'axisLabelsX.majorUnit': {
    default: 'auto',
    description: 'Specify the spacing unit at which to place major tick marks along the numeric x-axis. By default, this value is automatically calculated based on the scale of the related axis.',
    type: ['number', 'string']
  },
  'axisLabelsX.majorLabelStyle.rotation': {
    default: '0',
    description: 'Specify the rotation of the axis label in degrees.',
    enum: [-90, -45, 0, 45, 90],
    type: 'number'
  },
  'axisLabelsY.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the y-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.axisVisibility': {
    default: 'hide',
    description: 'Specify whether the x-axis line is visible.',
    pattern: Object(visualization_schemas_["getPattern"])(['show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorTickVisibility': {
    default: 'auto',
    description: 'Specify whether major tick marks are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsX.minorTickVisibility': {
    default: 'auto',
    description: 'Specify whether minor tick marks are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorTickSize': {
    default: 6,
    description: 'Specify whether major tick marks are visible on the y-axis.',
    type: 'number'
  },
  'axisLabelsX.majorTickSize': {
    default: 6,
    description: 'Specify whether major tick marks are svisible on the x-axis.',
    type: 'number'
  },
  'axisLabelsY.minorTickSize': {
    default: 6,
    description: 'Specify, in pixles, the size of minor tick marks on the y-axis.',
    type: 'number'
  },
  'axisLabelsX.minorTickSize': {
    default: 6,
    description: 'Specify, in pixles, the size of minor tick marks on the x-axis.',
    type: 'number'
  },
  'axisLabelsX.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether major tick mark labels are visible on the x-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.majorLabelVisibility': {
    default: 'auto',
    description: 'Specify whether major tick mark labels are visible on the y-axis.',
    pattern: Object(visualization_schemas_["getPattern"])(['auto', 'show', 'hide']),
    type: 'string'
  },
  'axisLabelsY.extendsAxisRange': {
    default: true,
    description: 'Specify whether the y-axis should be extended to snap to whole major tick marks.',
    type: 'boolean'
  },
  'axisLabelsX.extendsAxisRange': {
    default: true,
    description: 'Specify whether the x-axis should be extended to snap to whole major tick marks.',
    type: 'boolean'
  },
  'axisY.includeZero': {
    default: false,
    description: 'Specify whether the y-axis chart includes zero.',
    type: 'boolean'
  },
  'axisX.includeZero': {
    default: false,
    description: 'Specify whether the x-axis chart includes zero.',
    type: 'boolean'
  },
  'axisLabelsX.integerUnits': {
    default: false,
    description: 'Specify whether the major unit should be rounded to the nearest integer on the x-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMajorLines': {
    default: true,
    description: 'Specify whether major grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesY.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on the y-axis.',
    type: 'boolean'
  },
  'gridLinesX.showMinorLines': {
    default: false,
    description: 'Specify whether minor grid lines are visible on the x-axis.',
    type: 'boolean'
  },
  'legend.placement': {
    default: 'right',
    description: 'Specify the location of the legend on the panel.',
    pattern: Object(visualization_schemas_["getPattern"])(['right', 'left', 'top', 'bottom', 'none']),
    type: 'string'
  },
  'legend.labelStyle.overflowMode': {
    default: 'ellipsisMiddle',
    description: 'Specify how to display legend labels when they overflow the layout boundaries by replacing overflow text with an ellipsis.',
    pattern: Object(visualization_schemas_["getPattern"])(['ellipsisEnd', 'ellipsisMiddle', 'ellipsisStart', 'ellipsisNone']),
    type: 'string'
  },
  'chart.markerSize': {
    default: 4,
    description: 'Specify the marker size of the scatter chart.',
    type: 'number'
  },
  'chart.resultTruncationLimit': {
    default: 50000,
    description: 'Specify the number of data points rendered in a chart.',
    type: 'number'
  }
});
// EXTERNAL MODULE: ./src/common/editorConfig/Axes.js
var Axes = __webpack_require__(40);

// EXTERNAL MODULE: ./src/common/editorConfig/Legend.js
var Legend = __webpack_require__(41);

// CONCATENATED MODULE: ./src/visualizations/Scatter/editorConfig.js


var editorConfig = [Axes["a" /* default */], Legend["a" /* default */]];
/* harmony default export */ var Scatter_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/Scatter/Scatter.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}
















var Scatter_ScatterComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(ScatterComponent, _Component);

  var _super = _createSuper(ScatterComponent);

  function ScatterComponent() {
    classCallCheck_default()(this, ScatterComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(ScatterComponent, [{
    key: "render",
    value: function render() {
      var _this = this;

      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          encoding = _this$props.encoding,
          options = _this$props.options,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          theme = _this$props.theme,
          mode = _this$props.mode,
          hasEventHandlers = _this$props.hasEventHandlers;
      var themeKey = Object(themeUtils_["getChartingThemeKey"])(theme);
      var dataProps = Object(ScatterParser_["parse"])(dataSources, encoding); // todo: may need merge the truncateParsedData function with parse

      var truncationLimit = options && options['chart.resultTruncationLimit'];
      dataProps = Object(dataUtils_["truncateParsedData"])(dataProps, truncationLimit);

      var onPointClick = function onPointClick(evt) {
        if (Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode)) {
          _this.props.onEventTrigger(new VisualizationEvent_default.a({
            originalEvent: evt.originalEvent,
            payload: evt.payload,
            type: 'point.click'
          }));
        }
      };

      var onLegendClick = function onLegendClick(evt) {
        if (Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode)) {
          _this.props.onEventTrigger(new VisualizationEvent_default.a({
            originalEvent: evt.originalEvent,
            payload: evt.payload,
            type: 'legend.click'
          }));
        }
      };

      return /*#__PURE__*/external_react_default.a.createElement(Scatter_default.a, extends_default()({
        width: width,
        height: height,
        style: style,
        themeKey: themeKey,
        x: dataProps.x,
        y: dataProps.y,
        category: dataProps.category,
        xFieldName: dataProps.xFieldName,
        yFieldName: dataProps.yFieldName,
        categoryFieldName: dataProps.categoryFieldName,
        onPointClick: onPointClick,
        onLegendClick: onLegendClick
      }, Object(simpleXMLOptions_["getPropsForSimpleXMLOptions"])(options)));
    }
  }]);

  return ScatterComponent;
}(external_react_["Component"]);

defineProperty_default()(Scatter_ScatterComponent, "propTypes", BaseVisualization_default.a.propTypes);

defineProperty_default()(Scatter_ScatterComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: 250
}));

defineProperty_default()(Scatter_ScatterComponent, "dataContract", ScatterParser_["dataContract"]);

defineProperty_default()(Scatter_ScatterComponent, "vizContract", {
  initialDimension: {
    width: 300,
    height: 300
  }
});

defineProperty_default()(Scatter_ScatterComponent, "editor", Scatter_editorConfig);

defineProperty_default()(Scatter_ScatterComponent, "schema", optionsSchema);

/* harmony default export */ var Scatter = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["Scatter"], null)
  })
})(Scatter_ScatterComponent));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/VisualizationEvent");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/dataUtils");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 38:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/simpleXMLOptions");

/***/ }),

/***/ 40:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var axes = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Axes'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('X Axis title'),
    option: 'axisTitleX.text',
    editor: 'editor.text'
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Y Axis title'),
    option: 'axisTitleY.text',
    editor: 'editor.text'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (axes);

/***/ }),

/***/ 41:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var legend = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Legend'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Position'),
    option: 'legend.placement',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Right'),
        value: 'right'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Left'),
        value: 'left'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Top'),
        value: 'top'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Bottom'),
        value: 'bottom'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('None'),
        value: 'none'
      }]
    }
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Truncation'),
    option: 'legend.labelStyle.overflowMode',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('A...'),
        value: 'ellipsisEnd'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('A...Z'),
        value: 'ellipsisMiddle'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('...Z'),
        value: 'ellipsisStart'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Off'),
        value: 'ellipsisNone'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (legend);

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),

/***/ 91:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/ScatterParser");

/***/ })

/******/ });
//# sourceMappingURL=Scatter.js.map