/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 140);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),
/* 1 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),
/* 2 */
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),
/* 3 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),
/* 4 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),
/* 5 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),
/* 6 */,
/* 7 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),
/* 8 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),
/* 9 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),
/* 10 */,
/* 11 */,
/* 12 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),
/* 13 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),
/* 14 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),
/* 15 */,
/* 16 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),
/* 17 */
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),
/* 18 */,
/* 19 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),
/* 20 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),
/* 21 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),
/* 22 */
/***/ (function(module, exports) {

module.exports = require("lodash/get");

/***/ }),
/* 23 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),
/* 24 */,
/* 25 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),
/* 26 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/toConsumableArray");

/***/ }),
/* 27 */,
/* 28 */
/***/ (function(module, exports) {

module.exports = require("lodash/isEmpty");

/***/ }),
/* 29 */,
/* 30 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),
/* 31 */,
/* 32 */,
/* 33 */
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/assertThisInitialized");

/***/ }),
/* 34 */,
/* 35 */,
/* 36 */,
/* 37 */,
/* 38 */,
/* 39 */,
/* 40 */,
/* 41 */,
/* 42 */,
/* 43 */,
/* 44 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var Threshold = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Threshold Settings'),
  open: true,
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Fill'),
    encoding: 'fill',
    // encoding name
    formatKey: 'ranges',
    // key for value in encoding config (fill.format.ranges)
    editor: 'editor.threshold'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (Threshold);

/***/ }),
/* 45 */,
/* 46 */,
/* 47 */,
/* 48 */,
/* 49 */,
/* 50 */,
/* 51 */,
/* 52 */,
/* 53 */,
/* 54 */,
/* 55 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var numberFormatting = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Number Formatting'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Digit Precision'),
    option: 'numberPrecision',
    editor: 'editor.number',
    editorProps: {
      min: 0
    }
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Unit'),
    option: 'unit',
    editor: 'editor.text'
  }, {
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Position'),
    // todo: we need a new editor combining unit and position
    option: 'unitPosition',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Before'),
        value: 'before'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('After'),
        value: 'after'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (numberFormatting);

/***/ }),
/* 56 */,
/* 57 */,
/* 58 */,
/* 59 */,
/* 60 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "INITIAL_WIDTH", function() { return /* binding */ INITIAL_WIDTH; });
__webpack_require__.d(__webpack_exports__, "INITIAL_HEIGHT", function() { return /* binding */ INITIAL_HEIGHT; });
__webpack_require__.d(__webpack_exports__, "SingleValueComponent", function() { return /* binding */ SingleValue_SingleValueComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/react-visualizations/SingleValue"
var SingleValue_ = __webpack_require__(68);
var SingleValue_default = /*#__PURE__*/__webpack_require__.n(SingleValue_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/SingleValueParser"
var SingleValueParser_ = __webpack_require__(30);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/colorUtils"
var colorUtils_ = __webpack_require__(25);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/SingleValue/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF. The default for light mode is "#FFFFFF". The default for dark mode is "#171d21". The default for prisma dark is "#0b0c0e".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  showSparkline: {
    default: true,
    description: 'Specify whether to show or hide the single value sparkline.',
    type: 'boolean'
  },
  sparklinePosition: {
    default: 'below',
    description: 'Specify the location to display a sparkline.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after', 'below']),
    type: 'string'
  },
  sparklineFillColor: {
    default: '#6F7A87',
    description: 'Specify a color to use as the fill for the sparkline graph. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  sparklineStrokeColor: {
    default: '#2F353C',
    description: 'Specify a color to use for the sparkline stroke. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showSparklineTooltip: {
    default: false,
    description: 'Show a tooltip to display values on the sparkline.',
    type: 'boolean'
  },
  sparklineAreaGraph: {
    default: false,
    description: 'Specify whether to show the sparkline as an area graph rather than a line.',
    type: 'boolean'
  },
  sparklineAcceptNullData: {
    default: true,
    description: 'Specify whether to convert null and non-numeric values in the sparkline to 0.',
    type: 'boolean'
  },
  sparklineHighlightSegments: {
    default: 0,
    description: 'Specify the number of segments to be highlighted at the top of a sparkline area graph.',
    type: 'number'
  },
  sparklineHighlightDots: {
    default: 0,
    description: 'Specify the number of markers, or dots, to display at the top of a sparkline area graph.',
    type: 'number'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  majorFontSize: {
    description: 'Specify the font size (px) for the major value. By default the major value font size is calculated dynamically based on the available space.',
    type: 'number'
  },
  deltaFontSize: {
    description: 'Specify the font size (px) for the delta value. By default the delta value font size is calculated dynamically based on the available space.',
    type: 'number'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var themes_variables_ = __webpack_require__(4);
var themes_variables_default = /*#__PURE__*/__webpack_require__.n(themes_variables_);

// EXTERNAL MODULE: ./src/common/editorConfig/NumberFormatting.js
var NumberFormatting = __webpack_require__(55);

// EXTERNAL MODULE: ./src/common/editorConfig/Threshold.js
var Threshold = __webpack_require__(44);

// CONCATENATED MODULE: ./src/visualizations/SingleValue/editorConfig.js





var editorConfig = [{
  label: Object(i18n_["_"])('Visualization Settings'),
  layout: [[{
    label: Object(i18n_["_"])('Show Trending Value'),
    option: 'showTrendIndicator',
    editor: 'editor.checkbox'
  }], [{
    label: Object(i18n_["_"])('Trend Display as'),
    option: 'trendDisplayMode',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Percent'),
        value: 'percent'
      }, {
        label: Object(i18n_["_"])('Absolute'),
        value: 'absolute'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.showTrendIndicator || options.showTrendIndicator === undefined;
    }
  }], [{
    label: Object(i18n_["_"])('Show Sparkline'),
    option: 'showSparkline',
    editor: 'editor.checkbox'
  }], [{
    label: '',
    option: 'sparklinePosition',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Before'),
        value: 'before'
      }, {
        label: Object(i18n_["_"])('After'),
        value: 'after'
      }, {
        label: Object(i18n_["_"])('Below'),
        value: 'below'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref2) {
      var options = _ref2.options;
      return options.showSparkline || options.showSparkline === undefined;
    }
  }]]
}, {
  label: Object(i18n_["_"])('Font Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Major Font Size (px)'),
    option: 'majorFontSize',
    editor: 'editor.number',
    editorProps: {
      min: 1
    },
    placeholder: Object(i18n_["_"])('Auto')
  }, {
    label: Object(i18n_["_"])('Delta Font Size (px)'),
    option: 'deltaFontSize',
    editor: 'editor.number',
    editorProps: {
      min: 1
    },
    placeholder: Object(i18n_["_"])('Auto')
  }]]
}, Threshold["a" /* default */], {
  label: Object(i18n_["_"])('Background Color'),
  layout: [[{
    label: '',
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: themes_variables_default.a.black,
            light: themes_variables_default.a.backgroundColor
          },
          prisma: themes_variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }]]
}, NumberFormatting["a" /* default */]];
/* harmony default export */ var SingleValue_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/SingleValue/SingleValue.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}













var INITIAL_WIDTH = 250;
var INITIAL_HEIGHT = 250;
var SingleValue_SingleValueComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(SingleValueComponent, _Component);

  var _super = _createSuper(SingleValueComponent);

  function SingleValueComponent() {
    classCallCheck_default()(this, SingleValueComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(SingleValueComponent, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          options = _this$props.options,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          onEventTrigger = _this$props.onEventTrigger,
          mode = _this$props.mode,
          hasEventHandlers = _this$props.hasEventHandlers,
          onComputedProps = _this$props.onComputedProps;

      var _parse = Object(SingleValueParser_["parse"])(dataSources, encoding),
          value = _parse.value,
          deltaValue = _parse.deltaValue,
          deltaColor = _parse.deltaColor,
          graphData = _parse.graphData,
          encodingBackgroundColor = _parse.backgroundColor,
          _parse$majorColor = _parse.majorColor,
          majorColor = _parse$majorColor === void 0 ? null : _parse$majorColor;

      var showTrendIndicator = !Number.isNaN(deltaValue) && options.showTrendIndicator !== false; // Hide the sparkline if the entire graph is non-numeric

      var showSparkline = this.props.options.showSparkline && Array.isArray(graphData) && graphData.filter(function (v) {
        return !Number.isNaN(parseFloat(v));
      }).length > 0;
      var backgroundColor = Object(colorUtils_["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || Object(colorUtils_["isColor"])(options.backgroundColor) && options.backgroundColor || null; // Click handler

      var onValueClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {
        value: value,
        deltaValue: deltaValue
      }) : null;
      onComputedProps(backgroundColor ? {
        backgroundColor: backgroundColor
      } : {});
      return /*#__PURE__*/external_react_default.a.createElement(SingleValue_default.a, extends_default()({
        width: width,
        height: height,
        style: style // viz props from options (options < encoding)

      }, options, {
        // viz props from encoding
        majorColor: majorColor,
        value: value,
        deltaValue: deltaValue,
        deltaColor: deltaColor,
        graphData: graphData // viz props based on options and encoding
        ,
        backgroundColor: backgroundColor,
        showTrendIndicator: showTrendIndicator,
        showSparkline: showSparkline // event handler
        ,
        onValueClick: onValueClick
      }));
    }
  }]);

  return SingleValueComponent;
}(external_react_["Component"]);

defineProperty_default()(SingleValue_SingleValueComponent, "propTypes", _objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(SingleValue_SingleValueComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: INITIAL_HEIGHT
}));

defineProperty_default()(SingleValue_SingleValueComponent, "dataContract", SingleValueParser_["dataContract"]);

defineProperty_default()(SingleValue_SingleValueComponent, "vizContract", {
  initialDimension: {
    width: INITIAL_WIDTH,
    height: INITIAL_HEIGHT
  }
});

defineProperty_default()(SingleValue_SingleValueComponent, "schema", optionsSchema);

defineProperty_default()(SingleValue_SingleValueComponent, "editor", SingleValue_editorConfig);

/* harmony default export */ var SingleValue = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  enableBackgroundColorOption: true,
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["SingleValue"], null)
  })
})(SingleValue_SingleValueComponent));

/***/ }),
/* 61 */,
/* 62 */,
/* 63 */,
/* 64 */,
/* 65 */,
/* 66 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualizationApi");

/***/ }),
/* 67 */
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/propUtils");

/***/ }),
/* 68 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/SingleValue");

/***/ }),
/* 69 */,
/* 70 */,
/* 71 */,
/* 72 */,
/* 73 */,
/* 74 */,
/* 75 */,
/* 76 */,
/* 77 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var backgroundColor = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Background Color'),
  layout: [[{
    label: '',
    // Per https://cd.splunkdev.com/devplat/vision/merge_requests/592#note_997173
    option: 'backgroundColor',
    editor: 'editor.color'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (backgroundColor);

/***/ }),
/* 78 */,
/* 79 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/iconUtils");

/***/ }),
/* 80 */,
/* 81 */,
/* 82 */,
/* 83 */,
/* 84 */,
/* 85 */,
/* 86 */,
/* 87 */,
/* 88 */,
/* 89 */,
/* 90 */,
/* 91 */,
/* 92 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueIconParser");

/***/ }),
/* 93 */,
/* 94 */,
/* 95 */,
/* 96 */,
/* 97 */,
/* 98 */,
/* 99 */,
/* 100 */,
/* 101 */,
/* 102 */,
/* 103 */,
/* 104 */,
/* 105 */,
/* 106 */,
/* 107 */,
/* 108 */,
/* 109 */,
/* 110 */,
/* 111 */,
/* 112 */,
/* 113 */,
/* 114 */,
/* 115 */,
/* 116 */
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/SingleValueIcon");

/***/ }),
/* 117 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/RemoteIcon");

/***/ }),
/* 118 */
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorConstants");

/***/ }),
/* 119 */,
/* 120 */,
/* 121 */,
/* 122 */,
/* 123 */,
/* 124 */,
/* 125 */,
/* 126 */,
/* 127 */,
/* 128 */,
/* 129 */,
/* 130 */,
/* 131 */,
/* 132 */,
/* 133 */,
/* 134 */,
/* 135 */,
/* 136 */,
/* 137 */,
/* 138 */,
/* 139 */,
/* 140 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/assertThisInitialized"
var assertThisInitialized_ = __webpack_require__(33);
var assertThisInitialized_default = /*#__PURE__*/__webpack_require__.n(assertThisInitialized_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "lodash/isEmpty"
var isEmpty_ = __webpack_require__(28);
var isEmpty_default = /*#__PURE__*/__webpack_require__.n(isEmpty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/propUtils"
var propUtils_ = __webpack_require__(67);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/react-visualizations/SingleValueIcon"
var SingleValueIcon_ = __webpack_require__(116);
var SingleValueIcon_default = /*#__PURE__*/__webpack_require__.n(SingleValueIcon_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/SingleValueIconParser"
var SingleValueIconParser_ = __webpack_require__(92);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/RemoteIcon"
var RemoteIcon_ = __webpack_require__(117);
var RemoteIcon_default = /*#__PURE__*/__webpack_require__.n(RemoteIcon_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/iconUtils"
var iconUtils_ = __webpack_require__(79);

// EXTERNAL MODULE: external "lodash/get"
var get_ = __webpack_require__(22);
var get_default = /*#__PURE__*/__webpack_require__.n(get_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualizationApi"
var BaseVisualizationApi_ = __webpack_require__(66);
var BaseVisualizationApi_default = /*#__PURE__*/__webpack_require__.n(BaseVisualizationApi_);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/SingleValueIconApi.js







function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}




/**
 * SingleValueIcon Api
 */

var SingleValueIconApi_SingleValueIconApi = /*#__PURE__*/function (_BaseApi) {
  inherits_default()(SingleValueIconApi, _BaseApi);

  var _super = _createSuper(SingleValueIconApi);

  function SingleValueIconApi(viz) {
    var _this;

    classCallCheck_default()(this, SingleValueIconApi);

    _this = _super.call(this);
    _this.viz = viz;
    return _this;
  }
  /**
   * return snapshot of that includes inlined image
   */


  createClass_default()(SingleValueIconApi, [{
    key: "snapshot",
    value: function snapshot() {
      var iconFromOptions = get_default()(this.viz.props, ['options', 'icon'], '');
      var isRemote = Object(iconUtils_["isRemoteIcon"])(iconFromOptions);
      return {
        options: _objectSpread(_objectSpread({}, this.viz.props.options), {}, {
          icon: isRemote && this.viz.remoteIcon ? get_default()(this.viz.remoteIcon, ['state', 'iconDataURI'], '') : iconFromOptions
        })
      };
    }
  }]);

  return SingleValueIconApi;
}(BaseVisualizationApi_default.a);

/* harmony default export */ var SingleValueIcon_SingleValueIconApi = (SingleValueIconApi_SingleValueIconApi);
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    default: 'transparent',
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  icon: {
    default: 'default',
    description: 'Specify an icon.',
    type: 'string'
  },
  iconPosition: {
    default: 'before',
    description: 'Specify where to display the icon in relation to the major value.',
    type: 'string'
  },
  iconOpacity: {
    default: 1,
    description: 'Specify the opacity for the icon using a number between 0 and 1 (inclusive).',
    type: 'number'
  },
  showValue: {
    default: true,
    description: 'Specify whether to enable or disable the value and trend indicator displays.',
    type: 'boolean'
  },
  showIcon: {
    default: true,
    description: 'Deprecated. Specify whether to enable or disable the icon display.',
    type: 'boolean'
  },
  color: {
    default: null,
    description: 'Deprecated. Please use iconColor to color icon, majorColor to color major value.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  iconColor: {
    default: null,
    description: 'Specify the color for the icon. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  majorColor: {
    default: null,
    description: 'Specify the color for the major value. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  deltaColor: {
    default: null,
    description: 'Specify the delta value color using a Hex code. For example: "#FF0000".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// EXTERNAL MODULE: external "@babel/runtime/helpers/toConsumableArray"
var toConsumableArray_ = __webpack_require__(26);
var toConsumableArray_default = /*#__PURE__*/__webpack_require__.n(toConsumableArray_);

// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/colorConstants"
var colorConstants_ = __webpack_require__(118);

// EXTERNAL MODULE: ./src/common/editorConfig/BackgroundColor.js
var BackgroundColor = __webpack_require__(77);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/editorConfig.js






var editorConfig = [{
  label: Object(i18n_["_"])('Icon Color'),
  layout: [[{
    label: Object(i18n_["_"])('Color'),
    option: 'iconColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: variables_default.a.textColor,
          prisma: variables_default.a.contentColorActive
        })({
          theme: theme
        });
      },
      palette: [null].concat(toConsumableArray_default()(colorConstants_["COLOR_EDITOR_PALETTE"]))
    }
  }, {
    label: Object(i18n_["_"])('Opacity (%)'),
    option: 'iconOpacity',
    editor: 'editor.percent'
  }]]
}, BackgroundColor["a" /* default */]];
/* harmony default export */ var SingleValueIcon_editorConfig = (editorConfig);
// EXTERNAL MODULE: ./src/visualizations/SingleValue/SingleValue.jsx + 2 modules
var SingleValue = __webpack_require__(60);

// CONCATENATED MODULE: ./src/visualizations/SingleValueIcon/SingleValueIcon.jsx









function SingleValueIcon_ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function SingleValueIcon_objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      SingleValueIcon_ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      SingleValueIcon_ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function SingleValueIcon_createSuper(Derived) {
  var hasNativeReflectConstruct = SingleValueIcon_isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function SingleValueIcon_isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}















var SingleValueIcon_SingleValueIcon = /*#__PURE__*/function (_Component) {
  inherits_default()(SingleValueIcon, _Component);

  var _super = SingleValueIcon_createSuper(SingleValueIcon);

  function SingleValueIcon(props, context) {
    var _this;

    classCallCheck_default()(this, SingleValueIcon);

    _this = _super.call(this, props, context);
    _this.api = new SingleValueIcon_SingleValueIconApi(assertThisInitialized_default()(_this));
    return _this;
  }

  createClass_default()(SingleValueIcon, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // send back the viz api
      this.props.visualizationApiRef(this.api);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.props.visualizationApiRef(null);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          options = _this$props.options,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          onEventTrigger = _this$props.onEventTrigger,
          mode = _this$props.mode,
          hasEventHandlers = _this$props.hasEventHandlers;
      var dataSet = Object(propUtils_["getDataSet"])(this.props);

      var _parse = Object(SingleValueIconParser_["parse"])(dataSources, encoding),
          value = _parse.value,
          deltaValue = _parse.deltaValue,
          graphData = _parse.graphData,
          encodingBackgroundColor = _parse.backgroundColor;

      var showTrendIndicator = !Number.isNaN(Number(deltaValue)) && options.showTrendIndicator !== false;
      var backgroundColor = encodingBackgroundColor || options.backgroundColor; // Click handler

      var onValueClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {
        value: value,
        deltaValue: deltaValue
      }) : null; // Todo: need refactor later after we have proper icon provider.
      // If icon provider is used, get one RemoteIcon to display as icon.

      var IconComponent = null;
      var icon = options.icon;

      if (options && icon && (Object(iconUtils_["isRemoteIcon"])(icon) || Object(iconUtils_["isDataURI"])(icon))) {
        IconComponent = /*#__PURE__*/external_react_default.a.createElement(RemoteIcon_default.a, {
          iconURL: icon,
          onIconClick: onValueClick,
          ref: function ref(_ref) {
            _this2.remoteIcon = _ref;
          }
        });
      }

      return /*#__PURE__*/external_react_default.a.createElement(SingleValueIcon_default.a, extends_default()({
        "data-test": "react-single-value-icon",
        width: width,
        height: height,
        style: style // viz props from options (options < encoding)

      }, options, {
        // viz props from encoding
        value: value,
        deltaValue: deltaValue,
        graphData: graphData // viz props based on options and encoding
        ,
        backgroundColor: backgroundColor,
        showTrendIndicator: showTrendIndicator,
        IconComponent: IconComponent,
        noDataSources: isEmpty_default()(dataSources) || isEmpty_default()(dataSources.primary),
        noResult: isEmpty_default()(dataSet) || isEmpty_default()(dataSet.fields) || isEmpty_default()(dataSet.columns) // event handler
        ,
        onValueClick: onValueClick
      }));
    }
  }]);

  return SingleValueIcon;
}(external_react_["Component"]);

defineProperty_default()(SingleValueIcon_SingleValueIcon, "propTypes", SingleValueIcon_objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(SingleValueIcon_SingleValueIcon, "defaultProps", SingleValueIcon_objectSpread(SingleValueIcon_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: SingleValue["INITIAL_HEIGHT"]
}));

defineProperty_default()(SingleValueIcon_SingleValueIcon, "dataContract", SingleValueIconParser_["dataContract"]);

defineProperty_default()(SingleValueIcon_SingleValueIcon, "vizContract", {
  initialDimension: {
    width: SingleValue["INITIAL_WIDTH"],
    height: SingleValue["INITIAL_HEIGHT"]
  }
});

defineProperty_default()(SingleValueIcon_SingleValueIcon, "schema", optionsSchema);

defineProperty_default()(SingleValueIcon_SingleValueIcon, "editor", SingleValueIcon_editorConfig);

/* harmony default export */ var visualizations_SingleValueIcon_SingleValueIcon = __webpack_exports__["default"] = (SingleValueIcon_SingleValueIcon);

/***/ })
/******/ ]);
//# sourceMappingURL=SingleValueIcon.js.map