/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 154);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("@splunk/ui-utils/i18n");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 119:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/SingleValueRadial");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/inherits");

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/possibleConstructorReturn");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/extends");

/***/ }),

/***/ 154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "SingleValueRadialComponent", function() { return /* binding */ SingleValueRadial_SingleValueRadialComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/themes/getTheme"
var getTheme_ = __webpack_require__(42);
var getTheme_default = /*#__PURE__*/__webpack_require__.n(getTheme_);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var variables_ = __webpack_require__(4);
var variables_default = /*#__PURE__*/__webpack_require__.n(variables_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/react-visualizations/SingleValueRadial"
var SingleValueRadial_ = __webpack_require__(119);
var SingleValueRadial_default = /*#__PURE__*/__webpack_require__.n(SingleValueRadial_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/SingleValueRadialParser"
var SingleValueRadialParser_ = __webpack_require__(93);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/colorUtils"
var colorUtils_ = __webpack_require__(25);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF. The default for light mode is "#ffffff". The default for dark mode is "#171d21". The default for prisma dark mode is "#0b0c0e".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  trendIndicatorPosition: {
    default: 'standard',
    description: 'Specify where the trend indicator is displayed on a radial graph. Note: When the major value or trend value is too large to fit inside of the graph, the trend is displayed below the graph.',
    pattern: Object(visualization_schemas_["getPattern"])(['standard', 'below', 'outside']),
    type: 'string'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  radialBackgroundColor: {
    description: 'Specify the color for the radial background color. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  radialStrokeColor: {
    description: 'Specify the color for the radial stroke color. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: ./src/common/editorConfig/NumberFormatting.js
var NumberFormatting = __webpack_require__(55);

// EXTERNAL MODULE: ./src/common/editorConfig/Threshold.js
var Threshold = __webpack_require__(44);

// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/editorConfig.js





var editorConfig = [{
  label: Object(i18n_["_"])('Visualization Settings'),
  layout: [[{
    label: Object(i18n_["_"])('Show Trending Value'),
    option: 'showTrendIndicator',
    editor: 'editor.checkbox'
  }], [{
    label: Object(i18n_["_"])('Trend Display as'),
    option: 'trendDisplayMode',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Percent'),
        value: 'percent'
      }, {
        label: Object(i18n_["_"])('Absolute'),
        value: 'absolute'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.showTrendIndicator || options.showTrendIndicator === undefined;
    }
  }], [{
    label: Object(i18n_["_"])('Trend Indicator Position'),
    option: 'trendIndicatorPosition',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Standard'),
        value: 'standard'
      }, {
        label: Object(i18n_["_"])('Below'),
        value: 'below'
      }, {
        label: Object(i18n_["_"])('Outside'),
        value: 'outside'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref2) {
      var options = _ref2.options;
      return options.showTrendIndicator || options.showTrendIndicator === undefined;
    }
  }]]
}, Threshold["a" /* default */], {
  label: Object(i18n_["_"])('Background Color'),
  layout: [[{
    label: '',
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: variables_default.a.black,
            light: variables_default.a.backgroundColor
          },
          prisma: variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }]]
}, NumberFormatting["a" /* default */]];
/* harmony default export */ var SingleValueRadial_editorConfig = (editorConfig);
// EXTERNAL MODULE: ./src/visualizations/SingleValue/SingleValue.jsx + 2 modules
var SingleValue = __webpack_require__(60);

// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/SingleValueRadial.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}
















var SingleValueRadial_SingleValueRadialComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(SingleValueRadialComponent, _Component);

  var _super = _createSuper(SingleValueRadialComponent);

  function SingleValueRadialComponent() {
    classCallCheck_default()(this, SingleValueRadialComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(SingleValueRadialComponent, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          options = _this$props.options,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          onEventTrigger = _this$props.onEventTrigger,
          mode = _this$props.mode,
          hasEventHandlers = _this$props.hasEventHandlers,
          onComputedProps = _this$props.onComputedProps,
          theme = _this$props.theme;

      var _parse = Object(SingleValueRadialParser_["parse"])(dataSources, encoding),
          value = _parse.value,
          deltaValue = _parse.deltaValue,
          encodingBackgroundColor = _parse.backgroundColor;

      var themeVariables = theme !== null && theme !== void 0 && theme.splunkThemeV1 ? getTheme_default()(theme === null || theme === void 0 ? void 0 : theme.splunkThemeV1) : {};
      var showTrendIndicator = !Number.isNaN(Number(deltaValue)) && options.showTrendIndicator !== false;
      var backgroundColor = Object(colorUtils_["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || Object(colorUtils_["isColor"])(options.backgroundColor) && options.backgroundColor || (themeVariables === null || themeVariables === void 0 ? void 0 : themeVariables.backgroundColorSidebar) || null; // Click handler

      var onValueClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {
        value: value,
        deltaValue: deltaValue
      }) : null;
      onComputedProps(backgroundColor ? {
        backgroundColor: backgroundColor
      } : {});
      return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, extends_default()({
        width: width,
        height: height,
        style: style // viz props from options (options < encoding)

      }, options, {
        // viz props from encoding
        value: value,
        deltaValue: deltaValue // viz props based on options and encoding
        ,
        backgroundColor: backgroundColor,
        showTrendIndicator: showTrendIndicator // event handler
        ,
        onValueClick: onValueClick
      }));
    }
  }]);

  return SingleValueRadialComponent;
}(external_react_["Component"]);

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "propTypes", _objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: SingleValue["INITIAL_HEIGHT"]
}));

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "dataContract", SingleValueRadialParser_["dataContract"]);

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "vizContract", {
  initialDimension: {
    width: SingleValue["INITIAL_WIDTH"],
    height: SingleValue["INITIAL_HEIGHT"]
  }
});

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "schema", optionsSchema);

defineProperty_default()(SingleValueRadial_SingleValueRadialComponent, "editor", SingleValueRadial_editorConfig);

/* harmony default export */ var SingleValueRadial = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationHOCs"])({
  enableBackgroundColorOption: true,
  // hack to add a themed SVR placeholder background color (which does not obtain theming information from PlatformViz)
  // globally wrapping `withTheme` results in inadvertent changes to radial graph coloring, so we add this to limit the color change to the placeholder background
  defaultBackgroundColor: pick_default()({
    enterprise: {
      dark: variables_default.a.black,
      light: variables_default.a.backgroundColor
    },
    prisma: variables_default.a.backgroundColorSidebar
  }),
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["SingleValueRadial"], null)
  })
})(SingleValueRadial_SingleValueRadialComponent));

/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/IconPlaceholder");

/***/ }),

/***/ 17:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/pick");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/enhancer");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-themes/variables");

/***/ }),

/***/ 21:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-icons");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/utils/eventUtils");

/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/colorUtils");

/***/ }),

/***/ 3:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/defineProperty");

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueParser");

/***/ }),

/***/ 4:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/variables");

/***/ }),

/***/ 42:
/***/ (function(module, exports) {

module.exports = require("@splunk/themes/getTheme");

/***/ }),

/***/ 44:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var Threshold = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Threshold Settings'),
  open: true,
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Fill'),
    encoding: 'fill',
    // encoding name
    formatKey: 'ranges',
    // key for value in encoding config (fill.format.ranges)
    editor: 'editor.threshold'
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (Threshold);

/***/ }),

/***/ 5:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/getPrototypeOf");

/***/ }),

/***/ 55:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var _splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__);

var numberFormatting = {
  label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Number Formatting'),
  layout: [[{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Digit Precision'),
    option: 'numberPrecision',
    editor: 'editor.number',
    editorProps: {
      min: 0
    }
  }], [{
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Unit'),
    option: 'unit',
    editor: 'editor.text'
  }, {
    label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Position'),
    // todo: we need a new editor combining unit and position
    option: 'unitPosition',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('Before'),
        value: 'before'
      }, {
        label: Object(_splunk_ui_utils_i18n__WEBPACK_IMPORTED_MODULE_0__["_"])('After'),
        value: 'after'
      }]
    }
  }]]
};
/* harmony default export */ __webpack_exports__["a"] = (numberFormatting);

/***/ }),

/***/ 60:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXPORTS
__webpack_require__.d(__webpack_exports__, "INITIAL_WIDTH", function() { return /* binding */ INITIAL_WIDTH; });
__webpack_require__.d(__webpack_exports__, "INITIAL_HEIGHT", function() { return /* binding */ INITIAL_HEIGHT; });
__webpack_require__.d(__webpack_exports__, "SingleValueComponent", function() { return /* binding */ SingleValue_SingleValueComponent; });

// EXTERNAL MODULE: external "@babel/runtime/helpers/extends"
var extends_ = __webpack_require__(14);
var extends_default = /*#__PURE__*/__webpack_require__.n(extends_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/classCallCheck"
var classCallCheck_ = __webpack_require__(7);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/createClass"
var createClass_ = __webpack_require__(8);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/inherits"
var inherits_ = __webpack_require__(12);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/possibleConstructorReturn"
var possibleConstructorReturn_ = __webpack_require__(13);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/getPrototypeOf"
var getPrototypeOf_ = __webpack_require__(5);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf_);

// EXTERNAL MODULE: external "@babel/runtime/helpers/defineProperty"
var defineProperty_ = __webpack_require__(3);
var defineProperty_default = /*#__PURE__*/__webpack_require__.n(defineProperty_);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(2);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/BaseVisualization"
var BaseVisualization_ = __webpack_require__(9);
var BaseVisualization_default = /*#__PURE__*/__webpack_require__.n(BaseVisualization_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/enhancer"
var enhancer_ = __webpack_require__(19);

// EXTERNAL MODULE: external "@splunk/visualization-themes/variables"
var variables_ = __webpack_require__(20);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/utils/eventUtils"
var eventUtils_ = __webpack_require__(23);

// EXTERNAL MODULE: external "@splunk/react-visualizations/SingleValue"
var SingleValue_ = __webpack_require__(68);
var SingleValue_default = /*#__PURE__*/__webpack_require__.n(SingleValue_);

// EXTERNAL MODULE: external "@splunk/visualization-encoding-parsers/SingleValueParser"
var SingleValueParser_ = __webpack_require__(30);

// EXTERNAL MODULE: external "@splunk/visualization-icons"
var visualization_icons_ = __webpack_require__(21);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/IconPlaceholder"
var IconPlaceholder_ = __webpack_require__(16);
var IconPlaceholder_default = /*#__PURE__*/__webpack_require__.n(IconPlaceholder_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/colorUtils"
var colorUtils_ = __webpack_require__(25);

// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(1);

// CONCATENATED MODULE: ./src/visualizations/SingleValue/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF. The default for light mode is "#FFFFFF". The default for dark mode is "#171d21". The default for prisma dark is "#0b0c0e".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  showSparkline: {
    default: true,
    description: 'Specify whether to show or hide the single value sparkline.',
    type: 'boolean'
  },
  sparklinePosition: {
    default: 'below',
    description: 'Specify the location to display a sparkline.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after', 'below']),
    type: 'string'
  },
  sparklineFillColor: {
    default: '#6F7A87',
    description: 'Specify a color to use as the fill for the sparkline graph. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  sparklineStrokeColor: {
    default: '#2F353C',
    description: 'Specify a color to use for the sparkline stroke. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showSparklineTooltip: {
    default: false,
    description: 'Show a tooltip to display values on the sparkline.',
    type: 'boolean'
  },
  sparklineAreaGraph: {
    default: false,
    description: 'Specify whether to show the sparkline as an area graph rather than a line.',
    type: 'boolean'
  },
  sparklineAcceptNullData: {
    default: true,
    description: 'Specify whether to convert null and non-numeric values in the sparkline to 0.',
    type: 'boolean'
  },
  sparklineHighlightSegments: {
    default: 0,
    description: 'Specify the number of segments to be highlighted at the top of a sparkline area graph.',
    type: 'number'
  },
  sparklineHighlightDots: {
    default: 0,
    description: 'Specify the number of markers, or dots, to display at the top of a sparkline area graph.',
    type: 'number'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  majorFontSize: {
    description: 'Specify the font size (px) for the major value. By default the major value font size is calculated dynamically based on the available space.',
    type: 'number'
  },
  deltaFontSize: {
    description: 'Specify the font size (px) for the delta value. By default the delta value font size is calculated dynamically based on the available space.',
    type: 'number'
  }
});
// EXTERNAL MODULE: external "@splunk/ui-utils/i18n"
var i18n_ = __webpack_require__(0);

// EXTERNAL MODULE: external "@splunk/themes/pick"
var pick_ = __webpack_require__(17);
var pick_default = /*#__PURE__*/__webpack_require__.n(pick_);

// EXTERNAL MODULE: external "@splunk/themes/variables"
var themes_variables_ = __webpack_require__(4);
var themes_variables_default = /*#__PURE__*/__webpack_require__.n(themes_variables_);

// EXTERNAL MODULE: ./src/common/editorConfig/NumberFormatting.js
var NumberFormatting = __webpack_require__(55);

// EXTERNAL MODULE: ./src/common/editorConfig/Threshold.js
var Threshold = __webpack_require__(44);

// CONCATENATED MODULE: ./src/visualizations/SingleValue/editorConfig.js





var editorConfig = [{
  label: Object(i18n_["_"])('Visualization Settings'),
  layout: [[{
    label: Object(i18n_["_"])('Show Trending Value'),
    option: 'showTrendIndicator',
    editor: 'editor.checkbox'
  }], [{
    label: Object(i18n_["_"])('Trend Display as'),
    option: 'trendDisplayMode',
    editor: 'editor.select',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Percent'),
        value: 'percent'
      }, {
        label: Object(i18n_["_"])('Absolute'),
        value: 'absolute'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref) {
      var options = _ref.options;
      return options.showTrendIndicator || options.showTrendIndicator === undefined;
    }
  }], [{
    label: Object(i18n_["_"])('Show Sparkline'),
    option: 'showSparkline',
    editor: 'editor.checkbox'
  }], [{
    label: '',
    option: 'sparklinePosition',
    editor: 'editor.radioBar',
    editorProps: {
      values: [{
        label: Object(i18n_["_"])('Before'),
        value: 'before'
      }, {
        label: Object(i18n_["_"])('After'),
        value: 'after'
      }, {
        label: Object(i18n_["_"])('Below'),
        value: 'below'
      }]
    },
    // If property matches the default value specified in schema, its not set in options. Hence we check if its undefined.
    showEditor: function showEditor(_ref2) {
      var options = _ref2.options;
      return options.showSparkline || options.showSparkline === undefined;
    }
  }]]
}, {
  label: Object(i18n_["_"])('Font Settings'),
  open: true,
  layout: [[{
    label: Object(i18n_["_"])('Major Font Size (px)'),
    option: 'majorFontSize',
    editor: 'editor.number',
    editorProps: {
      min: 1
    },
    placeholder: Object(i18n_["_"])('Auto')
  }, {
    label: Object(i18n_["_"])('Delta Font Size (px)'),
    option: 'deltaFontSize',
    editor: 'editor.number',
    editorProps: {
      min: 1
    },
    placeholder: Object(i18n_["_"])('Auto')
  }]]
}, Threshold["a" /* default */], {
  label: Object(i18n_["_"])('Background Color'),
  layout: [[{
    label: '',
    option: 'backgroundColor',
    editor: 'editor.color',
    editorProps: {
      pickFromTheme: function pickFromTheme(theme) {
        return pick_default()({
          enterprise: {
            dark: themes_variables_default.a.black,
            light: themes_variables_default.a.backgroundColor
          },
          prisma: themes_variables_default.a.backgroundColorSidebar
        })({
          theme: theme
        });
      }
    }
  }]]
}, NumberFormatting["a" /* default */]];
/* harmony default export */ var SingleValue_editorConfig = (editorConfig);
// CONCATENATED MODULE: ./src/visualizations/SingleValue/SingleValue.jsx








function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        defineProperty_default()(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = getPrototypeOf_default()(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = getPrototypeOf_default()(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return possibleConstructorReturn_default()(this, result);
  };
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}













var INITIAL_WIDTH = 250;
var INITIAL_HEIGHT = 250;
var SingleValue_SingleValueComponent = /*#__PURE__*/function (_Component) {
  inherits_default()(SingleValueComponent, _Component);

  var _super = _createSuper(SingleValueComponent);

  function SingleValueComponent() {
    classCallCheck_default()(this, SingleValueComponent);

    return _super.apply(this, arguments);
  }

  createClass_default()(SingleValueComponent, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          dataSources = _this$props.dataSources,
          options = _this$props.options,
          encoding = _this$props.encoding,
          width = _this$props.width,
          height = _this$props.height,
          style = _this$props.style,
          onEventTrigger = _this$props.onEventTrigger,
          mode = _this$props.mode,
          hasEventHandlers = _this$props.hasEventHandlers,
          onComputedProps = _this$props.onComputedProps;

      var _parse = Object(SingleValueParser_["parse"])(dataSources, encoding),
          value = _parse.value,
          deltaValue = _parse.deltaValue,
          deltaColor = _parse.deltaColor,
          graphData = _parse.graphData,
          encodingBackgroundColor = _parse.backgroundColor,
          _parse$majorColor = _parse.majorColor,
          majorColor = _parse$majorColor === void 0 ? null : _parse$majorColor;

      var showTrendIndicator = !Number.isNaN(deltaValue) && options.showTrendIndicator !== false; // Hide the sparkline if the entire graph is non-numeric

      var showSparkline = this.props.options.showSparkline && Array.isArray(graphData) && graphData.filter(function (v) {
        return !Number.isNaN(parseFloat(v));
      }).length > 0;
      var backgroundColor = Object(colorUtils_["isColor"])(encodingBackgroundColor) && encodingBackgroundColor || Object(colorUtils_["isColor"])(options.backgroundColor) && options.backgroundColor || null; // Click handler

      var onValueClick = Object(eventUtils_["enableClickHandler"])(hasEventHandlers, mode) ? Object(eventUtils_["getClickHandler"])(onEventTrigger, {
        value: value,
        deltaValue: deltaValue
      }) : null;
      onComputedProps(backgroundColor ? {
        backgroundColor: backgroundColor
      } : {});
      return /*#__PURE__*/external_react_default.a.createElement(SingleValue_default.a, extends_default()({
        width: width,
        height: height,
        style: style // viz props from options (options < encoding)

      }, options, {
        // viz props from encoding
        majorColor: majorColor,
        value: value,
        deltaValue: deltaValue,
        deltaColor: deltaColor,
        graphData: graphData // viz props based on options and encoding
        ,
        backgroundColor: backgroundColor,
        showTrendIndicator: showTrendIndicator,
        showSparkline: showSparkline // event handler
        ,
        onValueClick: onValueClick
      }));
    }
  }]);

  return SingleValueComponent;
}(external_react_["Component"]);

defineProperty_default()(SingleValue_SingleValueComponent, "propTypes", _objectSpread({}, BaseVisualization_default.a.propTypes));

defineProperty_default()(SingleValue_SingleValueComponent, "defaultProps", _objectSpread(_objectSpread({}, BaseVisualization_default.a.defaultProps), {}, {
  height: INITIAL_HEIGHT
}));

defineProperty_default()(SingleValue_SingleValueComponent, "dataContract", SingleValueParser_["dataContract"]);

defineProperty_default()(SingleValue_SingleValueComponent, "vizContract", {
  initialDimension: {
    width: INITIAL_WIDTH,
    height: INITIAL_HEIGHT
  }
});

defineProperty_default()(SingleValue_SingleValueComponent, "schema", optionsSchema);

defineProperty_default()(SingleValue_SingleValueComponent, "editor", SingleValue_editorConfig);

/* harmony default export */ var SingleValue = __webpack_exports__["default"] = (Object(enhancer_["withVisualizationAndThemeHOCs"])({
  enableBackgroundColorOption: true,
  defaultBackgroundColor: variables_["enterprise"].defaultBackgroundColor,
  placeholder: /*#__PURE__*/external_react_default.a.createElement(IconPlaceholder_default.a, {
    icon: /*#__PURE__*/external_react_default.a.createElement(visualization_icons_["SingleValue"], null)
  })
})(SingleValue_SingleValueComponent));

/***/ }),

/***/ 68:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/SingleValue");

/***/ }),

/***/ 7:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/classCallCheck");

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports = require("@babel/runtime/helpers/createClass");

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/BaseVisualization");

/***/ }),

/***/ 93:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-encoding-parsers/SingleValueRadialParser");

/***/ })

/******/ });
//# sourceMappingURL=SingleValueRadial.js.map