/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 60);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/RadialGauge");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 60:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/Basic.jsx
/* harmony default export */ var Basic = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{}}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/MajorUnit.jsx
/* harmony default export */ var MajorUnit = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.majorUnit': '30' }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/Style.jsx
/* harmony default export */ var Style = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.style': 'minimal' }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/NoLabels.jsx
/* harmony default export */ var NoLabels = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.showLabels': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/RangeBand.jsx
/* harmony default export */ var RangeBand = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.showRangeBand': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/NoValue.jsx
/* harmony default export */ var NoValue = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.showValue': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/RangeValues.jsx
/* harmony default export */ var RangeValues = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.rangeValues': [0, 200, 500, 800, 900] }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/MinorTicks.jsx
/* harmony default export */ var MinorTicks = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.showMinorTicks': true }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/MajorTicks.jsx
/* harmony default export */ var MajorTicks = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.showMajorTicks': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/StartAngle.jsx
/* harmony default export */ var StartAngle = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.rangeStartAngle': 90, 'chart.showValue': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/ArcAngle360.jsx
/* harmony default export */ var ArcAngle360 = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.rangeArcAngle': 360, 'chart.showValue': false }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/PercentageRange.jsx
/* harmony default export */ var PercentageRange = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.usePercentageRange': true }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/PercentageValue.jsx
/* harmony default export */ var PercentageValue = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ 'chart.usePercentageValue': true }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/BackgroundColor.jsx
/* harmony default export */ var BackgroundColor = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ backgroundColor: '#98f5ff' }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/RadialGauge/docs/examples/GaugeColors.jsx
/* harmony default export */ var GaugeColors = ("import React from 'react';\nimport RadialGauge from '@splunk/dashboard-visualizations/RadialGauge';\n\nexport default () => (\n    <RadialGauge\n        options={{ gaugeColors: ['0xBF3030', '0xFFE800', '0x84E900'] }}\n        dataSources={{\n            primary: {\n                requestParams: { offset: 0, count: 20 },\n                data: {\n                    fields: [{ name: 'count' }],\n                    columns: [['78']],\n                },\n                meta: { totalCount: 20 },\n            },\n        }}\n    />\n);\n");
// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/RadialGauge"
var RadialGauge_ = __webpack_require__(18);
var RadialGauge_default = /*#__PURE__*/__webpack_require__.n(RadialGauge_);

// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/Basic.jsx


/* harmony default export */ var examples_Basic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {},
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/MajorUnit.jsx


/* harmony default export */ var examples_MajorUnit = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.majorUnit': '30'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/Style.jsx


/* harmony default export */ var examples_Style = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.style': 'minimal'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/NoLabels.jsx


/* harmony default export */ var examples_NoLabels = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.showLabels': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/RangeBand.jsx


/* harmony default export */ var examples_RangeBand = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.showRangeBand': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/NoValue.jsx


/* harmony default export */ var examples_NoValue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.showValue': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/RangeValues.jsx


/* harmony default export */ var examples_RangeValues = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.rangeValues': [0, 200, 500, 800, 900]
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/MinorTicks.jsx


/* harmony default export */ var examples_MinorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.showMinorTicks': true
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/MajorTicks.jsx


/* harmony default export */ var examples_MajorTicks = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.showMajorTicks': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/StartAngle.jsx


/* harmony default export */ var examples_StartAngle = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.rangeStartAngle': 90,
      'chart.showValue': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/ArcAngle360.jsx


/* harmony default export */ var examples_ArcAngle360 = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.rangeArcAngle': 360,
      'chart.showValue': false
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/PercentageRange.jsx


/* harmony default export */ var examples_PercentageRange = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.usePercentageRange': true
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/PercentageValue.jsx


/* harmony default export */ var examples_PercentageValue = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      'chart.usePercentageValue': true
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/BackgroundColor.jsx


/* harmony default export */ var examples_BackgroundColor = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      backgroundColor: '#98f5ff'
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/examples/GaugeColors.jsx


/* harmony default export */ var examples_GaugeColors = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(RadialGauge_default.a, {
    options: {
      gaugeColors: ['0xBF3030', '0xFFE800', '0x84E900']
    },
    dataSources: {
      primary: {
        requestParams: {
          offset: 0,
          count: 20
        },
        data: {
          fields: [{
            name: 'count'
          }],
          columns: [['78']]
        },
        meta: {
          totalCount: 20
        }
      }
    }
  });
});
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(2);

// CONCATENATED MODULE: ./src/visualizations/RadialGauge/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  gaugeColors: {
    default: ['#84E900', '#FFE800', '#BF3030'],
    description: "Specify the Hex code for colors used in the gauge. For example, ['#FF0000', '#0000FF', '#008000']. Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'string'
    }
  },
  'chart.majorUnit': {
    default: 'auto',
    description: 'Specify, in pixels, the spacing between major tick marks.',
    type: ['number', 'string']
  },
  'chart.rangeValues': {
    description: "Specify a numeric array that represents the overall numerical range represented by the gauge. This array automatically determines the relative size of the color-coded subranges within the overall range. For example, [100, 500, 300].\n            Note: Option type 'string' has been deprecated.",
    type: ['array', 'string'],
    items: {
      type: 'number'
    }
  },
  'chart.showLabels': {
    default: true,
    description: 'Specify whether to display labels.',
    type: 'boolean'
  },
  'chart.showMajorTicks': {
    default: true,
    description: 'Specify whether to display major tick marks.',
    type: 'boolean'
  },
  'chart.showMinorTicks': {
    default: true,
    description: 'Specify whether to display minor tick marks.',
    type: 'boolean'
  },
  'chart.showValue': {
    default: true,
    description: 'Specify whether the gauge value is displayed.',
    type: 'boolean'
  },
  'chart.style': {
    default: 'shiny',
    description: 'Specify the display style of the gauge. Shiny: A graphically stylized version of the gauge with chrome, shading, and other features to mimic a real-world gauge. Minimal: A basic gauge display.',
    pattern: Object(visualization_schemas_["getPattern"])(['minimal', 'shiny']),
    type: 'string'
  },
  'chart.usePercentageRange': {
    default: false,
    description: 'Specify whether to format gauge ranges as percentages.',
    type: 'boolean'
  },
  'chart.usePercentageValue': {
    default: false,
    description: 'Specify whether to format the gauge values as percentages.',
    type: 'boolean'
  },
  'chart.rangeArcAngle': {
    default: 270,
    description: 'Specify the length of the range arc, in degrees. Positive values are clockwise. Negative values are counterclockwise.',
    type: 'number'
  },
  'chart.rangeStartAngle': {
    default: 45,
    description: 'Specify the angle, in degrees, to begin drawing the range arc. The range arc is drawn clockwise and the beginning orientation is the bottom of the gauge.',
    type: 'number'
  },
  'chart.showRangeBand': {
    default: true,
    description: 'Specify whether to show the color ranges as a band at the top of the radial gauge.',
    type: 'boolean'
  },
  backgroundColor: {
    description: 'Specify the color used for the background using a Hex Code. For example: "#0000FF".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// CONCATENATED MODULE: ./src/visualizations/RadialGauge/docs/index.jsx



































/* harmony default export */ var docs = __webpack_exports__["default"] = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "RadialGauge",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Radial Gauge",
      key: "basic",
      description: "Radial Gauge takes 100% width and 250px height by default.",
      code: Basic,
      example: examples_Basic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "\u041Cajor Unit is 30",
      key: "major_unit",
      description: "Specifies, in pixels, the spacing of major tick marks.",
      code: MajorUnit,
      example: examples_MajorUnit
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Minimal Style",
      key: "minimal_style",
      description: "Minimal style of the gauge. 'shiny' by default.",
      code: Style,
      example: examples_Style
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "No Labels",
      key: "no_labels",
      description: "Gauge display no labels. Defaults to true.",
      code: NoLabels,
      example: examples_NoLabels
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "No Range Band",
      key: "No_range_band",
      description: "Gauge doesn't show the color ranges as a band at the top of the radial gauge.",
      code: RangeBand,
      example: examples_RangeBand
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "No Value",
      key: "no_value",
      decription: "Gauge doesn't displays its value. Defaults to true.",
      code: NoValue,
      example: examples_NoValue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Range Values [0, 200, 500, 800, 900]",
      key: "range_values",
      description: "Range values [0, 200, 500, 800, 900] indicates that the gauge starts at zero, ends at 900, and has four subranges that are each identified by another color.",
      code: RangeValues,
      example: examples_RangeValues
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Show Minor Ticks",
      key: "show_minor_ticks",
      description: "Gauge displays minor tick marks. Defaults to false.",
      code: MinorTicks,
      example: examples_MinorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "No Major Ticks",
      key: "major_ticks",
      description: "Gauge doesn't display major tick marks. Defaults to true.",
      code: MajorTicks,
      example: examples_MajorTicks
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Start Angle at 90",
      key: "start_angle",
      description: "The angle of range arc starts at 90 degrees. Defaults to 45 degrees.",
      code: StartAngle,
      example: examples_StartAngle
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Range Arc Angle is 360",
      key: "range_arc_angle",
      description: "The length of the range arc is 360 degrees. Positive values are clockwise. Negative values are counterclockwise. Defaults to 270.",
      code: ArcAngle360,
      example: examples_ArcAngle360
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Percentage Range",
      key: "percentage_range",
      description: "Gauge displays range values as percentages. Defaults to false.",
      code: PercentageRange,
      example: examples_PercentageRange
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Percentage Value",
      key: "percentage_value",
      description: "Gauge displays values as percentages. Defaults to false.",
      code: PercentageValue,
      example: examples_PercentageValue
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Background Color is Blue",
      key: "background_color",
      description: "The HEX color code for chart background color is blue.",
      code: BackgroundColor,
      example: examples_BackgroundColor
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Gauge Colors are Red Yellow and Green",
      key: "gauge_colors",
      description: "An array of hexadecimal color values from which the range band colors are generated. Colors display in the order indicated in the array.",
      code: GaugeColors,
      example: examples_GaugeColors
    })],
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    })
  });
});

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=RadialGauge.js.map