/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 62);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = require("react");

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-docs/DocExample");

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/OptionsDoc");

/***/ }),

/***/ 12:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EncodingDoc");

/***/ }),

/***/ 14:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/common/EventsDoc");

/***/ }),

/***/ 19:
/***/ (function(module, exports) {

module.exports = require("@splunk/dashboard-visualizations/SingleValueRadial");

/***/ }),

/***/ 2:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualization-schemas");

/***/ }),

/***/ 62:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external "react"
var external_react_ = __webpack_require__(0);
var external_react_default = /*#__PURE__*/__webpack_require__.n(external_react_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/SingleValueRadial"
var SingleValueRadial_ = __webpack_require__(19);
var SingleValueRadial_default = /*#__PURE__*/__webpack_require__.n(SingleValueRadial_);

// EXTERNAL MODULE: external "@splunk/visualizations-shared/VisualizationDocPage"
var VisualizationDocPage_ = __webpack_require__(9);
var VisualizationDocPage_default = /*#__PURE__*/__webpack_require__.n(VisualizationDocPage_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EncodingDoc"
var EncodingDoc_ = __webpack_require__(12);
var EncodingDoc_default = /*#__PURE__*/__webpack_require__.n(EncodingDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/EventsDoc"
var EventsDoc_ = __webpack_require__(14);
var EventsDoc_default = /*#__PURE__*/__webpack_require__.n(EventsDoc_);

// EXTERNAL MODULE: external "@splunk/dashboard-visualizations/common/OptionsDoc"
var OptionsDoc_ = __webpack_require__(10);
var OptionsDoc_default = /*#__PURE__*/__webpack_require__.n(OptionsDoc_);

// EXTERNAL MODULE: external "@splunk/react-docs/DocExample"
var DocExample_ = __webpack_require__(1);
var DocExample_default = /*#__PURE__*/__webpack_require__.n(DocExample_);

// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialBasic.jsx
/* harmony default export */ var RadialBasic = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{}}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['5', '12', '46', '23', '51', '115', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialFieldFoo.jsx
/* harmony default export */ var RadialFieldFoo = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['1', '2', '3', '4', '5', '6', '3100', '3200'],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialFieldBar.jsx
/* harmony default export */ var RadialFieldBar = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['1', '2', '3', '4', '5', '6', '3100', '3200'],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialPositionBelow.jsx
/* harmony default export */ var RadialPositionBelow = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{\n            trendIndicatorPosition: 'below',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['5', '12', '46', '23', '51', '115', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialPositionOutside.jsx
/* harmony default export */ var RadialPositionOutside = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{\n            trendIndicatorPosition: 'outside',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['5', '12', '46', '23', '51', '115', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialTrendModePercent.jsx
/* harmony default export */ var RadialTrendModePercent = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{\n            trendDisplayMode: 'percent',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['5', '12', '46', '23', '51', '115', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialColorCustomization.jsx
/* harmony default export */ var RadialColorCustomization = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{\n            radialBackgroundColor: '#DC4E41',\n            radialStrokeColor: '#F1813F',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['5', '12', '46', '23', '51', '115', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialMajorValueLarge.jsx
/* harmony default export */ var RadialMajorValueLarge = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['5', '42', '206', '482', '678', '745', '893', '3278'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialTrendValueLarge.jsx
/* harmony default export */ var RadialTrendValueLarge = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        ['5', '42', '206', '482', '678', '745', '1893', '278'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/RadialColorDataSeries.jsx
/* harmony default export */ var RadialColorDataSeries = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: 'primary.bar',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/BackgroundColorWhite.jsx
/* harmony default export */ var BackgroundColorWhite = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{\n            backgroundColor: '#ffffff',\n            unit: '%',\n            underLabel: 'test under label',\n        }}\n        encoding={{\n            trend: 'primary.foo',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '63', '88'],\n                        [\n                            '2018-08-19T00:00:00.000+00:00',\n                            '2018-08-20T00:00:00.000+00:00',\n                            '2018-08-21T00:00:00.000+00:00',\n                            '2018-08-22T00:00:00.000+00:00',\n                            '2018-08-23T00:00:00.000+00:00',\n                            '2018-08-24T00:00:00.000+00:00',\n                            '2018-08-25T00:00:00.000+00:00',\n                            '2018-08-26T00:00:00.000+00:00',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: '_time',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/EncodingColumnIndex.jsx
/* harmony default export */ var EncodingColumnIndex = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary.foo',\n            fill: 'primary[1][2]',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/EncodingFormat.jsx
/* harmony default export */ var EncodingFormat = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary[0]',\n            fill: {\n                field: 'primary[0]',\n                format: {\n                    type: 'rangevalue',\n                    ranges: [\n                        {\n                            from: 5000,\n                            value: '#A52A2A',\n                        },\n                        {\n                            from: 1000,\n                            to: 5000,\n                            value: '#FFA500',\n                        },\n                        {\n                            from: 500,\n                            to: 1000,\n                            value: '#FFFF00',\n                        },\n                        {\n                            from: 100,\n                            to: 500,\n                            value: '#800080',\n                        },\n                        {\n                            to: 100,\n                            value: '#0000FF',\n                        },\n                    ],\n                },\n            },\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: /builds/devplat/vision/node_modules/raw-loader/dist/cjs.js!./src/visualizations/SingleValueRadial/docs/examples/EncodingFormatColumnIndex.jsx
/* harmony default export */ var EncodingFormatColumnIndex = ("import React from 'react';\nimport SingleValueRadial from '@splunk/dashboard-visualizations/SingleValueRadial';\n\nexport default () => (\n    <SingleValueRadial\n        options={{}}\n        encoding={{\n            trend: 'primary[0]',\n            fill: 'primary.bar[2]',\n        }}\n        dataSources={{\n            primary: {\n                data: {\n                    columns: [\n                        ['1', '62', '103', '308', '587', '876', '930', '1320'],\n                        [\n                            '#FF0000',\n                            '#00FFFF',\n                            '#0000FF',\n                            '#800080',\n                            '#FFFF00',\n                            '#FFA500',\n                            '#A52A2A',\n                            '#008000',\n                        ],\n                    ],\n                    fields: [\n                        {\n                            name: 'foo',\n                        },\n                        {\n                            name: 'bar',\n                        },\n                    ],\n                },\n                meta: {},\n            },\n        }}\n    />\n);\n");
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialBasic.jsx


/* harmony default export */ var examples_RadialBasic = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {},
    dataSources: {
      primary: {
        data: {
          columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialFieldFoo.jsx


/* harmony default export */ var examples_RadialFieldFoo = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['1', '2', '3', '4', '5', '6', '3100', '3200']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialFieldBar.jsx


/* harmony default export */ var examples_RadialFieldBar = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['1', '2', '3', '4', '5', '6', '3100', '3200']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialPositionBelow.jsx


/* harmony default export */ var examples_RadialPositionBelow = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {
      trendIndicatorPosition: 'below'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialPositionOutside.jsx


/* harmony default export */ var examples_RadialPositionOutside = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {
      trendIndicatorPosition: 'outside'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialTrendModePercent.jsx


/* harmony default export */ var examples_RadialTrendModePercent = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {
      trendDisplayMode: 'percent'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialColorCustomization.jsx


/* harmony default export */ var examples_RadialColorCustomization = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {
      radialBackgroundColor: '#DC4E41',
      radialStrokeColor: '#F1813F'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialMajorValueLarge.jsx


/* harmony default export */ var examples_RadialMajorValueLarge = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['5', '42', '206', '482', '678', '745', '893', '3278'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialTrendValueLarge.jsx


/* harmony default export */ var examples_RadialTrendValueLarge = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['5', '42', '206', '482', '678', '745', '1893', '278'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/RadialColorDataSeries.jsx


/* harmony default export */ var examples_RadialColorDataSeries = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: 'primary.bar'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/BackgroundColorWhite.jsx


/* harmony default export */ var examples_BackgroundColorWhite = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {
      backgroundColor: '#ffffff',
      unit: '%',
      underLabel: 'test under label'
    },
    encoding: {
      trend: 'primary.foo'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
          fields: [{
            name: 'foo'
          }, {
            name: '_time'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/EncodingColumnIndex.jsx


/* harmony default export */ var examples_EncodingColumnIndex = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary.foo',
      fill: 'primary[1][2]'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/EncodingFormat.jsx


/* harmony default export */ var examples_EncodingFormat = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary[0]',
      fill: {
        field: 'primary[0]',
        format: {
          type: 'rangevalue',
          ranges: [{
            from: 5000,
            value: '#A52A2A'
          }, {
            from: 1000,
            to: 5000,
            value: '#FFA500'
          }, {
            from: 500,
            to: 1000,
            value: '#FFFF00'
          }, {
            from: 100,
            to: 500,
            value: '#800080'
          }, {
            to: 100,
            value: '#0000FF'
          }]
        }
      }
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/examples/EncodingFormatColumnIndex.jsx


/* harmony default export */ var examples_EncodingFormatColumnIndex = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(SingleValueRadial_default.a, {
    options: {},
    encoding: {
      trend: 'primary[0]',
      fill: 'primary.bar[2]'
    },
    dataSources: {
      primary: {
        data: {
          columns: [['1', '62', '103', '308', '587', '876', '930', '1320'], ['#FF0000', '#00FFFF', '#0000FF', '#800080', '#FFFF00', '#FFA500', '#A52A2A', '#008000']],
          fields: [{
            name: 'foo'
          }, {
            name: 'bar'
          }]
        },
        meta: {}
      }
    }
  });
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/definition.js
/* harmony default export */ var definition = ({
  encoding: [{
    name: 'trend',
    type: '[number | string]',
    desc: 'Specify the dataSource applied to the single value.',
    defaultValue: 'primary[0]',
    isRequired: 'true'
  }, {
    name: 'fill',
    type: '[string]',
    desc: "Specify the dataSource applied to the background color of the single value.\n                   Note: This overrides any specified background color if backgroundColor is specified.",
    isRequired: 'false'
  }],
  events: [{
    name: 'value.click',
    desc: 'trigger when user clicks major value'
  }]
});
// EXTERNAL MODULE: external "@splunk/visualization-schemas"
var visualization_schemas_ = __webpack_require__(2);

// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/optionsSchema.js

/* harmony default export */ var optionsSchema = ({
  unit: {
    description: 'Specify text to show next to the major value.',
    type: 'string'
  },
  unitPosition: {
    default: 'after',
    description: 'Specify whether the unit text should appear before or after the major value.',
    pattern: Object(visualization_schemas_["getPattern"])(['before', 'after']),
    type: 'string'
  },
  underLabel: {
    description: 'Specify the text that appears below the major value.',
    type: 'string'
  },
  backgroundColor: {
    description: 'Specify the color to use for the background. The hex value format should be #FFFFFF. The default for light mode is "#ffffff". The default for dark mode is "#171d21". The default for prisma dark mode is "#0b0c0e".',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  showTrendIndicator: {
    default: true,
    description: 'Specify whether to show or hide the trend indicator.',
    type: 'boolean'
  },
  trendIndicatorPosition: {
    default: 'standard',
    description: 'Specify where the trend indicator is displayed on a radial graph. Note: When the major value or trend value is too large to fit inside of the graph, the trend is displayed below the graph.',
    pattern: Object(visualization_schemas_["getPattern"])(['standard', 'below', 'outside']),
    type: 'string'
  },
  useTrendUnits: {
    default: false,
    description: 'Specify whether to truncate the trend value to 2 significant digits. A magnitude unit will be displayed.',
    type: 'boolean'
  },
  trendDisplayMode: {
    default: 'absolute',
    description: 'Specify whether the trend value is displayed as a percentage or an absolute count.',
    pattern: Object(visualization_schemas_["getPattern"])(['percent', 'absolute']),
    type: 'string'
  },
  numberPrecision: {
    default: 0,
    maximum: 20,
    minimum: 0,
    description: 'Specify the number of decimal places to display. For example, to display 3 decimal places, use a value of 3. The maximum value is 20.',
    type: 'number'
  },
  useThousandSeparators: {
    default: true,
    description: 'Specify whether numeric values use commas as thousandths separaters.',
    type: 'boolean'
  },
  radialBackgroundColor: {
    description: 'Specify the color for the radial background color. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  },
  radialStrokeColor: {
    description: 'Specify the color for the radial stroke color. The hex value format should be #FFFFFF.',
    pattern: visualization_schemas_["COLOR_OR_TOKEN_PATTERN"],
    type: 'string'
  }
});
// CONCATENATED MODULE: ./src/visualizations/SingleValueRadial/docs/index.jsx





































/* harmony default export */ var docs = __webpack_exports__["default"] = (function () {
  return /*#__PURE__*/external_react_default.a.createElement(VisualizationDocPage_default.a, {
    title: "Dashboard Single Value Radial",
    description: "Wrapper around the Radial visualization that maps a datasource to values to display",
    examplesSection: [/*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Radial Graph",
      key: "basic",
      code: RadialBasic,
      example: examples_RadialBasic
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Basic Radial Graph. Background Color is white.",
      key: "backgroundcolorwhite",
      code: BackgroundColorWhite,
      example: examples_BackgroundColorWhite
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Encoding Field is foo",
      key: "radialfieldfoo",
      code: RadialFieldFoo,
      example: examples_RadialFieldFoo
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Encoding Field is bar",
      key: "radialfieldbar",
      code: RadialFieldBar,
      example: examples_RadialFieldBar
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Trend Indicator Position is below",
      key: "radialpositionbelow",
      code: RadialPositionBelow,
      example: examples_RadialPositionBelow
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Trend Indicator Position is outside",
      key: "radialpositionoutside",
      code: RadialPositionOutside,
      example: examples_RadialPositionOutside
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Trend Display Mode is percent",
      key: "radialtrendmodepercent",
      code: RadialTrendModePercent,
      example: examples_RadialTrendModePercent
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph Stroke Color is flamenco, Radial Background Color is valencia",
      key: "radialcolorcustom",
      code: RadialColorCustomization,
      example: examples_RadialColorCustomization
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Major Value is large, Trend Value is displayed below",
      key: "radialmajorvaluelarge",
      code: RadialMajorValueLarge,
      example: examples_RadialMajorValueLarge
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph, Trend Value is large, Trend Value is displayed below",
      key: "radialtrendvaluelarge",
      code: RadialTrendValueLarge,
      example: examples_RadialTrendValueLarge
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Radial Graph color data series specified",
      key: "radialcolordataseries",
      code: RadialColorDataSeries,
      example: examples_RadialColorDataSeries
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding column index specified",
      key: "encodingcolumnindex",
      code: EncodingColumnIndex,
      example: examples_EncodingColumnIndex
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding format specified",
      key: "encodingformat",
      code: EncodingFormat,
      example: examples_EncodingFormat
    }), /*#__PURE__*/external_react_default.a.createElement(DocExample_default.a, {
      title: "Encoding format column index specified",
      key: "encodingformatcolumnindex",
      code: EncodingFormatColumnIndex,
      example: examples_EncodingFormatColumnIndex
    })],
    encodingSection: /*#__PURE__*/external_react_default.a.createElement(EncodingDoc_default.a, {
      encoding: definition.encoding
    }),
    optionSection: /*#__PURE__*/external_react_default.a.createElement(OptionsDoc_default.a, {
      options: optionsSchema
    }),
    eventSection: /*#__PURE__*/external_react_default.a.createElement(EventsDoc_default.a, {
      events: definition.events,
      Visualization: SingleValueRadial_default.a,
      options: {
        trendIndicatorPosition: 'below'
      },
      encoding: {},
      dsState: {
        primary: {
          data: {
            columns: [['5', '12', '46', '23', '51', '115', '63', '88'], ['2018-08-19T00:00:00.000+00:00', '2018-08-20T00:00:00.000+00:00', '2018-08-21T00:00:00.000+00:00', '2018-08-22T00:00:00.000+00:00', '2018-08-23T00:00:00.000+00:00', '2018-08-24T00:00:00.000+00:00', '2018-08-25T00:00:00.000+00:00', '2018-08-26T00:00:00.000+00:00']],
            fields: [{
              name: 'foo'
            }, {
              name: '_time'
            }]
          },
          meta: {}
        }
      }
    })
  });
});

/***/ }),

/***/ 9:
/***/ (function(module, exports) {

module.exports = require("@splunk/visualizations-shared/VisualizationDocPage");

/***/ })

/******/ });
//# sourceMappingURL=SingleValueRadial.js.map